2007-06-11 19:02  polar_bear_

	* doc/dangerdeep_manual_src.zip: More typos corrected + the missing
	  pictures are back

2007-06-10 21:24  thjordan

	* src/modelmeasure.cpp: add comment

2007-06-10 10:47  thjordan

	* src/sea_object.cpp: let compress() keep the order of objects

2007-06-10 10:28  thjordan

	* src/game.cpp: added comment about new sea_object state.

2007-06-10 10:27  thjordan

	* src/: sea_object.cpp, sea_object.h: introduce new dead2 state to
	  avoid crashes in some cases.

2007-06-09 22:52  thjordan

	* src/: SConscript, modelmeasure.cpp: new modelmeasure tool

2007-06-09 22:52  thjordan

	* src/matrix.h: offer construction from stream and printing to it

2007-06-09 17:10  thjordan

	* src/: global_data.cpp, global_data.h: remove obsolete output or
	  checks

2007-06-09 16:52  thjordan

	* src/: message_queue.cpp, water.cpp: remove obsolete output or
	  checks

2007-06-09 16:51  thjordan

	* src/: game.cpp, game_editor.cpp, sea_object.cpp, sea_object.h:
	  fixed long outstanding bug where objects are accessed that have
	  been deleted shortly before.

2007-06-08 21:40  simsoueu

	* data/shaders/modelrender.fshader: We changed fog to exp in
	  freeview_display, but glsl has linear still. In any case, atm,
	  it's borked. Needs to be solved for 0.4, so we just disable fog
	  in the models atm, otherwise, shows black in vessels preview.

2007-06-08 02:22  polar_bear_

	* doc/dangerdeep_manual_src.zip: Updated manual scribus files,
	  fixed typos, added extra information.

2007-06-06 21:57  simsoueu

	* doc/: dangerdeep_manual.djvu, dangerdeep_manual.pdf,
	  dangerdeep_manual_src.zip: Added dangerdeep manual pdf, djvu
	  files. And manual scribus .sla file, with resources, in the zip
	  file.

2007-06-04 23:57  thjordan

	* debian/DEBIAN/control: changed arch to i686

2007-06-04 23:56  thjordan

	* data/shaders/: under_water.fshader, under_water.vshader: added
	  exp fog

2007-06-04 23:53  thjordan

	* doc/debian/changelog.Debian: preparations for 0.3.0, no real
	  info, so remove content

2007-06-04 23:51  thjordan

	* makedeb, version.txt, debian/DEBIAN/control: preparations for
	  0.3.0

2007-06-04 23:13  yalla

	* src/credits.cpp: Added vonhalenbach, although he was reluctant...
	  :-)

2007-06-04 20:23  thjordan

	* src/: ship.cpp, sea_object.cpp, sea_object.h: fixed oscillating
	  values bug

2007-06-04 19:18  thjordan

	* data/shaders/modelrender.vshader: removed errornous const

2007-06-03 22:10  thjordan

	* src/: ship.cpp, submarine.cpp, submarine.h: some bits on physics

2007-06-03 22:08  thjordan

	* src/model.h: added comment

2007-06-03 22:07  thjordan

	* src/game.cpp: compute water height data now from real data

2007-06-03 22:01  thjordan

	* src/: game.cpp, game.h, user_interface.cpp, user_interface.h:
	  move water object to class game (so water height data can be
	  requested from game - its a game attribute, not a ui one)

2007-06-03 21:19  thjordan

	* data/shaders/: water.fshader, water.vshader: use exponential fog

2007-06-03 21:14  thjordan

	* src/freeview_display.cpp: use exponential fog

2007-06-03 21:00  thjordan

	* src/: sub_periscope_display.cpp, sub_periscope_display.h: use
	  blurview only with hqsfx

2007-06-03 11:49  thjordan

	* src/: ocean_wave_generator.h, user_interface.cpp, water.cpp,
	  water.h: compute water data really multithreaded, not cpu <-> io
	  parallel

2007-06-03 11:06  thjordan

	* data/shaders/: credits.fshader, modelrender.vshader,
	  modelrender_mirrorclip.vshader, under_water.vshader,
	  water.vshader: fixed fog mystery

2007-06-02 17:54  thjordan

	* src/sky.cpp: fog was always disabled but not always enabled
	  afterwards

2007-06-02 15:12  thjordan

	* src/: font.cpp, logbook_display.cpp: bugfixes

2007-06-02 12:32  thjordan

	* src/: font.cpp, font.h, logbook_display.cpp, logbook_display.h:
	  improved logbook display with text wrapping

2007-06-01 23:13  thjordan

	* src/subsim.cpp: render dimming box again

2007-06-01 21:22  thjordan

	* src/: subsim.cpp, widget.cpp, widget.h: fixed hall of fame entry
	  bug

2007-06-01 20:31  thjordan

	* data/objects/submarines/IXc40/submarine_IXc40.data: fixed typo

2007-06-01 19:17  simsoueu

	* data/objects/submarines/IXc40/submarine_IXc40.data: Updated type
	  IXc40 data file, for VIIc F6 image, temporary/placeholder, until
	  IXc40 is rebuilt.

2007-06-01 19:17  simsoueu

	* data/objects/submarines/XXI/submarine_XXI.data: Updated type XXI
	  data file, for VIIc F6 image, temporary/placeholder, until XXI is
	  rebuilt.

2007-05-30 22:37  simsoueu

	* data/models/: g7a_torpedo.cs, g7a_torpedo.ddxml, g7e_torpedo.cs,
	  g7e_torpedo.ddxml: Torpedo models had wrong orientation, fixed.

2007-05-30 22:28  simsoueu

	* data/models/: g7a_torpedo.cs, g7a_torpedo.ddxml, g7e_torpedo.cs,
	  g7e_torpedo.ddxml: Updated G7A and G7E torpedo models, for
	  correct orientation. Added missing propeller to G7E torpedo.

2007-05-30 22:11  thjordan

	* src/torpedo.cpp: torpedo screws turn

2007-05-30 20:50  thjordan

	* src/torpedo.cpp: fixed FaT turn

2007-05-30 20:35  thjordan

	* src/: credits.cpp, font.cpp, widget.cpp: removed/fixed warnings

2007-05-30 19:54  simsoueu

	* src/: global_data.cpp, global_data.h, map_display.cpp,
	  sub_torpedo_display.cpp, subsim.cpp, viewmodel.cpp: Cleaned up
	  fonts usage and updated files for new fonts.

2007-05-30 19:53  simsoueu

	* data/fonts/: font_typenr16.metric, font_typenr16.png: Added
	  missing fonts and updated existing ones.

2007-05-30 19:52  simsoueu

	* data/fonts/: font_arialbd.metric, font_arialbd.png,
	  font_damagedtypewriter.metric, font_damagedtypewriter.png,
	  font_janeaust.metric, font_janeaust.png, font_king.metric,
	  font_king.png, font_olympiaworn.png, font_times.metric,
	  font_times.png, font_timesbd.metric, font_timesbd.png,
	  font_typenr.metric, font_typenr.png, font_verdana.metric,
	  font_verdana.png, font_verdanabd.metric, font_verdanabd.png,
	  font_vtportable.metric, font_vtportable.png: Deleted old fonts,
	  preparing for new fonts patches and files.

2007-05-30 08:23  thjordan

	* src/ship.cpp: added comment

2007-05-30 08:13  thjordan

	* src/: torpedo.cpp, gun_shell.cpp, sea_object.cpp, sea_object.h:
	  renamed impulse to linear_momentum

2007-05-29 23:16  thjordan

	* src/: freeview_display.cpp, model.cpp: clarify
	  glPushMatrix/glPopMatrix usage

2007-05-29 23:02  bombardier

	* src/: moon.cpp, sky.cpp, sky.h, water.cpp: water cleanup code,
	  moon bugfix, sky fixup

2007-05-29 22:36  thjordan

	* data/shaders/under_water.fshader: improved rendering

2007-05-29 22:15  thjordan

	* src/: sea_object.cpp, ship.cpp: more fixes

2007-05-29 21:52  thjordan

	* src/: depth_charge.cpp, freeview_display.cpp, gun_shell.cpp,
	  sea_object.cpp, sea_object.h, ship.cpp, submarine.cpp,
	  torpedo.cpp: fixed physics (load, save, computation)

2007-05-29 20:14  yalla

	* data/missions/: aegeanconvoy.xml, flowertest.xml, singleship.xml:
	  Fixed unicode. Thx to Stefan.

2007-05-28 22:21  thjordan

	* src/ship.cpp: fixed torque computation

2007-05-28 22:08  thjordan

	* src/game.cpp: avoid physics and simulation error by ensuring that
	  fps for simulate() is greater than 20.

2007-05-28 20:32  thjordan

	* src/: sub_periscope_display.cpp, sub_uzo_display.cpp,
	  user_interface.cpp, user_interface.h, freeview_display.cpp,
	  game.cpp, game.h, global_data.h, sea_object.cpp, sea_object.h,
	  ship.cpp: experiments with roll/pitch torque etc.

2007-05-28 19:49  simsoueu

	* src/stars.cpp: Updated stars brightness scale from linear to
	  exponential, as suggested by SvH.

2007-05-28 11:10  thjordan

	* src/: ship.cpp, ship.h, torpedo.cpp: new helmsman logic with much
	  better results.

2007-05-27 23:07  thjordan

	* src/: ship.cpp, ship.h, torpedo.cpp, torpedo.h: torpedoes work
	  with new physics

2007-05-27 22:31  thjordan

	* src/crosssection.cpp: disabled changes for torpedo cs measure

2007-05-27 22:26  thjordan

	* data/models/: g7a_torpedo.cs, g7e_torpedo.cs: set correct values

2007-05-27 21:15  thjordan

	* src/: ship.cpp, ship.h, torpedo.cpp, torpedo.h: some tries to
	  make torpedoes work again

2007-05-27 21:11  thjordan

	* src/sensors.cpp: bugfix

2007-05-27 20:35  thjordan

	* data/models/: g7a_torpedo.ddxml, g7e_torpedo.ddxml: fix
	  orientation

2007-05-27 18:50  thjordan

	* data/shaders/under_water.fshader: make it look a bit more nicer

2007-05-27 18:44  thjordan

	* data/shaders/under_water.fshader: make it look a bit nicer

2007-05-27 18:37  thjordan

	* src/water.cpp: bugfix

2007-05-27 18:29  thjordan

	* src/ship.cpp: remove some debug output

2007-05-27 18:25  thjordan

	* src/ship.cpp: helmsman code works now, with some hacks and
	  tricks, not good but ok as test

2007-05-27 18:09  thjordan

	* data/sounds/: big gun firing.ogg, big_gun_firing.ogg, deck gun
	  firing.ogg, deck_gun_firing.ogg, depth charge exploding.ogg,
	  depth charge launching.ogg, depth_charge_exploding.ogg,
	  depth_charge_launching.ogg, medium gun firing.ogg,
	  medium_gun_firing.ogg, shell explosion.ogg, shell splash.ogg,
	  shell_explosion.ogg, shell_splash.ogg, sound-categories.data:
	  remove space from filenames

2007-05-27 17:07  thjordan

	* data/fonts/: font_vtremington10.metric, font_vtremington10.png,
	  font_vtremington12.metric, font_vtremington12.png,
	  font_vtremington14.metric, font_vtremington14.png,
	  font_vtremington8.metric, font_vtremington8.png: added new fonts

2007-05-27 12:31  thjordan

	* src/: sea_object.cpp, ship.cpp, ship.h: compute more realistic
	  turn drag

2007-05-27 11:00  thjordan

	* src/shader.cpp, src/shader.h, src/water.cpp, src/water.h,
	  data/shaders/water.fshader, data/shaders/water.vshader: new
	  per-pixel reflections

2007-05-27 11:00  thjordan

	* src/damagemodel.cpp, src/global_data.cpp, src/global_data.h,
	  src/map_display.cpp, src/ship_interface.cpp,
	  src/ships_sunk_display.cpp, src/sub_captainscabin_display.cpp,
	  src/sub_damage_display.cpp, src/subsim.cpp,
	  src/user_interface.cpp, data/texts/common.csv: new fonts; new
	  options switch

2007-05-26 20:53  thjordan

	* src/: model.cpp, model.h, viewmodel.cpp: disabled test code;
	  fixed type in name

2007-05-25 22:57  thjordan

	* src/subsim.cpp: use arial font for ingame displays instead of
	  font_typenr

2007-05-25 22:01  thjordan

	* src/: sea_object.cpp, ship.cpp: fix physics simulation code,
	  better turning

2007-05-25 08:22  thjordan

	* src/sea_object.cpp: much more efficient and elegant computation
	  of w

2007-05-24 23:24  thjordan

	* src/: quaternion.h, sea_object.cpp, ship.cpp: fix in computation
	  of physics variables, partly fixed sub turning with amok speeds

2007-05-24 20:49  thjordan

	* data/shaders/water.fshader: compute refraction color also with
	  angle to viewer (more realistic)

2007-05-22 22:50  thjordan

	* src/: freeview_display.cpp, ship.cpp, water.cpp: added more
	  comments about implementation

2007-05-22 21:58  thjordan

	* src/: sea_object.cpp, sea_object.h, ship.cpp: physics: using new
	  code for simulating physics, turning does not work right, beware!

2007-05-22 21:57  thjordan

	* src/quaternion.h: new method, to 3x3 matrix

2007-05-22 21:57  thjordan

	* src/freeview_display.cpp: added comment

2007-05-21 23:28  thjordan

	* src/: sea_object.cpp, ship.cpp: physics: added 2 reminder
	  comments

2007-05-21 23:15  thjordan

	* data/shaders/credits.fshader: fix: int -> float

2007-05-21 23:14  thjordan

	* src/: sea_object.cpp, sea_object.h: physics:
	  position/impulse/force instead of position/velocity/acceleration
	  now

2007-05-21 21:33  thjordan

	* src/sea_object.cpp: set some default inertia tensors to work with

2007-05-21 21:08  thjordan

	* src/: sea_object.cpp, sea_object.h, ship.cpp, ship.h: physics:
	  removed old get_turn_acceleration interface, now fully replaced
	  by compute_force_and_torque, but currently misusing the new
	  interface

2007-05-20 21:17  thjordan

	* src/: sea_object.h, ship.cpp: physics change part2: add some more
	  state variables and comments.

2007-05-20 20:46  thjordan

	* src/: depth_charge.cpp, depth_charge.h, sea_object.cpp,
	  sea_object.h, ship.cpp, ship.h, torpedo.h, water_splash.h:
	  physics change part1: remove get_acceleration, replace by
	  compute_force_and_torque.

2007-05-20 13:37  thjordan

	* src/system.cpp: clean up SDL flags for creating video context.

2007-05-19 17:44  thjordan

	* src/: sub_periscope_display.cpp, sub_periscope_display.h,
	  sub_uzo_display.cpp, sub_uzo_display.h: ignore elevation in
	  periscope; allow only +- 20 degrees elevation in UZO.

2007-05-13 10:44  thjordan

	* SConstruct: allow setting architecture for compile

2007-05-13 10:43  thjordan

	* data/shaders/water.vshader: do not normalize viewerdir or values
	  will be interpolated wrongly

2007-05-10 19:34  thjordan

	* data/shaders/water.fshader: use blinn instead of phong shading

2007-05-08 20:10  thjordan

	* src/sub_periscope_display.cpp: added comment about good idea with
	  periscope blur texture

2007-05-08 20:09  thjordan

	* data/textures/blurtest.png: better blur texture

2007-05-08 08:58  thjordan

	* data/shaders/: blurview.fshader, blurview.vshader,
	  credits.fshader, credits.vshader, modelrender.fshader,
	  modelrender.vshader, modelrender_mirrorclip.fshader,
	  modelrender_mirrorclip.vshader, under_water.fshader,
	  under_water.vshader, water.fshader, water.vshader: made shaders
	  GLSL conform

2007-05-08 00:02  thjordan

	* data/shaders/blurview.fshader, data/shaders/blurview.vshader,
	  data/textures/blurtest.png, src/sub_periscope_display.cpp,
	  src/sub_periscope_display.h: added periscope blur view effect

2007-05-07 21:24  thjordan

	* src/: user_interface.cpp, widget.h: enhance checkbox
	  functionality

2007-05-07 21:23  simsoueu

	* data/objects/ships/destroyers/tribal/: destroyer_tribal.data,
	  destroyer_tribal.ddxml, tribalv1_nubian_diffuse.jpg: Updated
	  data, ddxml, for HMS Nubian skin, covering NA/CA/SA areas. Added
	  skin.

2007-05-07 21:22  thjordan

	* data/texts/common.csv, src/subsim.cpp: make shaders switchable at
	  runtime

2007-05-06 19:20  thjordan

	* data/texts/: common.csv, formats.csv, languages.csv: added
	  turkish translation.

2007-05-06 05:04  simsoueu

	* data/objects/ships/destroyers/tribal/: destroyer_tribal.cs,
	  destroyer_tribal.data, destroyer_tribal.ddxml, tribalv1_bump.jpg,
	  tribalv1_haida_diffuse.jpg, tribalv1_matabele_diffuse.jpg,
	  tribalv1_na1941_diffuse.jpg, tribalv1_sikh_diffuse.jpg,
	  tribalv1_specular.jpg, tribalv1_tartar_diffuse.jpg: New Tribal
	  class destroyer, cs+revised data, and new textures for all
	  channels. Textures for 5 skins.

2007-05-06 05:01  simsoueu

	* data/objects/ships/destroyers/tribal/: tribal_bump.png,
	  tribal_color.jpg, tribal_specular.jpg: Removed old tribal
	  destroyer maps.

2007-05-02 05:26  simsoueu

	* data/textures/notepadsheet.png: Replaced small notepad image by
	  new image, consistent with notepad style from torpedo management
	  screen. Also used in map screen.

2007-05-02 05:25  simsoueu

	* src/sub_torpedo_display.cpp: Updated line 263, to send text a bit
	  below in small notepad image (for new notepad image).

2007-05-02 02:46  simsoueu

	* data/objects/submarines/IID/: submarine_IId.data,
	  type2d_torpmanage_sidetop.jpg, type2d_torpmanage_sidetop.png:
	  Updated IID data file for torpedo management screen entries, and
	  added respective images.

2007-05-02 02:45  simsoueu

	* data/objects/submarines/IIC/: submarine_IIc.data,
	  type2c_torpmanage_sidetop.jpg, type2c_torpmanage_sidetop.png:
	  Updated IIC data file for torpedo management screen entries, and
	  added respective images.

2007-05-02 02:44  simsoueu

	* data/objects/submarines/IIB/: submarine_IIb.data,
	  type2b_torpmanage_sidetop.jpg, type2b_torpmanage_sidetop.png:
	  Added IIb data file entry and images for torpedo management
	  screen.

2007-05-02 02:42  simsoueu

	* data/objects/submarines/VIIc/: submarine_VIIc.data,
	  type7c_torpmanage_sidetop.jpg, type7c_torpmanage_sidetop.png:
	  Updated VIIc data file for torpedo management screen entries, and
	  added respective entries profile images.

2007-05-02 02:41  simsoueu

	* src/subsim.cpp: Updated subsim.cpp for uboat entries 661, 662,
	  663 as in common.csv, namely typ.IIb/c/d, as well as respective
	  menu entries/selection.

2007-05-02 02:39  simsoueu

	* data/texts/common.csv: Updated common.csv for entries 661, 662
	  and 663, typ.IIb/c/d uboats.

2007-05-01 13:08  thjordan

	* data/maps/default.xml: more bunkers

2007-05-01 13:01  thjordan

	* data/maps/default.xml: fix bunker pos

2007-05-01 12:57  thjordan

	* data/objects/props/bunker_lorient/bunker_lorient.data: added
	  dummy data to make path handling possible

2007-05-01 12:56  thjordan

	* data/maps/default.xml: added lorient bunker

2007-05-01 12:53  thjordan

	* src/: coastmap.cpp, coastmap.h, freeview_display.cpp,
	  user_interface.cpp, user_interface.h: added prop rendering to map
	  to render Lorient bunker as test

2007-05-01 12:39  thjordan

	* src/: datadirs.cpp, datadirs.h: parse for "props" too

2007-05-01 11:49  thjordan

	* src/: music.cpp, music.h: important bugfix: avoid hang in join

2007-04-30 22:54  thjordan

	* src/: sub_torpedo_display.cpp, sub_torpedo_display.h,
	  submarine.cpp, submarine.h: new torpedo management screen

2007-04-30 22:53  thjordan

	* data/objects/submarines/IIA/type2a_torpmanage_sidetop.png: fixed
	  wrong color mode

2007-04-30 22:44  thjordan

	* data/: objects/submarines/IIA/submarine_IIa.data,
	  objects/submarines/IIA/type2a_f6greyscalemask.png,
	  objects/submarines/IIA/type2a_f6rgbmain.jpg,
	  objects/submarines/IIA/type2a_torpmanage_sidetop.jpg,
	  objects/submarines/IIA/type2a_torpmanage_sidetop.png,
	  images/torpmanage_daylight_background.jpg,
	  images/torpmanage_redlight_background.jpg,
	  images/torpmanage_submodelVIIc.png: use new torpedo management
	  graphics

2007-04-30 21:43  simsoueu

	* data/objects/submarines/IIA/: type2a_f6greyscalemask.png,
	  type2a_f6rgbmain.jpg: Added side/front rendering of type IIA, for
	  torpedo management compositing, always default skin shown.

2007-04-30 21:42  simsoueu

	* data/images/: tmanage_cleanbase_daylight.jpg,
	  tmanage_cleanbase_redlight.jpg: Added generic clean plate for
	  torpedo management screen background, common on all uboat types.

2007-04-29 17:50  thjordan

	* src/: particle.cpp, particle.h: new fireworks effect

2007-04-29 17:49  thjordan

	* data/textures/: fireworks.png, fireworks_flare.png: new textures
	  for fireworks

2007-04-29 13:58  thjordan

	* src/submarine_interface.cpp: added hack for fireworks particle
	  test

2007-04-29 13:57  thjordan

	* src/: particle.cpp, particle.h: added special particle for
	  fireworks; enhanced particle class interface

2007-04-29 13:47  thjordan

	* data/textures/fireworks.png: added texture for fireworks particle

2007-04-24 00:07  thjordan

	* src/: game.cpp, global_data.cpp, global_data.h, sea_object.cpp:
	  added special checks to hunt down sigsegv

2007-04-24 00:07  thjordan

	* src/ptrset.h: added auto_ptr like release() method

2007-04-17 21:13  thjordan

	* src/model.cpp: fix computation of inertia tensor; fix model ddxml
	  writing (index type)

2007-04-17 08:49  thjordan

	* src/model.cpp: use real center of gravity to compute inertia
	  tensor

2007-04-16 23:36  thjordan

	* src/: matrix.h, matrix3.h, model.cpp, model.h, viewmodel.cpp: now
	  inertia tensor can be computed

2007-04-16 22:58  thjordan

	* src/: model.cpp, model.h, vector3.h, viewmodel.cpp: now center of
	  gravity can be computed

2007-04-16 21:24  thjordan

	* src/: model.cpp, model.h, viewmodel.cpp: added "is_inside"
	  function for models plus test in viewmodel

2007-04-12 22:36  thjordan

	* src/: matrix.h, matrix3.h, matrix4.h, quaternion.h: make matrix
	  code generic in dimension; added matrix3; added more methods to
	  matrix class; adapted current code to work with new matrix class.
	  NOTE: not all methods of matrixt<> template are valid for every
	  dimension.

2007-04-06 20:47  simsoueu

	* data/objects/submarines/IID/: submarine_IId.data,
	  typeIId_bump.jpg, typeIId_diffuse_camo1.jpg,
	  typeIId_diffuse_camo2.jpg, typeIId_diffuse_camo3.jpg,
	  typeIId_specular.jpg, uboat_IId.cs, uboat_IId.ddxml: Added
	  typeIId uboat, with 3skins, nodetree set, internal rev 1.1.

2007-04-05 09:00  thjordan

	* src/: water.cpp, freeview_display.cpp, freeview_display.h,
	  sub_periscope_display.cpp, sub_uzo_display.cpp,
	  torpedo_camera_display.cpp: fixed torpedo camera view by using
	  glScissor

2007-04-05 00:06  thjordan

	* src/torpedo_camera_display.cpp: adjusted position

2007-04-04 23:49  thjordan

	* src/: SConscript, game.cpp, game.h, keys.cpp, keys.h,
	  map_display.cpp, sea_object.h, sub_periscope_display.cpp,
	  sub_uzo_display.cpp, submarine_interface.cpp,
	  submarine_interface.h, subsim.cpp, user_interface.cpp,
	  user_interface.h, torpedo_camera_display.cpp,
	  torpedo_camera_display.h: removed user_interface::target
	  (deprecated); added torpedo camera view; use "k" to cycle through
	  torpedo views

2007-04-04 22:18  thjordan

	* src/credits.cpp: some eye candy

2007-04-03 08:49  thjordan

	* src/viewmodel.cpp: use sphere as "sun"

2007-04-03 08:49  thjordan

	* src/make_mesh.cpp: make spheres with triangle strips

2007-03-31 09:51  thjordan

	* src/submarine.cpp: convert underwater speed from knots to m/s
	  when reading xml file

2007-03-31 09:32  thjordan

	* src/: game.cpp, sea_object.cpp, sea_object.h: finally fixed bug
	  about deleted but yet referenced objects; added new handy
	  function to sea_object class; adjusted important comment about
	  simulation in class game

2007-03-30 23:11  thjordan

	* src/sea_object.cpp: objects were never deleted since leftover
	  from last cleanup - fixed this

2007-03-30 23:05  thjordan

	* src/credits.cpp: added Marco

2007-03-30 23:02  thjordan

	* src/credits.cpp: added yalla

2007-03-30 22:59  thjordan

	* src/: sea_object.cpp, sea_object.h: removed recently added zombie
	  state, not needed

2007-03-30 22:58  thjordan

	* src/game.cpp: added important comment

2007-03-30 22:14  thjordan

	* src/: torpedo.cpp, water_splash.cpp, depth_charge.cpp, game.cpp,
	  game_editor.cpp, gun_shell.cpp, sea_object.cpp, sea_object.h,
	  ship.cpp: one more "defunct" like state to keep objects around
	  one frame longer to avoid crashes; handle dead/defunct objects in
	  a clever way in simulate()

2007-03-29 23:33  thjordan

	* SConstruct: allow usage of duma

2007-03-29 20:50  thjordan

	* src/: datadirs.cpp, filehelper.cpp, filehelper.h,
	  freeview_display.cpp, subsim.cpp, widget.cpp: use class for
	  directory abstraction for safer handling of ressources; this
	  fixes lost memory

2007-03-29 20:11  thjordan

	* src/subsim.cpp: handle music thread in saner way, now quit with
	  close-window-event works again

2007-03-29 18:21  simsoueu

	* data/objects/submarines/IIA/uboat_IIa.ddxml: Updated TypeIIA,
	  fixed small nodetree issue.

2007-03-28 08:40  thjordan

	* src/game.cpp: make console output where earlier the torpedo crash
	  bug should have occured.

2007-03-28 02:02  simsoueu

	* data/objects/submarines/IIC/: submarine_IIc.data,
	  typeIIC_bumpmap.jpg, typeIIC_diffuse_skin1.jpg,
	  typeIIC_diffuse_skin2.jpg, typeIIC_specularmap.jpg, uboat_IIc.cs,
	  uboat_IIc.ddxml: Added TypeIIC uboat, with nodetrees, skin for
	  late 1941-1944 use.

2007-03-28 01:51  simsoueu

	* data/objects/submarines/IIB/uboat_IIb.ddxml: Updated type IIB
	  ddxml (and cs). Was missing the nodetrees structure.

2007-03-27 09:11  thjordan

	* src/game.cpp: possible or probable bugfix for torpedo impact
	  crash

2007-03-27 09:10  thjordan

	* src/sea_object.cpp: removed obsolete code

2007-03-27 00:11  thjordan

	* src/todo.txt: added note about idea

2007-03-27 00:10  thjordan

	* src/: ships_sunk_display.cpp, game.cpp, game.h, sea_object.cpp,
	  sea_object.h: fixed segfault in successes&medals screen

2007-03-26 20:19  thjordan

	* src/: music.cpp, music.h, user_interface.cpp: added function to
	  pause/resume all sfx

2007-03-26 20:01  simsoueu

	* data/images/TDCScreen2_Daylight_base_image.jpg: Updated
	  TDCscreen2 base image, fixed alpha rings around tube lights.

2007-03-25 13:31  thjordan

	* src/: coastmap.cpp, coastmap.h, user_interface.cpp,
	  user_interface.h, water.cpp, water.h: use worker threads for CPU
	  intensive construction of coastmap and water, to parallelize CPU
	  and IO time or to speed it up on multicore systems.

2007-03-25 13:27  thjordan

	* src/thread.cpp: print info about created and terminated threads
	  to log

2007-03-25 12:04  thjordan

	* src/: thread.cpp, thread.h: ability to request thread ids

2007-03-24 19:37  thjordan

	* src/: music.cpp, music.h, submarine_interface.cpp: play sounds of
	  submarine engine

2007-03-24 18:58  thjordan

	* src/: thread.cpp, thread.h: report error messages over thread
	  boundary

2007-03-24 15:16  thjordan

	* src/: music.cpp, music.h: bugfix: selecting tracks with fade time
	  works now

2007-03-24 15:08  thjordan

	* src/message_queue.cpp: make log output about failed messages

2007-03-24 11:41  thjordan

	* src/submarine_interface.cpp: bugfix

2007-03-24 11:40  thjordan

	* src/subsim.cpp: handle events directly after retrieving them

2007-03-23 16:44  thjordan

	* src/: credits.cpp, damagemodel.cpp, system.cpp, system.h: removed
	  obsolete input state handling

2007-03-23 16:36  thjordan

	* src/music.cpp: make notify commands asynchronous

2007-03-23 08:54  thjordan

	* src/: system.cpp, system.h: remove obsolete periodic-call-stuff

2007-03-22 23:46  thjordan

	* src/: SConscript, airplane_interface.cpp, event.cpp,
	  global_data.cpp, global_data.h, music.cpp, music.h, sound.cpp,
	  sound.h, sound_effect_names.h, submarine_interface.cpp,
	  subsim.cpp, user_interface.cpp, user_interface.h,
	  tools/commandgen.py: new sound system (class music) in place - it
	  runs in extra thread; disabled soundcache; removed obsolete class
	  sound; all code uses new music class for sfx playback (still
	  incomplete though).

2007-03-22 23:43  thjordan

	* src/system.cpp: added rememember comment about SDL_QUIT events

2007-03-22 23:18  thjordan

	* src/: airplane.cpp, cfg.cpp, global_data.cpp, global_data.h,
	  sea_object.cpp, ship.cpp, submarine.cpp: do not use tinyxml
	  directly; removed XmlAttrib crap (moved to cfg.cpp, only place
	  where it is used, and it should be removed there too)

2007-03-22 22:55  simsoueu

	* data/objects/ships/corvettes/flowercorvette_hrcn/:
	  flowercorvette_hrcn.cs, flowercorvette_hrcn.ddxml: Updated Flower
	  class corvette, v3, for nodetrees + smoothing.

2007-03-22 22:54  simsoueu

	* data/objects/ships/corvettes/flowercorvette_hcn/:
	  flowercorvette_hcn.cs, flowercorvette_hcn.ddxml: Updated Flower
	  class corvette, v2, for nodetrees + smoothing.

2007-03-22 22:53  simsoueu

	* data/objects/ships/corvettes/FlowerClass/: FlowerCorvette_RN.cs,
	  FlowerCorvette_RN.ddxml: Updated Flower class corvette, v1, for
	  nodetrees+smoothing.

2007-03-22 22:30  thjordan

	* data/sounds/: boom5.ogg, nshipbell.ogg, sound-categories.data,
	  torp.ogg: new sound files and category data file

2007-03-21 23:41  simsoueu

	* data/objects/ships/corvettes/flowercorvette_hrcn/:
	  flowercorvette_hrcn.cs, flowercorvette_hrcn.ddxml: Updated Flower
	  class corvette, v2, Canadian Navy, with nodetree for turret,
	  barrel, rudder, propeller.

2007-03-21 22:49  thjordan

	* src/tools/commandgen.py: more features (default parameters),
	  bugfix

2007-03-21 05:14  simsoueu

	* data/objects/submarines/IIB/: submarine_IIb.data,
	  typeIIB_bump_camo2.jpg, typeIIB_bumpmap.jpg,
	  typeIIB_diffuse_camo2.jpg, typeIIB_diffuse_camo3.jpg,
	  typeIIB_diffusemap.jpg, typeIIB_specularmap.jpg, uboat_IIb.cs,
	  uboat_IIb.ddxml: Added typ.IIB uboat, with skins for 1937 up to
	  1943 operations (Black Sea). Nodetree present, with regions in
	  data files.

2007-03-21 05:10  simsoueu

	* data/objects/submarines/IIA/: submarine_IIa.data,
	  typeIIA_diffuse_camo2.jpg, typeIIA_diffuse_camo3.jpg,
	  uboat_IIa.ddxml: Updated typ.IIA uboat ddxml and data files for
	  early 1937/1939 skins. Nodetree structure retained.

2007-03-21 02:01  rengolin

	* src/submarine_interface.cpp: comments

2007-03-21 01:57  rengolin

	* doc/simulate-flow.txt: detailed listing of how simulate works
	  this document is being made to elucidate how dangerdeep is
	  simulating and how much of it could be improved

2007-03-19 19:13  simsoueu

	* data/objects/submarines/IIA/: uboat_IIa.cs, uboat_IIa.ddxml:
	  Updated TypeIIA. IIA didn't had deck gun, only had attack
	  periscope. Model now has nodetree structure and correct names
	  (separated by underscore and numbered).

2007-03-18 01:25  rengolin

	* src/subsim.cpp: results and highscores not working, ommit for now

2007-03-16 22:49  thjordan

	* src/test/testthreads.cpp: added test program for message queues
	  and threads

2007-03-16 22:48  thjordan

	* src/tools/commandgen.py: added tool to generate c++ code for
	  command handling from simpler input

2007-03-15 23:49  thjordan

	* src/: thread.cpp, thread.h: improved error handling and thread
	  object management

2007-03-15 20:42  simsoueu

	* src/subsim.cpp: Updated subsim.cpp (:621/:654) for typeIIA uboat
	  entry.

2007-03-15 20:39  simsoueu

	* data/texts/common.csv: Updated common entry for typeIIA model.

2007-03-15 20:37  simsoueu

	* data/objects/submarines/IIA/: submarine_IIa.data,
	  typeIIA_bumpmap.jpg, typeIIA_diffusemap.jpg,
	  typeIIA_specularmap.jpg, uboat_IIa.cs, uboat_IIa.ddxml: Added
	  type IIA uboat, internal rev.1.0. Needs to have obsv.periscope
	  removed, and have tests on constraints, for next version.

2007-03-15 20:32  thjordan

	* src/: framebufferobject.h, shader.cpp, texture.h,
	  vertexbufferobject.h: use correct pointers with GL types for gl
	  calls (fixes compile error on macos/ppc64)

2007-03-15 19:19  thjordan

	* src/tools/erisExport.cpp: flip v coordinates

2007-03-14 21:00  thjordan

	* src/thread.cpp: backwards compatibility, include sdl_thread.h too

2007-03-14 20:51  thjordan

	* src/subsim.cpp: improved resolution selection on command line

2007-03-14 08:44  thjordan

	* src/tools/erisExport.cpp: optimization

2007-03-14 00:23  thjordan

	* src/tools/erisExport.cpp: added exporter for maya to ddxml

2007-03-13 00:41  thjordan

	* src/test/msgqueuetest.cpp: added message test

2007-03-13 00:39  thjordan

	* src/: SConscript, message_queue.cpp, message_queue.h, ptrlist.h:
	  added message queue class

2007-03-12 22:58  thjordan

	* src/subsim.cpp: choosen language is stored in config file

2007-03-12 22:49  thjordan

	* src/test/: README, mutex_test.cpp, parser_test.cpp,
	  ptrlist_test.cpp, threadtest.cpp: added directory for test
	  programs and also some small tests

2007-03-12 22:36  thjordan

	* src/: SConscript, condvar.cpp, condvar.h, mutex.cpp, mutex.h,
	  thread.cpp, thread.h: added classes for condition variables and
	  threads

2007-03-12 19:39  thjordan

	* src/mutex.h: added comment

2007-03-12 19:35  thjordan

	* src/: SConscript, mutex.cpp, mutex.h: added a mutex class

2007-03-11 11:07  thjordan

	* src/subsim.cpp: request current resolution for initial list
	  selection

2007-03-11 11:00  thjordan

	* src/: subsim.cpp, system.cpp, system.h: resolution can be changed
	  in-game

2007-03-10 11:39  thjordan

	* src/: crosssection.cpp, damagemodel.cpp, portal.cpp, subsim.cpp,
	  system.cpp, system.h, viewmodel.cpp: available video modes of sdl
	  are now looked up in constructor of system class and can be
	  requested later (done in subsim.cpp)

2007-03-10 11:11  thjordan

	* src/subsim.cpp: first bits of resolution change (menu)

2007-03-08 22:47  thjordan

	* src/: event.cpp, global_data.cpp, global_data.h,
	  sound_effect_names.h, submarine_interface.cpp,
	  user_interface.cpp: moved sound effect name definitions to
	  another new header file, so we don't need to include
	  global_data.h for this

2007-03-08 21:20  thjordan

	* src/submarine_interface.cpp: used wrong text to unman gun

2007-03-08 20:28  thjordan

	* data/texts/common.csv: some texts translated/corrected by Felix

2007-03-08 20:27  thjordan

	* src/: sea_object.cpp, ship.cpp, submarine.cpp, texts.cpp,
	  SConscript, airplane.cpp, convoy.cpp, game.cpp, game_editor.cpp,
	  parser.cpp, parser.h, token.h, tokencodes.h, tokenizer.cpp,
	  tokenizer.h: removed obsolete tokenizer; replaced parser by
	  simpler one, that can read csv files better

2007-03-07 23:26  rengolin

	* test.sh: quick script to test dd

2007-03-06 22:11  thjordan

	* src/: sound.cpp, sound.h, submarine_interface.cpp: added
	  comments, outcommented unused obsolete function

2007-03-06 21:07  thjordan

	* src/submarine_interface.cpp: bugfix

2007-03-06 21:05  thjordan

	* src/: sound.cpp, submarine.cpp: added comment

2007-03-06 20:17  thjordan

	* src/subsim.cpp: changed comment

2007-03-06 20:05  thjordan

	* src/: SConscript, event.cpp, event.h, game.cpp, game.h,
	  game_editor.cpp, game_editor.h, ptrlist.h, submarine.cpp,
	  submarine.h, submarine_interface.cpp, subsim.cpp,
	  user_interface.cpp, user_interface.h: huge change: class game
	  does not need user_interface any longer, thus broken circular
	  dependency, for the price of engine sounds not working any longer
	  at the moment

2007-03-05 19:22  thjordan

	* src/submarine_interface.cpp: quick bugfix for segfault, but mere
	  a hack

2007-03-04 01:35  rengolin

	* src/submarine.cpp: few comments, concentrating code

2007-03-03 21:45  thjordan

	* src/: freeview_display.cpp, water.cpp: underwater rendering now
	  functional, no fancy effects yet

2007-03-03 21:44  thjordan

	* data/shaders/: under_water.fshader, under_water.vshader: new
	  shaders for underwater rendering

2007-03-03 21:44  thjordan

	* data/shaders/water.vshader: removed obsolete parts

2007-03-03 20:47  rengolin

	* src/submarine.cpp: dive_to_depth changes were too rough, goto
	  periscope depth affected BUG 1669377 in sf.net fixed

2007-03-03 15:16  thjordan

	* src/: freeview_display.cpp, freeview_display.h, water.cpp,
	  water.h: first bits of underwater rendering

2007-03-03 15:11  thjordan

	* data/textures/underwater_background.png: new underwater
	  background color gradient

2007-03-03 14:05  thjordan

	* src/: frustum.cpp, frustum.h, water.cpp: move some commonly
	  useful code from water to frustum class

2007-03-03 14:05  thjordan

	* src/objcache.h: added comment

2007-03-02 21:22  thjordan

	* src/: freeview_display.cpp, freeview_display.h,
	  sub_bridge_display.cpp, sub_periscope_display.cpp,
	  sub_periscope_display.h, sub_uzo_display.cpp, submarine.cpp,
	  submarine.h: periscope can now be moved in arbitrarily small
	  steps (with left mouse button and movement)

2007-03-02 14:58  thjordan

	* src/: parser.cpp, tokencodes.h: removed obsolete parts

2007-03-02 14:03  thjordan

	* src/user_interface.cpp: old rain/snow effects can be used again
	  by enabling the defines

2007-03-02 14:03  thjordan

	* doc/TODO.txt: added some points

2007-02-28 23:33  thjordan

	* src/water.cpp: improved movement of noise texture coordinates.

2007-02-28 19:52  thjordan

	* src/: water.cpp, water.h: remove obsolete parts

2007-02-28 19:50  thjordan

	* src/: freeview_display.cpp, perlinnoise.cpp, perlinnoise.h:
	  compilation fixes (bad namespace usage)

2007-02-28 19:50  thjordan

	* src/subsim.cpp: remove obsolete config options

2007-02-28 01:06  rengolin

	* doc/TODO.txt: more todo based on performance test of map screen

2007-02-28 00:12  thjordan

	* src/water.cpp, src/water.h, data/shaders/water.fshader,
	  data/shaders/water.vshader: improved water rendering and noise
	  handling

2007-02-28 00:11  thjordan

	* src/texture.cpp: added some comments/remarks

2007-02-26 22:54  thjordan

	* src/submarine.cpp: do not load "parts" xml elements, they have to
	  be loaded in sea_object (active area of re-work)

2007-02-26 22:41  thjordan

	* data/texts/common.csv: added texts that got lost

2007-02-26 22:34  thjordan

	* src/subsim.cpp: do not restart music when leaving hall of fame

2007-02-26 19:50  thjordan

	* src/water.cpp: foam spawning and decay now more realistic

2007-02-25 20:50  thjordan

	* src/: water.cpp, water.h: give amount of foam as vertex attribute
	  to vertex shader

2007-02-25 20:49  thjordan

	* data/shaders/water.vshader: get amount of foam as vertex
	  attribute from cpu

2007-02-25 18:43  thjordan

	* src/: water.cpp, water.h: some work to precompute amount of foam

2007-02-25 11:59  thjordan

	* data/shaders/water.fshader: bugfix

2007-02-25 10:43  thjordan

	* src/sky.cpp: fog was accidentally enabled causing strange halo
	  effect

2007-02-25 03:06  rengolin

	* doc/TODO.txt: todo list, please add yours. Added all fixme in
	  code.

2007-02-25 02:11  rengolin

	* src/submarine.cpp: In simulate, dive_accel gets sub_velocity as
	  parameter to know sink/submerge rate. Now, reverse is working,
	  and planes down/up swapped behaviour (inverse signal). Using
	  fabs(sub_velocity) to fix that.

2007-02-25 02:09  rengolin

	* src/ship.cpp: get_throttle_accel with signal hack to make reverse
	  work

2007-02-25 01:19  rengolin

	* src/sea_object.h: enum of parts redundant when we have it on xml

2007-02-24 18:47  thjordan

	* src/water.cpp: new water colors

2007-02-24 18:41  thjordan

	* data/shaders/: water.fshader, water.vshader: some improvements

2007-02-24 14:17  thjordan

	* data/shaders/: water.fshader, water.vshader: improved rendering
	  quality by some simple changes

2007-02-22 23:02  thjordan

	* src/water.cpp: added comment, test and first code bits to compute
	  amount of foam per vertex sample

2007-02-22 21:30  thjordan

	* src/water.cpp: one further comment with more results

2007-02-22 21:21  thjordan

	* src/water.cpp: added comment about remaining bug

2007-02-22 21:15  thjordan

	* src/: subsim.cpp, water.cpp: some cleanups and bugfixes of water
	  rendering code; water detail now configureable

2007-02-22 21:01  thjordan

	* src/sky.cpp: remove unneeded and avoidable "using namespace std"

2007-02-21 00:03  thjordan

	* data/texts/: common.csv, formats.csv, languages.csv: now with
	  dutch translation

2007-02-20 23:30  thjordan

	* src/freeview_display.cpp, src/subsim.cpp, src/user_interface.cpp,
	  src/water.cpp, src/water.h, src/water_sse.cpp, src/water_sse.h,
	  SConstruct: removed obsolete parts from old water code

2007-02-20 23:20  thjordan

	* src/: water.cpp, water.h: completely new way of water rendering
	  using "geo clipmaps". Code is still experimental in some parts
	  (see comments and fixmes), but yet faster and has more potential
	  than old code. sse code and some config options are now obsolete

2007-02-20 18:48  rengolin

	* data/objects/submarines/IXc40/submarine_IXc40.data: unnecessary
	  space

2007-02-19 22:58  thjordan

	* src/sky.cpp: bugfix for sky z positioning; re-enable sky
	  rendering

2007-02-19 22:05  bombardier

	* src/: stars.cpp, stars.h: Star twinkle added

2007-02-18 23:43  bombardier

	* data/environment/stars_data.xml, src/SConscript, src/moon.cpp,
	  src/sky.cpp, src/sky.h, src/stars.cpp, src/stars.h: Star
	  rendering using star catalogue

2007-02-13 21:19  thjordan

	* doc/: codeguide.pdf, codeguide.tex: added some thoughts about
	  collision detection

2007-02-12 20:34  thjordan

	* src/: game.cpp, global_data.h, texts.cpp, texts.h: show logbook
	  entries with daytime, not date

2007-02-12 20:24  thjordan

	* data/texts/formats.csv: new format(s) for hour:minute

2007-02-10 18:20  thjordan

	* data/shaders/credits.fshader: some shader changes

2007-02-10 18:19  thjordan

	* src/credits.cpp: added Matt to website designers

2007-02-10 18:07  thjordan

	* src/credits.cpp: cooler credits with shaders

2007-02-10 18:05  thjordan

	* data/shaders/: credits.fshader, credits.vshader: new shaders for
	  credit's background

2007-02-10 17:24  thjordan

	* src/: SConscript, credits.cpp, credits.h, subsim.cpp: moved code
	  to present credits (and text) to separate file

2007-02-08 23:35  thjordan

	* doc/: codeguide.pdf, codeguide.tex: more about rendering

2007-02-08 22:16  thjordan

	* doc/: classdiagram.pdf, classdiagram.png, codeguide.pdf,
	  codeguide.tex: some minor changes; included class diagram in
	  codeguide; text is now wider

2007-02-07 03:57  simsoueu

	* src/logbook_display.cpp: Updated logbook_display.cpp for new
	  ship's log image (just replaced filename).

2007-02-07 03:56  simsoueu

	* data/images/shipslog_main_daylight.jpg: Added ship's log,
	  internal rev1.1, daylight version.

2007-02-07 03:52  simsoueu

	* data/images/logbook_background.jpg: Removed log book image,
	  getting ready for final ship's log, with daylight and redlight
	  versions.

2007-02-06 23:42  thjordan

	* src/: coastmap.cpp, coastmap.h, global_data.cpp, global_data.h,
	  sub_periscope_display.cpp, sub_tdc_display.cpp, subsim.cpp:
	  shrink amount of global data (ideally none)

2007-02-06 23:40  thjordan

	* data/textures/: addleadangle.png, flugzeug.png, menuframe.png,
	  metalbackgr.png: remove obsolete data files

2007-02-05 23:02  thjordan

	* src/user_interface.cpp: adjusted positions in panel by using
	  right font for width calculation

2007-02-05 20:49  thjordan

	* src/: font.h, global_data.cpp, global_data.h,
	  logbook_display.cpp, ptrvector.h, subsim.cpp: fonts managed by
	  cache, making memory management more automatic; new logbook view

2007-02-05 20:48  thjordan

	* data/fonts/: font_damagedtypewriter.pgm, font_janeaust.metric,
	  font_janeaust.png, font_jphsl.metric, font_jphsl.png,
	  font_typenr.metric, font_typenr.png, font_vtportable.metric,
	  font_vtportable.png: new fonts available

2007-02-05 20:05  thjordan

	* src/: font.cpp, font.h: extended print_wrapped

2007-02-04 11:41  thjordan

	* data/fonts/font_king.metric, data/fonts/font_king.png,
	  data/textures/widgetelements_game.png, src/global_data.cpp,
	  src/global_data.h, src/subsim.cpp: new font_king, new ingame
	  widgets

2007-02-04 11:40  thjordan

	* src/logbook_display.cpp: bugfix, reset color

2007-02-04 11:10  thjordan

	* data/images/logbook_background.jpg,
	  data/textures/logbook_spiral.png, src/logbook_display.cpp,
	  src/logbook_display.h: new logbook look

2007-02-04 10:54  thjordan

	* src/sky.cpp: fixed sky rendering, VBO for indices was used
	  totally wrong (indices stored for quads, but quad-strips were
	  used).

2007-02-04 10:25  thjordan

	* src/sky.cpp: unbind VBOs like it should be done

2007-01-31 00:29  simsoueu

	* data/images/: captainscabin_main_daylight.jpg,
	  captainscabin_main_redlight.jpg: Updated captain's cabin screen,
	  daylight+redlight, to internal rev.1.2.

2007-01-30 23:42  bombardier

	* src/: sky.cpp, sky.h: Sky dome is generated in such way that it
	  has greater vertex density near horizon.

2007-01-30 22:58  thjordan

	* data/images/captainscabin_main_daylight.jpg,
	  data/images/captainscabin_main_daylight_rev.1.1.jpg,
	  data/images/captainscabin_main_redlight.jpg,
	  data/images/captainscabin_main_redlight_rev.1.1.jpg,
	  src/sub_captainscabin_display.cpp: renamed captain's cabin data
	  files

2007-01-30 20:25  thjordan

	* src/model.cpp: ignore normal generation faults for buggy meshes
	  (3ds)

2007-01-29 23:51  thjordan

	* doc/: codeguide.pdf, codeguide.tex: some more introduction and
	  some bits about c++

2007-01-29 21:55  thjordan

	* src/sky.cpp: remove debug code

2007-01-29 21:54  thjordan

	* src/moon.cpp: clean up texture environment correctly

2007-01-29 21:25  bombardier

	* src/sky.cpp: Sky bug fixed.

2007-01-29 21:25  thjordan

	* src/: SConscript, sub_captainscabin_display.cpp,
	  sub_captainscabin_display.h, submarine_interface.cpp,
	  submarine_interface.h: added captains cabin to screens

2007-01-29 21:24  thjordan

	* data/texts/common.csv: added texts for successes/captainscabin

2007-01-29 20:01  thjordan

	* src/model.cpp: fixed the cleanup/deinit code

2007-01-29 19:36  thjordan

	* src/pgm2ddxml.py: use triangle strips as output

2007-01-27 12:00  thjordan

	* src/: model.cpp, model.h: ddxml can now store triangle strips as
	  primitives, not only triangles

2007-01-27 11:57  thjordan

	* src/viewmodel.cpp: do not write obsolete "off" files

2007-01-27 11:55  thjordan

	* src/pgm2ddxml.py: added tool to generate large meshes

2007-01-27 01:43  simsoueu

	* data/images/: captainscabin_main_daylight_rev.1.1.jpg,
	  captainscabin_main_redlight_rev.1.1.jpg: Captains cabin main
	  screen, daylight and night time version, internal rev.1.1.
	  Already maximum compression without artifacts, do not recompress.

2007-01-26 19:22  thjordan

	* src/water.cpp: clever use of one quad-strip with degenerated
	  quads as connectors instead of many quad-strips, performance
	  improvement.

2007-01-26 08:28  thjordan

	* src/sky.cpp: removed obsolete comment

2007-01-25 23:44  thjordan

	* src/: sky.cpp, sky.h: sky uses VBOs now for faster display

2007-01-25 21:48  thjordan

	* data/shaders/modelrender.vshader, src/model.cpp, src/model.h: use
	  VBO-only code again, shaders use vertex attributes (again, for
	  now and ever)

2007-01-23 22:27  thjordan

	* src/: model.cpp, model.h: use VBOs for non-shader rendering to
	  give more performance

2007-01-21 12:43  thjordan

	* doc/: codeguide.pdf, codeguide.tex: more info

2007-01-18 21:26  thjordan

	* src/framebufferobject.cpp: delete in correct order (symmetric to
	  construction)

2007-01-18 21:24  thjordan

	* src/: texture.cpp, water.cpp: bugfix: normal maps are GL_RGB, not
	  GL_LUMINANCE; bugfix: bind texture before calling
	  glTexSubImage2D.

2007-01-17 08:42  thjordan

	* src/framebufferobject.cpp: unbind renderbuffer after creation or
	  it is always bound

2007-01-16 23:56  thjordan

	* src/model.cpp: unbind shader after rendering

2007-01-16 23:55  thjordan

	* src/shader.cpp: removed printf

2007-01-16 23:54  thjordan

	* src/water.cpp: use glDrawRangeElements, which should be a bit
	  faster than glDrawElements

2007-01-15 23:12  thjordan

	* src/viewmodel.cpp: record and show fps in console

2007-01-15 23:04  thjordan

	* src/model.cpp: bugfix, bound wrong program

2007-01-15 22:19  thjordan

	* data/shaders/: modelrender_fp.shader,
	  modelrender_mirrorclip_fp.shader,
	  modelrender_mirrorclip_vp.shader, modelrender_vp.shader,
	  water_fp.shader, water_vp.shader: removed obsolete asm shaders,
	  no longer needed as reference

2007-01-15 22:17  thjordan

	* data/shaders/modelrender.vshader, src/model.cpp, src/model.h:
	  reverted back to old code using display lists (and color instead
	  of vertex attributes), because it is much faster

2007-01-15 22:15  thjordan

	* src/: model.cpp, model.h: use multiple VBOs instead one big. This
	  was suggested as performance improvement for nvidia cards. It
	  doesnt bring more performance though, rather a slight loss of 1
	  fps

2007-01-14 11:26  thjordan

	* src/model.cpp, src/model.h, src/shader.cpp, src/shader.h,
	  data/shaders/modelrender.vshader: use vertex attributes for
	  tangent-x and righthanded info

2007-01-13 23:13  thjordan

	* src/model.cpp: use glDrawRangeElements for more performance

2007-01-13 19:38  thjordan

	* src/: model.cpp, model.h, vertexbufferobject.cpp,
	  vertexbufferobject.h: use VBOs to render models instead of
	  display lists

2007-01-09 21:36  thjordan

	* src/: SConscript, vertexbuffer.cpp, vertexbuffer.h,
	  vertexbufferobject.cpp, vertexbufferobject.h, water.h: renamed
	  vertexbuffer to vertexbufferobject

2007-01-08 23:14  thjordan

	* src/water_sse.cpp: added/changed comments

2007-01-08 23:00  thjordan

	* src/water_sse.cpp, src/water_sse.h, src/water.cpp, src/water.h,
	  SConstruct: store wave height and displacement data as 3*float,
	  not any longer as 32bit packed value, thus easier handling of
	  data, and more precision (more performance too), needed for
	  higher wind speeds; use gcc intrinsics for SSE code always
	  (removed assembler code), as intrinsics are more portable and
	  faster on newer gcc versions

2007-01-08 22:59  thjordan

	* src/image.h: include texture.h so destructor of texture is called
	  properly when stored in ptrvector

2007-01-07 18:24  thjordan

	* src/water.cpp: use sub_image method of texture to avoid permanent
	  re-creation of textures

2007-01-06 21:41  thjordan

	* src/: texture.cpp, texture.h: offer sub_image method to make
	  glTexSubImage2d workable with texture class

2007-01-05 02:21  rengolin

	* src/: sea_object.cpp, sea_object.h, sub_damage_display.cpp:
	  damage list is a vector initialization not hardcoded anymore (but
	  also not reading frmo XML yet) as it's not in use currently,
	  that's not a big deal

2007-01-05 02:20  rengolin

	* data/objects/submarines/IXc40/submarine_IXc40.data: TESTING: list
	  of parts wont break the current readers

2007-01-04 23:33  rengolin

	* src/: sea_object.cpp, sea_object.h, sub_damage_display.cpp,
	  submarine.cpp, submarine.h: Moving all damage code to sea_object,
	  where it'll be converted to parts code (damage + buoyancy)

2006-12-27 16:15  thjordan

	* src/water.cpp: added some comments

2006-12-27 14:11  thjordan

	* data/shaders/: modelrender.fshader,
	  modelrender_mirrorclip.fshader, water.fshader: added fog to
	  fragment shaders

2006-12-27 12:05  thjordan

	* src/: texture.cpp, texture.h: removed old asm program shader
	  code. now use GLSL everywhere

2006-12-27 11:26  thjordan

	* data/shaders/water.fshader: small optimization, added comment

2006-12-27 11:06  thjordan

	* data/shaders/water.fshader: removed obsolete comment

2006-12-27 10:31  thjordan

	* src/: shader.cpp, shader.h, water.cpp: fixed bugs with giving
	  uniforms to shaders, now water shader works

2006-12-26 23:36  thjordan

	* src/: shader.cpp, shader.h, sky.cpp, water.cpp, water.h: water
	  code uses glsl shaders now

2006-12-26 23:36  thjordan

	* data/shaders/water.fshader: bugfix

2006-12-26 22:50  thjordan

	* data/shaders/: water.fshader, water.vshader: new glsl shaders for
	  water

2006-12-26 22:50  thjordan

	* data/shaders/modelrender.fshader: added fog

2006-12-26 17:50  thjordan

	* src/: model.cpp, model.h, shader.cpp, shader.h: use new glsl
	  shaders for models instead of older asm programs

2006-12-26 17:42  thjordan

	* data/shaders/: modelrender.fshader, modelrender.vshader,
	  modelrender_mirrorclip.fshader, modelrender_mirrorclip.vshader:
	  new glsl shaders for models ready, added also mirrorclip shaders

2006-12-26 14:25  thjordan

	* data/shaders/: modelrender.fshader, modelrender.vshader: new glsl
	  shaders for models

2006-12-26 14:25  thjordan

	* src/: shader.cpp, shader.h: use shaders for models, enhanced
	  functionality

2006-12-25 14:32  thjordan

	* src/: shader.cpp, shader.h: added shader_setup class (handy!)

2006-12-25 14:13  thjordan

	* src/: shader.cpp, shader.h, SConscript: first version of GLSL
	  wrapper classes

2006-12-21 00:03  thjordan

	* src/: texture.cpp, texture.h: fixed loading of combined jpg/png
	  images, now they can be loaded as sdl_image, thus
	  texture::read_from_file got obsolete

2006-12-21 00:03  thjordan

	* src/water.cpp: use GL_STREAM_DRAW instead of GL_STATIC_DRAW with
	  vertex buffer objects

2006-12-20 22:17  thjordan

	* src/: coastmap.cpp, font.cpp, font.h, image.cpp, image.h,
	  sub_gauges_display.cpp, sub_gauges_display.h,
	  sub_torpsetup_display.cpp, subsim.cpp, texture.cpp, texture.h,
	  widget.cpp: new sdl_image wrapper class; use sdl_image instead of
	  image for loading image data that is not used like in class
	  image; removed obsolete cache from class image; made code
	  exception safe by using sdl_image wrapper

2006-12-20 21:05  thjordan

	* src/ptrvector.h: made exception safe

2006-12-19 20:15  thjordan

	* src/subsim.cpp: maxfps command line switch: allow 0 to disable
	  maxfps fully

2006-12-19 20:15  thjordan

	* src/perlinnoise.cpp: added comment

2006-12-18 23:52  thjordan

	* src/subsim.cpp: added command line switch for setting maximum fps
	  value

2006-12-18 23:36  thjordan

	* src/water.cpp: use FBO for foamamounttex too

2006-12-18 23:28  thjordan

	* src/: framebufferobject.cpp, water.cpp: bugfix for detection of
	  FBOs

2006-12-18 23:13  thjordan

	* src/: framebufferobject.cpp, framebufferobject.h,
	  freeview_display.cpp, water.cpp, water.h: use framebuffer object
	  extension if it is supported

2006-12-18 22:44  thjordan

	* src/: SConscript, framebufferobject.cpp, framebufferobject.h:
	  added opengl frame buffer object wrapper class

2006-12-18 22:23  thjordan

	* src/texture.cpp: clear texels when creating empty texture, so
	  texture is initialized inside opengl

2006-12-17 21:36  thjordan

	* src/: model.cpp, system.cpp: bugfixes

2006-12-17 20:50  thjordan

	* src/: error.cpp, error.h, subsim.cpp, system.cpp, widget.cpp:
	  defined new exception(s); use exceptions instead of
	  system::myassert

2006-12-17 18:33  thjordan

	* src/: sound.cpp, texture.cpp, error.h, music.cpp: new exception;
	  added some comments

2006-12-14 23:20  thjordan

	* doc/codeguide.tex: added some comments

2006-12-14 23:16  thjordan

	* doc/codeguide.tex: added codeguide, draft document for new
	  developers

2006-12-14 20:57  thjordan

	* src/subsim.cpp: show loading screen after

2006-12-11 21:25  thjordan

	* src/music.cpp: fixed bugs in order of playing music tracks

2006-12-10 17:46  thjordan

	* src/: subsim.cpp, widget.cpp, widget.h: save more ram: do not
	  hold invisible widget background images in ram.

2006-12-10 14:08  thjordan

	* src/: texture.cpp, water.cpp: report and use
	  texture_non_power_of_two better.

2006-12-10 13:49  thjordan

	* data/shaders/water_fp.shader: save two shader instructions

2006-12-09 12:53  thjordan

	* src/: sub_gauges_display.cpp, sub_gauges_display.h,
	  submarine_interface.cpp: avoid wasting ram, reworked screens to
	  use the enter()/leave() methods. removed more global data. Also
	  call enter() on start screen at construction of the
	  user_interface. This is important.

2006-12-09 11:43  thjordan

	* src/: global_data.cpp, global_data.h, logbook_display.cpp,
	  logbook_display.h, ships_sunk_display.cpp, ships_sunk_display.h,
	  sub_bridge_display.cpp, sub_bridge_display.h,
	  sub_damage_display.cpp, sub_damage_display.h,
	  sub_gauges_display.cpp, sub_gauges_display.h,
	  sub_periscope_display.cpp, sub_periscope_display.h,
	  sub_torpedo_display.cpp, sub_torpedo_display.h,
	  sub_uzo_display.cpp, sub_uzo_display.h: avoid wasting ram,
	  reworked screens to use the enter()/leave() methods. removed more
	  global data.

2006-12-08 17:21  simsoueu

	* CREDITS: Updated credits for Marco's sound effects (in
	  development-data tree, under Marcos_SFX).

2006-12-07 23:13  thjordan

	* src/: sub_tdc_display.cpp, sub_tdc_display.h,
	  submarine_interface.cpp: save more ram by using enter/leave

2006-12-07 22:53  uid65557

	* src/texture.cpp: correctly handle non-power-two textures with
	  gl_height/gl_width members

2006-12-07 22:52  thjordan

	* src/: sub_periscope_display.cpp, sub_periscope_display.h: save
	  more ram by using enter/leave

2006-12-07 22:00  thjordan

	* src/: sub_kdb_display.cpp, sub_kdb_display.h, sub_bg_display.cpp,
	  sub_bg_display.h, sub_gauges_display.cpp, sub_gauges_display.h,
	  sub_ghg_display.cpp, sub_ghg_display.h: save more ram by using
	  enter/leave

2006-12-07 21:17  thjordan

	* src/: game.cpp, game.h, sub_torpsetup_display.cpp,
	  sub_torpsetup_display.h, submarine_interface.cpp, user_display.h,
	  user_interface.cpp, user_interface.h: move initializtation/deinit
	  of screens to special functions that are called when user
	  enters/leaves the screen or daymode changes. Thus ram is used
	  only when screen is visible, with the possibility to save tons of
	  system and/or video ram.

2006-12-07 19:54  thjordan

	* src/: image.cpp, texture.cpp, texture.h: use texture sizes with
	  non-power-of-two values if supported to avoid wasting video ram

2006-12-06 22:10  thjordan

	* src/: image.cpp, widget.cpp: added two short comments about
	  caching and memory usage

2006-12-04 19:16  thjordan

	* src/: freeview_display.cpp, freeview_display.h, global_data.cpp,
	  global_data.h, objcache.h: move conning tower model from global
	  data to freeview class

2006-12-02 14:14  thjordan

	* src/texture.cpp: added outcommented code to measure loading times

2006-12-02 14:13  thjordan

	* src/sound.cpp: add comment

2006-12-02 14:11  thjordan

	* src/: global_data.cpp, global_data.h, map_display.cpp,
	  objcache.h, sub_damage_display.cpp, sub_damage_display.h,
	  subsim.cpp, user_interface.cpp, viewmodel.cpp, widget.cpp,
	  widget.h: load images always on demand, saving tons of memory.
	  later we should add some caching.

2006-12-02 12:01  thjordan

	* src/font.cpp: added comments and disabled test to measure ram
	  waste

2006-12-01 15:58  doc1972

	* src/filehelper.h: check under WIN32 if WIN32_LEAN_AND_MEAN was
	  already defined and prevent double definition

2006-12-01 15:53  doc1972

	* src/font.cpp: deleted unused variable codeleftbr

2006-12-01 15:51  doc1972

	* src/global_data.h: check under WIN32 if WIN32_LEAN_AND_MEAN was
	  already defined and prevent double definition

2006-12-01 15:46  doc1972

	* src/viewmodel.cpp: casts from double to int

2006-12-01 15:42  doc1972

	* src/texture.cpp: typecast from signed to unsigned

2006-12-01 15:38  doc1972

	* src/texture.h: check under WIN32 if WIN32_LEAN_AND_MEAN was
	  already defined and prevent double definition

2006-12-01 15:32  doc1972

	* src/: sub_bg_display.cpp, sub_ghg_display.cpp: deleted unused
	  variables sub, si and player

2006-12-01 15:19  doc1972

	* src/sky.cpp: deleted unused variable sky_alpha

2006-12-01 15:16  doc1972

	* src/submarine.cpp: deleted unused (double defined) variable
	  strength

2006-12-01 15:12  doc1972

	* src/sky.cpp: deleted unused variable moon_alpha

2006-12-01 15:10  doc1972

	* src/ship.cpp: deleted unused variable time_to_rudder_opposite

2006-12-01 15:06  doc1972

	* src/subsim.cpp: commented out unused state

2006-12-01 14:51  doc1972

	* src/widget.cpp: deleted unused variable fw

2006-12-01 14:49  doc1972

	* src/sub_kdb_display.cpp: deleted unused variable sub and si

2006-12-01 14:47  doc1972

	* src/freeview_display.cpp: deleted unused variable sub

2006-12-01 14:46  doc1972

	* src/convoy.cpp: deleted unused variable d

2006-12-01 00:23  doc1972

	* src/gun_shell.cpp: cleared unused variable impact

2006-12-01 00:20  doc1972

	* src/game.cpp: lines 1276;1296 Typecast from double to unsigned
	  int

2006-12-01 00:14  doc1972

	* src/freeview_display.cpp: cleared unused variable sub

2006-12-01 00:12  doc1972

	* src/convoy.cpp: unused variable d cleared out

2006-12-01 00:10  doc1972

	* src/sub_kdb_display.cpp: unused variables should be commented out
	  ;-)

2006-12-01 00:06  doc1972

	* src/sub_kdb_display.cpp: cleared up unused variables sub and si

2006-12-01 00:00  doc1972

	* src/sub_torpsetup_display.h: line 56;57 typecast of the result
	  from unsigned to signed

2006-11-30 23:56  doc1972

	* src/user_interface.cpp: line 438;439 typecast from signed to
	  unsigned

2006-11-30 23:51  doc1972

	* src/matrix4.h: included check if WIN32_LEAN_AND_MEAN was already
	  defined and prevent double definition

2006-11-30 23:40  doc1972

	* src/widget.cpp: in draw_area cleanupf of unused variable fw

2006-11-30 23:28  doc1972

	* src/oceantest.cpp: line 122;126 compariosn signed<->unsigned
	  cleared

2006-11-30 23:24  doc1972

	* src/error.h: included undef ERROR for win32, because it was
	  already defined in wingdi.h

2006-11-30 23:20  doc1972

	* src/color.h: included check if WIN32_LEAN_AND_MEAN was already
	  defined

2006-11-30 23:15  doc1972

	* src/credits.h: Michael Kieser hinzugefügt

2006-11-30 22:50  thjordan

	* src/: image.cpp, texture.cpp: undef MEMMEASURE

2006-11-30 22:19  thjordan

	* src/: cfg.h, datadirs.h, logbook_display.cpp, logbook_display.h,
	  subsim.cpp, system.cpp, texture.cpp, texture.h, viewmodel.cpp,
	  widget.cpp, widget.h: clean up memory/objects before leaving;
	  attach pointers/objects to auto_ptr instead of C-like pointer to
	  have exception-safe code

2006-11-29 00:40  rengolin

	* data/texts/common.csv: more portuguese menus

2006-11-29 00:21  thjordan

	* src/water.cpp: now subdetail is added to wave data

2006-11-28 23:23  thjordan

	* src/water.cpp: more tests

2006-11-28 23:21  rengolin

	* data/texts/: common.csv, languages.csv: translator don't break
	  lines anymore main menu translated to portuguese

2006-11-28 21:11  rengolin

	* data/texts/common.csv: portuguese translation leaded to paddings,
	  restarting from scratch

2006-11-28 01:38  rengolin

	* src/: convoy.cpp, map_display.cpp, physics.cpp, physics.h,
	  sea_object.cpp, sea_object.h, ship.cpp, sub_tdc_display.cpp,
	  submarine.cpp, torpedo.cpp, user_interface.cpp: Only changing
	  units methods to physics

2006-11-26 22:28  simsoueu

	* data/LICENSE: Unified license, instead of several files.

2006-11-26 22:27  simsoueu

	* LICENSE: New unified license.

2006-11-26 22:26  simsoueu

	* data/: ARTWORK_LICENSE, Archive_FAQ.htm, Archive_TERMS.htm,
	  NavalHistoricCenterPolicy.htm,
	  VeraLynn_-_ImInTheMood_-_LICENSE.htm,
	  VeraLynn_-_ImInTheMood_-_LICENSE.txt, WW2Incolor_Policy.htm:
	  Updating for a unified license.

2006-11-26 22:23  simsoueu

	* ARTWORK_LICENSE, LICENSE, LICENSE_README: Making a single unified
	  license.

2006-11-26 13:33  thjordan

	* doc/: howto_vc_build.txt, vc2005.zip: added VC++2005 howto and
	  example project files as zip, made by Hiten Parmar

2006-11-26 12:52  thjordan

	* src/: oglext/glext.h, bspline.h, coastmap.cpp, credits.h,
	  make_mesh.cpp, model.cpp, portal.cpp, sonar.cpp, sonar.h,
	  sonar_operator.cpp, sonar_operator.h, tone_reproductor.cpp,
	  tone_reproductor.h, xml.cpp: VC++ compatibility changes

2006-11-24 11:55  doc1972

	* src/: physics.cpp, physics.h: Instantiation of DELTA moved to the
	  physics.cpp file. Instantiation within the physics.h file gives
	  errors on some machines. Error is not really known.

2006-11-23 23:42  thjordan

	* src/: water.cpp, water.h: current test code for geoclipmap water

2006-11-23 21:22  thjordan

	* src/: physics.cpp, physics.h: static const does work

2006-11-23 20:54  thjordan

	* src/texture.cpp: added comment

2006-11-23 20:49  thjordan

	* src/freeview_display.cpp: added std::

2006-11-23 20:48  thjordan

	* src/: error.cpp, error.h: improved error handling/reporting

2006-11-23 20:47  thjordan

	* src/: airplane.cpp, depth_charge.cpp, environment.cpp,
	  ocean_wave_generator.h, physics.cpp, physics.h, plane.h,
	  sea_object.cpp, ship.cpp, water_splash.cpp: fixed compile
	  problems: static constants MUST NOT be of double/float or other
	  type, especially problematic in templates

2006-11-20 21:42  thjordan

	* src/physics.h: added missing include

2006-11-20 20:42  thjordan

	* data/texts/: common.csv, formats.csv, languages.csv: added pt
	  (brazil) as language

2006-11-19 12:23  thjordan

	* src/matrix4.h: added clear_trans method

2006-11-19 11:46  thjordan

	* src/: SConscript, frustum.cpp, frustum.h, plane.h, polygon.h,
	  portal.cpp: moved code from portal.cpp to separate files to make
	  it available generally

2006-11-15 22:20  rengolin

	* src/: SConscript, airplane.cpp, depth_charge.cpp, global_data.h,
	  ocean_wave_generator.h, sea_object.cpp, ship.cpp,
	  water_splash.cpp: Introducing environment and physics classes.

	  All physical transformations and contants should be handled
	  exclusively by those classes. The only thing moved now was the
	  constant GRAVITY but all methods and algorithms would be migrated
	  as well.

2006-11-15 20:26  rengolin

	* src/: environment.cpp, environment.h, physics.cpp, physics.h:
	  environments and physics modules

2006-11-14 23:21  doc1972

	* data/texts/common.csv: line 2 restored from <unused> to "bearing"
	  line 98 restored from <unused> to "Time x" cz language for this
	  lines left to <unused>

2006-11-14 22:18  doc1972

	* src/subsim.cpp: included the commandline argument --language

2006-11-11 18:13  simsoueu

	* data/ARTWORK_LICENSE: Updated license, main and data, for
	  separate packages.

2006-11-11 18:11  simsoueu

	* ARTWORK_LICENSE, LICENSE_README: Cleaned up license files and
	  updated them for Martin's contributions, as well as some comments
	  on contributions.

2006-11-11 18:10  simsoueu

	* ARTWORK_LICENSE: Removing duplicate entries, and updating license
	  for Martin's contributions.

2006-11-11 18:09  simsoueu

	* ARTWORK_LICENSE, LICENSE_README: Removing duplicate entries and
	  cleaning up things.

2006-11-11 18:03  simsoueu

	* data/LICENSE_README: Updating license information for a smaller
	  file, removing duplicates.

2006-11-11 17:34  simsoueu

	* LICENSE_README: There was a contradicting point with
	  LICENSE_README and ARTWORK_LICENSE. Fixed.

2006-11-11 02:31  bombardier

	* src/sky.cpp: Sky sphere is rendered as indexed array of quad
	  strips.

2006-11-09 21:52  thjordan

	* src/subsim.cpp: available languages are requested at runtime now
	  and presented as list for selection

2006-11-09 21:49  thjordan

	* data/texts/: formats.csv, common.csv: fixed errors in format

2006-11-09 21:46  thjordan

	* data/texts/: common.csv, formats.csv, languages.csv: added czech
	  and french language; added new text ressource for date format
	  string

2006-11-09 21:29  thjordan

	* src/texts.cpp: removed debug output

2006-11-09 21:25  thjordan

	* src/: texts.cpp, texts.h: automatically detect available
	  languages; format texts with format string

2006-11-09 21:24  thjordan

	* src/global_data.h: added handy helper function

2006-11-09 21:23  thjordan

	* src/game.cpp: use texts class for date string formatting

2006-11-09 21:22  thjordan

	* src/: date.cpp, date.h: removed obsolete functions, use texts
	  class for date string formatting

2006-11-09 21:17  thjordan

	* src/widget.cpp: fixed typo

2006-11-08 22:53  bombardier

	* src/: sky.cpp, sky.h: Sky sphere is rendered as indexed array of
	  quads, which eliminates duplicate vertex color computation.

2006-11-08 22:13  simsoueu

	* data/texts/: common.csv, languages.csv: Added Benjamin Carrier's
	  french translation (thanks Benjamin).

2006-11-07 23:45  thjordan

	* src/moon.cpp: clean up when you change texture environment next
	  time!!!

2006-11-06 21:08  thjordan

	* data/texts/common.csv: fix empty strings, or otherwise parser
	  breaks

2006-11-06 20:54  thjordan

	* data/texts/common.csv, src/submarine.cpp,
	  src/submarine_interface.cpp: remove obsolete texts; shifted 753
	  ff to 125ff

2006-11-01 21:04  thjordan

	* src/align16_allocator.h: added handy allocator for vectors to get
	  16-byte aligned memory

2006-10-27 08:32  thjordan

	* data/shaders/water_vp.shader: added reminding comment

2006-10-21 18:48  thjordan

	* src/water.cpp: fix broken cvs version

2006-10-21 16:29  thjordan

	* src/water.cpp: use quad strips for water rendering, do not use
	  rather obsolete compiled vertex arrays

2006-10-21 16:28  thjordan

	* src/sea_object.cpp: fixed possible sigsegv bug

2006-10-20 08:29  thjordan

	* src/water.cpp: change VBO usage mode

2006-10-20 00:38  thjordan

	* src/: water.cpp, water.h: fixed VBO support for non-shader water
	  rendering

2006-10-20 00:22  thjordan

	* src/water.cpp: use correct size

2006-10-20 00:21  bombardier

	* src/moon.cpp: Brighter moon

2006-10-20 00:20  thjordan

	* src/: vertexbuffer.cpp, water.cpp, water.h: use more VBOs

2006-10-19 23:43  thjordan

	* src/vertexbuffer.h: added reminding comment

2006-10-19 23:42  thjordan

	* src/: SConscript, vertexbuffer.cpp, vertexbuffer.h, water.cpp,
	  water.h: added vertex buffer object class; water renderer uses
	  vertex buffer objects now

2006-10-19 22:13  bombardier

	* src/moon.cpp: Some minor clenup.

2006-10-19 21:37  thjordan

	* src/moon.cpp: small performance improvement

2006-10-19 20:17  thjordan

	* data/textures/moon_n.png, src/moon.cpp: ccompute moon normal map
	  at runtime

2006-10-19 10:26  bombardier

	* data/textures/: moon_00.png, moon_01.png, moon_02.png,
	  moon_03.png, moon_04.png, moon_05.png, moon_06.png, moon_07.png,
	  moon_08.png, moon_09.png, moon_10.png, moon_11.png, moon_12.png,
	  moon_13.png, moon_14.png, moon_15.png, moon_16.png, moon_17.png,
	  moon_18.png, moon_19.png, moon_20.png, moon_21.png, moon_22.png,
	  moon_23.png: New moon rendering using normal mapped quad instead
	  of hardcoded moon phases. (Removing old moon phase textures)

2006-10-19 10:10  bombardier

	* data/environment/moon_data.xml, data/textures/moon_d.png,
	  data/textures/moon_n.png, src/moon.cpp, src/moon.h, src/sky.cpp,
	  src/sky.h: New moon rendering using normal mapped quad instead of
	  hardcoded moon phases.

2006-10-13 11:54  simsoueu

	* dftd_icon.png, dftd_icon.xpm: Added 32x32px png icons.

2006-10-12 20:48  thjordan

	* SConstruct: check if there is a CVS subdir, and only offer
	  "tarball" target in that case

2006-10-12 20:25  thjordan

	* data/texts/common.csv, src/ai.cpp, src/faulthandler.h,
	  src/ship.cpp, src/ship.h, src/submarine.cpp, src/submarine.h,
	  src/submarine_interface.cpp: bugfixes for deck gun handling

2006-10-12 00:12  thjordan

	* SConstruct: changes to make it compile under win32

2006-10-12 00:12  thjordan

	* src/: game_editor.cpp, map_display.cpp: bugfixes

2006-10-11 21:26  thjordan

	* src/: submarine.cpp, submarine.h, submarine_interface.cpp: when
	  tubes are empty do not report "torpedo fired" and do not play
	  launch sound

2006-10-11 21:25  thjordan

	* src/objcache.h: language bugfix

2006-10-11 21:00  thjordan

	* data/texts/common.csv: translated some texts

2006-10-10 23:17  thjordan

	* ChangeLog: updated

2006-10-10 23:08  thjordan

	* version.txt: adapted build system to new way of packaging data

2006-10-10 23:04  thjordan

	* SConstruct, files.txt, makedatapackage.py, makedeb,
	  makefilelist.py, makewinpack, debian/DEBIAN/control,
	  src/SConscript, suse/dangerdeep.spec: adapted build system to new
	  way of packaging data

2006-10-10 21:26  thjordan

	* files.txt, makefilelist.py: added comment; makefilelist builds
	  data package as test

2006-10-10 21:26  thjordan

	* src/SConscript: added comment

2006-10-10 20:35  thjordan

	* src/: filehelper.cpp, filehelper.h, subsim.cpp: config directory,
	  highscore directory and savegame directory can be set at runtime

2006-10-10 19:54  thjordan

	* src/: datadirs.cpp, datadirs.h, freeview_display.cpp,
	  global_data.cpp, global_data.h, sea_object.cpp,
	  ships_sunk_display.cpp, subsim.cpp, user_interface.cpp,
	  water_splash.cpp: base data directory can be set at runtime

2006-10-09 23:37  thjordan

	* src/submarine.cpp: fix torpedo chooser, use types according to
	  historic data

2006-10-09 23:06  thjordan

	* src/map_display.cpp: use CTRL + MMB instead of RMB to drag
	  objects

2006-10-09 18:42  thjordan

	* src/oglext/RenderingContext.cpp: remove compile hack

2006-10-08 23:30  thjordan

	* files.txt, makedeb, debian/DEBIAN/control: update

2006-10-08 23:27  thjordan

	*
	  data/objects/ships/corvettes/FlowerClass/flowercorvette_rn_camo2_color.png:
	  remove obsolete file

2006-10-08 22:26  thjordan

	* src/: freeview_display.cpp, freeview_display.h, particle.cpp,
	  particle.h: smoke and spray are colored by light color too

2006-10-08 22:04  thjordan

	* src/: freeview_display.cpp, water.cpp: improved upwelling color
	  of water at night and sky color at night

2006-10-08 19:05  thjordan

	* SConstruct, src/model.cpp: use slash as file separator character
	  always, no matter which platform. C/C++ standard wants it also
	  that way.

2006-10-08 19:04  thjordan

	* src/oglext/: OglExt.cpp, RenderingContext.cpp,
	  RenderingContext.hpp: compilation fixes for win32

2006-10-08 14:38  thjordan

	* src/: bspline.h, make_mesh.cpp, model.cpp, system.h: compilation
	  fixes for win32

2006-10-08 11:14  thjordan

	* data/shaders/water_fp.shader, src/color.h, src/daysky.cpp,
	  src/freeview_display.cpp, src/game.cpp, src/game.h, src/sky.cpp,
	  src/user_interface.cpp, src/water.cpp, src/water.h: changes on
	  water_fp shader for foam color; changes for water upwelling color
	  (depending on light color now); night sky is dim blue

2006-10-08 10:02  thjordan

	* src/sub_kdb_display.cpp: remove testing printfs

2006-10-07 23:28  thjordan

	* src/: daysky.cpp, daysky.h, game.cpp: fixed bug causing NaN for
	  sky color; remove silly const from argument definitions

2006-10-07 12:04  thjordan

	* src/: sky.cpp, subsim.cpp, daysky.cpp, freeview_display.cpp,
	  game.cpp, game.h: improved sky color

2006-10-07 12:03  thjordan

	* src/: submarine_interface.cpp, user_interface.cpp,
	  user_interface.h: added pause key to in-game main menu

2006-10-07 12:02  thjordan

	* src/oglext/RenderingContext.cpp: hack to make it compile on other
	  systems...

2006-10-07 11:59  thjordan

	* data/texts/common.csv: added text for pause button

2006-10-06 23:21  simsoueu

	*
	  data/objects/ships/freighters/fortship/can1941/fortship_v1_spec2.jpg:
	  Added weathered skin specular file.

2006-10-06 00:34  thjordan

	* src/: sub_periscope_display.cpp, sub_uzo_display.cpp,
	  user_interface.cpp, user_interface.h: fix triangle height display
	  error

2006-10-06 00:11  thjordan

	* src/: sub_periscope_display.cpp, sub_uzo_display.cpp,
	  user_interface.cpp, user_interface.h: show red triangle below
	  target

2006-10-05 23:11  thjordan

	* data/texts/common.csv: new texts for new menues

2006-10-05 22:57  thjordan

	* src/: user_interface.cpp, user_interface.h, widget.cpp, widget.h:
	  added widget checkbox with helper template class; use checkboxes
	  in playlist

2006-10-05 22:23  thjordan

	* src/: sub_tdc_display.cpp, sub_tdc_display.h,
	  submarine_interface.cpp, submarine_interface.h, system.h,
	  user_interface.cpp, user_interface.h, widget.cpp: new context
	  main menu; menues dragable with MMB now

2006-10-05 20:55  thjordan

	* src/: freeview_display.cpp, sub_bridge_display.cpp,
	  sub_gauges_display.cpp, sub_periscope_display.cpp,
	  sub_tdc_display.cpp, sub_torpsetup_display.cpp,
	  sub_uzo_display.cpp, user_interface.cpp, user_interface.h: show
	  message texts in every display screen

2006-10-05 17:55  simsoueu

	* data/objects/ships/freighters/fortship/can1943/:
	  fortship1943.data, fortship1943.ddxml, fortship_v2_camo2.jpg,
	  fortship_v2_camo3.jpg, fortship_v2_camo4.jpg: Updated ddxml+data
	  for new skins. Mid-war north-atlantic/western
	  approaches/norwegian sea skins.

2006-10-05 17:51  simsoueu

	* data/objects/ships/freighters/fortship/can1941/:
	  fortship1941.data, fortship1941.ddxml, fortship_v1_camo2.jpg,
	  fortship_v1_camo3.jpg, fortship_v1_camo4.jpg,
	  fortship_v1_camo5.jpg: Updated ddxml+data for new skins. Added
	  new skins, for atlantic, british india steam, us service early
	  war, battered north atlantic canadian.

2006-10-05 17:44  simsoueu

	*
	  data/objects/ships/freighters/fortship/nolisciv/fortship_nolisciv_camo2.jpg:
	  Updated American Export Lines, for correct logo in smokestack and
	  correct lettering.

2006-10-05 00:20  thjordan

	* src/: submarine_interface.cpp, submarine_interface.h,
	  user_interface.cpp, user_interface.h: in-game playlist
	  implemented

2006-10-05 00:10  thjordan

	* data/texts/common.csv: new texts for music playlist

2006-10-04 23:30  thjordan

	* src/: music.cpp, music.h, submarine_interface.cpp, subsim.cpp,
	  user_interface.cpp, user_interface.h, widget.cpp, widget.h: new
	  widget functions; first parts of in-game playlist

2006-10-04 20:08  thjordan

	* src/: xml.cpp, oglext/CHANGELOG, oglext/Macros.h,
	  oglext/OglExt.cpp, oglext/OglExt.h, oglext/RCHashArray.hpp,
	  oglext/RenderingContext.cpp, oglext/RenderingContext.hpp,
	  oglext/glext.h, tinyxml/changes.txt, tinyxml/readme.txt,
	  tinyxml/tinyxml.cpp, tinyxml/tinyxml.h, tinyxml/tinyxmlerror.cpp,
	  tinyxml/tinyxmlparser.cpp: new versions of oglext and tinyxml
	  included, with adaptions to new tinyxml library

2006-10-03 23:11  thjordan

	* src/: daysky.cpp, daysky.h, sky.cpp: sky color patches

2006-10-03 23:03  thjordan

	* src/credits.h: fix utf8 characters

2006-10-03 22:36  thjordan

	* src/: credits.h, global_data.cpp, image.h, objcache.h,
	  subsim.cpp: clean up data before leaving

2006-10-03 22:14  thjordan

	* files.txt: updated

2006-10-03 20:20  thjordan

	* src/: game.cpp, image.cpp, subsim.cpp, texture.cpp, xml.cpp,
	  xml.h: fixed memory leak

2006-10-03 18:21  thjordan

	* src/: credits.h, global_data.cpp, image.cpp, image.h, music.cpp,
	  music.h, ptrvector.h, sea_object.cpp, sea_object.h, sound.cpp,
	  sound.h, submarine_interface.cpp, subsim.cpp, system.cpp,
	  system.h, texture.cpp, user_interface.cpp, user_interface.h,
	  water.cpp: new ptrvector container to avoid memory leaks; new
	  music class and playlist manager

2006-10-03 11:53  thjordan

	* data/sounds/: Auf_Feindfahrt.ogg,
	  Auf_Feindfahrt_environmental.ogg, Auf_Feindfahrt_fast.ogg,
	  outside_underwater.ogg, theme.ogg: added new music from Martin

2006-10-03 11:27  thjordan

	* data/textures/splashring.png, src/particle.cpp, src/particle.h,
	  src/water_splash.cpp, src/water_splash.h: changed water splash
	  appearance

2006-10-02 17:39  thjordan

	* src/submarine_interface.cpp: added comment about second menu

2006-10-02 17:08  thjordan

	* src/user_interface.cpp: screen selector menu also moveable when
	  using left mouse button and clicking on title bar

2006-10-02 16:43  thjordan

	* src/submarine_interface.cpp: added comment

2006-10-02 13:32  thjordan

	* data/texts/common.csv, src/submarine_interface.cpp,
	  src/submarine_interface.h, src/user_interface.cpp: context menu
	  finished - you can select screens by context menu, and even drag
	  that menu around the screen

2006-10-01 23:24  simsoueu

	* data/objects/ships/freighters/liberty/1943/:
	  libertyship1943.data, libertyship1943.ddxml,
	  lship_1943_camo4.jpg: Updated v1943 liberty ship for late 1943
	  northern skin + data file.

2006-10-01 20:15  simsoueu

	* data/objects/torpedoes/: Fido/Fido.data, TI/FaTI/TI_FaTI.data,
	  TI/LuTI/TI_LuTI.data, TI/LuTII/TI_LuTII.data,
	  TI/standard/TI.data, TII/TII.data, TIII/FaTII/TIII_FaTII.data,
	  TIII/a_FaTII/TIIIa_FaTII.data, TIII/a_LuTI/TIIIa_LuTI.data,
	  TIII/a_LuTII/TIIIa_LuTII.data, TIII/standard/TIII.data,
	  TIV/TIV.data, TV/b/TVb.data, TV/standard/TV.data,
	  TVI/LuTI/TVI_LuTI.data, TXI/TXI.data: Updated torpedo data files,
	  to enable use of new G7a/G7e torpedo models, consistent with spec
	  files.

2006-10-01 20:14  simsoueu

	* data/textures/: g7a_torpedo_color.jpg, g7e_torpedo_color.jpg:
	  Added new G7a/G7e torpedo model textures.

2006-10-01 20:12  simsoueu

	* data/models/: g7a_torpedo.cs, g7a_torpedo.ddxml, g7e_torpedo.cs,
	  g7e_torpedo.ddxml: Added new G7a/G7e torpedo models.

2006-10-01 20:11  simsoueu

	* data/models/torpedo_g7.3ds: Deleted old torpedo model.

2006-10-01 18:52  thjordan

	* src/: sub_tdc_display.cpp, submarine_interface.cpp,
	  user_interface.cpp, user_interface.h: experimental context menu
	  added

2006-10-01 18:21  thjordan

	* src/: freeview_display.cpp, sky.cpp: fog patches by matt

2006-09-30 20:49  thjordan

	* src/convoy.cpp: easier generation in convoy.cpp with
	  probabilities

2006-09-30 18:20  simsoueu

	* data/objects/ships/freighters/liberty/1943/:
	  libertyship1943.data, libertyship1943.ddxml,
	  lship_1943_camo3.jpg: Updated ddxml+data file, added skin for
	  northern scenario.

2006-09-30 12:09  thjordan

	* src/freeview_display.cpp: do not render foam for torpedoes as
	  quick and dirty solution to the foam torpedo rendering problem

2006-09-30 12:08  thjordan

	* src/water.cpp: uncommented test variable

2006-09-30 12:00  thjordan

	* src/subsim.cpp: redisplay model when skin changed

2006-09-30 11:59  thjordan

	* data/textures/widgetelements_game.png,
	  data/textures/widgetelements_grey.png,
	  data/textures/widgetelements_menu.png, src/widget.cpp,
	  src/widget.h: themes now have extra colors for scrollbars

2006-09-30 05:50  simsoueu

	* data/objects/ships/freighters/liberty/1943/:
	  libertyship1943.data, libertyship1943.ddxml,
	  lship_1943_camo2.jpg, lship_1943_spec2.jpg: Updated data+ddxml
	  for new skins. Added skin for sea battered liberty ship.

2006-09-30 05:47  simsoueu

	* data/objects/ships/freighters/fortship/nolisciv/:
	  fortship_nolisciv_camo2.jpg, fortship_nolisciv_camo3.jpg,
	  fortshipciv.ddxml: Updated data+ddxml for skins. Added civilian
	  skins, for american coastal area, and caribbean sea.

2006-09-29 20:01  thjordan

	* files.txt: updated

2006-09-29 19:50  thjordan

	* SConstruct: use right order of arguments for pkg-config

2006-09-29 05:03  simsoueu

	* data/objects/ships/freighters/liberty/1941/:
	  libertyship1941.data, libertyship1941.ddxml,
	  lship_1941_camo2.jpg, lship_1941_camo3.jpg: Updated ddxml+data
	  files for skins. New early war skins added.

2006-09-28 22:33  thjordan

	* src/: airplane.h, depth_charge.cpp, gun_shell.cpp,
	  sea_object.cpp, sea_object.h, ship.h, torpedo.h,
	  water_splash.cpp: use saner way of avoiding detection of other
	  objects for trivial types (shells, DCs, splashes, torpedoes, ...)

2006-09-28 22:06  simsoueu

	* data/textures/splashring.png: Updated splash files.

2006-09-28 21:19  thjordan

	* src/sea_object.cpp: fix bug where ships started to "flicker"
	  after being hit - they were redetected every second but removed
	  on the next frame from visibility list

2006-09-28 21:12  thjordan

	* src/: depth_charge.cpp, gun_shell.cpp, torpedo.cpp,
	  water_splash.cpp: fixed severe bug, do not call object detection
	  for simple sea_objects (shells, depth charges, torpedoes, water
	  splashes) or the game segfaults when ships are removed.

2006-09-28 20:45  thjordan

	* src/: bspline.h, bspline_test.cpp, freeview_display.cpp,
	  game.cpp, water_splash.cpp, water_splash.h: use different shaped
	  water splashes for torpedoes, gun_shells and depth charges

2006-09-28 01:14  simsoueu

	* SConstruct: Updated SConstruct for architecture independent build
	  +xorg6/7/7.1.

2006-09-27 23:42  thjordan

	* src/freeview_display.cpp: new depth mask handling for overlapping
	  alpha objects

2006-09-27 23:28  thjordan

	* src/freeview_display.cpp: water splashes are depth sorted by
	  distance to player so alpha rendering works

2006-09-27 22:52  thjordan

	* src/: freeview_display.cpp, game.cpp, game.h, water_splash.cpp,
	  water_splash.h: use new water splash class for water splashes,
	  crude hack in many places

2006-09-26 23:34  thjordan

	* src/: water_splash.cpp, water_splash.h: different rise/fall shape

2006-09-26 23:04  thjordan

	* src/: SConscript, bspline.h, bspline_test.cpp,
	  freeview_display.cpp, water_splash.cpp, water_splash.h: added
	  water splashes (currently only test hack) and bspline test

2006-09-26 21:58  simsoueu

	* data/objects/ships/corvettes/FlowerClass/:
	  FlowerCorvette_RN.data, FlowerCorvette_RN.ddxml,
	  flowercorvette_rnavy_bump2.jpg, flowercorvette_rnavy_camo3.jpg,
	  flowercorvette_rnavy_camo5.jpg, flowercorvette_rnavy_spec2.jpg:
	  Updated camo3 skin for small error (no K111), new K540 skin, and
	  alternative spec+bump skins + updated data+ddxml files
	  respectively.

2006-09-26 03:38  simsoueu

	* data/objects/ships/corvettes/FlowerClass/:
	  FlowerCorvette_RN.data, FlowerCorvette_RN.ddxml,
	  flowercorvette_rnavy_camo4.jpg: Updated primary Flower class
	  corvette model ddxml, and data files, and added new skin
	  (Canadian Navy, 1944/45 colors).

2006-09-26 00:06  thjordan

	* src/: freeview_display.cpp, game.h: test render added

2006-09-25 23:31  simsoueu

	* data/objects/ships/corvettes/flowercorvette_hcn/:
	  flowercorvette_hcn.data, flowercorvette_hcn.ddxml,
	  flowercorvette_hcn_camo3.jpg, flowercorvette_hcn_camo4.jpg: New
	  skins for model 2 Flower class corvette, and updated ddxml+data
	  files.

2006-09-25 23:29  simsoueu

	* data/objects/ships/corvettes/flowercorvette_hrcn/:
	  flowercorvette_hrcn.data, flowercorvette_hrcn.ddxml,
	  flowercorvette_hrcn_camo1.jpg, flowercorvette_hrcn_camo2.jpg: New
	  skins for model2 Flower class corvette. Updated ddxml+data file.

2006-09-25 22:57  thjordan

	* SConstruct, files.txt: optimize loop

2006-09-25 22:52  thjordan

	* src/SConscript: fix scons warnings

2006-09-24 11:15  thjordan

	* data/textures/splash.png, data/textures/splashring.png,
	  data/textures/torpedo_expl_water_splash.png,
	  data/textures/torpedo_expl_water_splash_1.png,
	  data/textures/torpedo_expl_water_splash_2.png, src/particle.cpp:
	  new water splash images

2006-09-23 22:53  thjordan

	* src/: ai.cpp, airplane_interface.cpp, cfg.h, coastmap.h,
	  convoy.cpp, date.cpp, freeview_display.h, game.cpp, game.h,
	  game_editor.cpp, highscorelist.cpp, highscorelist.h, logbook.h,
	  map_display.cpp, network.cpp, network.h, ocean_wave_generator.h,
	  parser.cpp, parser.h, particle.cpp, ship.cpp, sky.cpp,
	  sonar_operator.cpp, sub_damage_display.h, sub_gauges_display.h,
	  sub_periscope_display.h, sub_tdc_display.cpp,
	  sub_torpedo_display.h, sub_torpsetup_display.h, submarine.cpp,
	  torpedo.cpp, user_interface.h, water.cpp, widget.cpp, xml.cpp:
	  more cleanups of the namespace pollution

2006-09-23 22:28  simsoueu

	* data/objects/ships/corvettes/flowercorvette_hrcn/:
	  flowercorvette_hrcn.cs, flowercorvette_hrcn.data,
	  flowercorvette_hrcn.ddxml, flowercorvette_hrcn_bump.jpg,
	  flowercorvette_hrcn_color.jpg, flowercorvette_hrcn_spec.jpg:
	  Added early Canadian Navy version of Flower class corvette (used
	  by Royal Navy too).

2006-09-23 22:25  simsoueu

	* data/objects/ships/corvettes/flowercorvette_hcn/:
	  flowercorvette_hcn.cs, flowercorvette_hcn.data,
	  flowercorvette_hcn.ddxml, flowercorvette_hcn_bump.jpg,
	  flowercorvette_hcn_camo2.jpg, flowercorvette_hcn_color.jpg,
	  flowercorvette_hcn_spec.jpg: Added early variant of Flower class
	  corvette, GB+CAN navies, with skins for atlantic+western
	  approaches.

2006-09-23 22:22  simsoueu

	* data/objects/ships/corvettes/FlowerClass/FlowerCorvette_RN.data:
	  Updated data file for RN Flower Corvette.

2006-09-23 13:51  thjordan

	* src/: airplane_interface.h, ship_interface.h,
	  submarine_interface.h: remove more silly using directives

2006-09-23 13:42  thjordan

	* src/: ai.h, airplane.cpp, airplane.h, airplane_interface.cpp,
	  binstream.h, bspline.h, cfg.cpp, cfg.h, convoy.cpp,
	  damagemodel.cpp, date.cpp, date.h, filehelper.cpp, filehelper.h,
	  global_data.cpp, global_data.h, gun_shell.h, logbook.h,
	  make_mesh.cpp, make_mesh.h, matrix4.h, model.cpp, model.h,
	  network.cpp, network.h, objcache.h, parser.cpp, parser.h,
	  particle.cpp, particle.h, quaternion.h, ship.cpp, ship.h,
	  sky.cpp, sky.h, sound.cpp, sound.h, submarine.cpp, submarine.h,
	  submarine_interface.cpp, system.cpp, token.h, tokenizer.cpp,
	  tokenizer.h, triangulate.cpp, triangulate.h, water.cpp, water.h,
	  widget.cpp, widget.h, xml.cpp: fixed namespace issues and
	  deprecated c++ syntax

2006-09-21 08:40  thjordan

	* doc/: sonar.pdf, sonar.tex: added even more new thoughts

2006-09-20 23:03  thjordan

	* doc/: sonar.pdf, sonar.tex: added some new thoughts

2006-09-20 22:14  thjordan

	* src/: font.cpp, font.h, widget.cpp: finally fixed Unicode 16bit
	  <-> Utf8 support

2006-09-18 23:48  thjordan

	* files.txt, data/textures/widgetelements_menu.png, src/subsim.cpp:
	  changed menu theme slightly

2006-09-18 23:48  thjordan

	* src/: sea_object.h, todo.txt: added/updated comments

2006-09-18 23:48  thjordan

	* src/: font.cpp, font.h, widget.cpp, widget.h: improved support
	  for utf-8

2006-09-17 15:23  thjordan

	* src/widget.cpp: remove accidentally leftover comment

2006-09-17 15:23  thjordan

	* src/: font.cpp, widget.cpp, widget.h: fixed multibyte input (UTF8
	  support) for widget_edit

2006-09-17 12:09  thjordan

	* src/moon.cpp: moon texture mode set from repeat to clamp to avoid
	  tiny graphical bug

2006-09-16 16:37  simsoueu

	* src/sky.cpp: Decreased number of visible stars from 2000 to 500,
	  much more realistic.

2006-09-16 15:57  simsoueu

	* CREDITS: Updated credits to include Matt Lawrence's patches.

2006-09-16 15:49  simsoueu

	* src/sky.cpp: Submitted Matt Lawrence's patch, for correct moon
	  bitmap blend modes, day time + night time.

2006-09-15 21:49  simsoueu

	* data/objects/submarines/VIIc/: submarine_VIIc.data,
	  type7c_camo10.jpg, type7c_camo11.jpg, type7c_camo1_color.jpg,
	  type7c_camo2.jpg, type7c_camo3.jpg, type7c_camo4.jpg,
	  type7c_camo5.jpg, type7c_camo6.jpg, type7c_camo7.jpg,
	  type7c_camo8.jpg, type7c_camo9.jpg, type7c_camog_bump.jpg,
	  type7c_camog_spec.jpg, uboat_VIIc.ddxml: New type VIIC skins, new
	  default skin.

2006-09-15 21:45  simsoueu

	* data/objects/submarines/VIIc/: cam1940b.jpg, cam1940c.jpg,
	  cam1940s.jpg: old texture files made obsolete by new skins.

2006-09-14 22:23  simsoueu

	* doc/regioncodes.txt: Codes for skin's data files, areas and
	  country codes.

2006-09-14 22:05  thjordan

	* files.txt: update

2006-09-14 22:00  thjordan

	* src/crosssection.cpp: can give any modelfilename; adapt to new
	  model class with skin support

2006-09-14 21:59  thjordan

	* data/objects/ships/tankers/kennebac/tanker_kennebak.cs: new data

2006-09-14 21:53  simsoueu

	* data/objects/ships/tankers/kennebac/: kennebak_bump.jpg,
	  kennebak_camo2.jpg, kennebak_camo3.jpg, kennebak_spec.jpg,
	  kennebak_usnavy_color.jpg, tanker_kennebak.data,
	  tanker_kennebak.ddxml: Updated Kennebak Tanker, reduced poly
	  count, new main skin, 2 new skins, updated ddxml to 1.1 and data
	  files.

2006-09-14 21:47  thjordan

	* data/objects/ships/tankers/kennebac/: mtanker_bump.png,
	  mtanker_c1.png, mtanker_c2.png, mtanker_camo2.png,
	  mtanker_spec.png: remove obsolete data

2006-09-14 09:00  thjordan

	* data/textures/foamamounttrail.png: improved foam trail texture

2006-09-14 08:54  thjordan

	* src/: map_display.cpp, ship.cpp, ship.h, water.cpp: foam trail
	  now starts at bow, looking much more realistic

2006-09-14 00:07  thjordan

	* src/: game.cpp, game_editor.cpp, map_display.cpp, ship.cpp,
	  ship.h, vector4.h, water.cpp: fixed trail rendering, improved
	  quality of it

2006-09-13 08:34  thjordan

	* data/missions/flowertest.xml, src/ship.cpp, src/water.cpp:
	  research on foam trail bug, quick fix for flowerclass test
	  mission

2006-09-08 21:17  thjordan

	* src/: model.h, torpedo.cpp: bugfix: set skin layout for torpedoes
	  or the game will crash when the first torpedo is fired and
	  displayed

2006-09-07 23:15  thjordan

	* src/: model.cpp, water.cpp: added comments about compiled vertex
	  arrays and vertex buffer objects.

2006-09-06 21:12  thjordan

	* src/: convoy.cpp, datadirs.cpp, depth_charge.cpp, depth_charge.h,
	  game.cpp, game_editor.cpp, global_data.cpp, global_data.h,
	  gun_shell.cpp, map_display.cpp, model.cpp, model.h,
	  sea_object.cpp, sea_object.h, submarine.cpp: better handling of
	  skin names, removed obsolete global data, bugfixes

2006-09-06 09:41  thjordan

	* data/objects/ships/corvettes/FlowerClass/FlowerCorvette_RN.data,
	  src/datadirs.cpp, src/sea_object.cpp: fixed date handling in skin
	  support

2006-09-06 00:26  thjordan

	* data/missions/flowertest.xml: added skin support to savegames and
	  sea_object spec files

2006-09-06 00:22  thjordan

	* src/: date.cpp, date.h, global_data.cpp, global_data.h,
	  objcache.h, sea_object.cpp, sea_object.h: added skin support to
	  savegames and sea_object spec files

2006-09-06 00:15  thjordan

	* data/missions/flowertest.xml: added test mission

2006-09-05 22:52  thjordan

	* data/objects/ships/corvettes/FlowerClass/FlowerCorvette_RN.data:
	  added skin data

2006-09-05 21:42  thjordan

	* src/model.cpp: removed obsolete comments

2006-09-05 04:26  apaes

	* src/credits.h: Added credit to ACM for his FreeBSD ports.

2006-09-03 23:07  thjordan

	* data/shaders/modelrender_vp.shader: added comment as reminder for
	  newer shaders

2006-09-02 18:22  thjordan

	* src/datadirs.cpp: no real change

2006-09-02 18:06  thjordan

	* data/objects/ships/corvettes/FlowerClass/FlowerCorvette_RN.data:
	  name of data files and id of objects must be identical

2006-09-02 15:05  thjordan

	* src/: datadirs.cpp, model.cpp, model.h, subsim.cpp: fixed
	  texture/skin handling and display

2006-09-01 21:55  thjordan

	* src/: model.cpp, model.h: quick fix hack to correct normal
	  generation, as interim solution until model class is fixed fully

2006-08-31 22:43  thjordan

	* data/objects/ships/corvettes/FlowerClass/FlowerCorvette_RN.ddxml,
	  data/texts/common.csv, src/global_data.cpp, src/model.cpp,
	  src/model.h, src/sea_object.cpp, src/subsim.cpp,
	  src/viewmodel.cpp, src/widget.h: more about skin support;
	  basically working with some hacks in code (not in main game);
	  vessel preview has skin switch

2006-08-29 22:55  thjordan

	* src/: model.cpp, model.h, viewmodel.cpp: skin support in model
	  class basically added

2006-08-29 21:14  simsoueu

	* data/objects/props/bunker_lorient/: bunker_lorient.cs,
	  bunker_lorient.xml, bunker_lorient_bump.jpg,
	  bunker_lorient_color.jpg: Props dir to objects, for props
	  (scenario related stuff). Lorient bunker/uboat pen added, no
	  specular map, no data file yet, internal rev.1.0.

2006-08-28 23:07  thjordan

	* src/: model.cpp, model.h, viewmodel.cpp: more bits about skins,
	  xml tag parsing started

2006-08-24 23:39  thjordan

	* data/objects/ships/corvettes/FlowerClass/FlowerCorvette_RN.ddxml,
	  doc/skins.txt, src/model.cpp, src/model.h: some first
	  experimental changes for model skin support

2006-08-24 22:40  thjordan

	* src/filehelper.cpp: forgot include

2006-08-23 18:25  simsoueu

	* data/maps/: Region_and_Navy_codes.txt,
	  default_map_colorcoded_indexed.png, default_mapcoded.xcfbz2:
	  Default map, color coded, indexed. Isolated layers + region codes
	  in xcfbz2. Region|navy codes in txt file. Indexed png at 22
	  colors (nr of visible regions+terrain(white)).

2006-08-23 03:39  simsoueu

	* doc/: dftd_torpedo_reference_rev.1.0.djvu,
	  dftd_torpedo_reference_rev.1.0.pdf: Dftd complete torpedo
	  reference, internal rev.1.0. Scribus SLA file available for
	  editing.

2006-08-23 00:04  thjordan

	* src/filehelper.cpp: slight text change

2006-08-23 00:00  thjordan

	* src/: filehelper.cpp, model.cpp, model.h: more error checks;
	  added some comments

2006-08-21 05:51  simsoueu

	* data/objects/ships/corvettes/FlowerClass/:
	  flowercorvette_rnavy_camo2.jpg, flowercorvette_rnavy_camo3.jpg:
	  Flower corvette, Royal Navy, 1942, North Atlantic (skin3), jpg, +
	  camo2 (1943, RN, NA), in jpg format (previous was png).

2006-08-20 21:27  simsoueu

	*
	  data/objects/ships/corvettes/FlowerClass/flowercorvette_rn_camo2_color.png:
	  Alternate camouflage scheme, for Flower Corvette, Royal Navy,
	  North Atlantic, 1943 (skin2).

2006-08-19 19:15  simsoueu

	* data/objects/ships/corvettes/FlowerClass/:
	  FlowerCorvette_RN.ddxml, FlowerCorvette_RN_1942_WA_color.jpg:
	  Updated Flower corvette models, trying to get rid of nasty
	  stressed normals.

2006-08-17 22:34  simsoueu

	* data/objects/ships/corvettes/FlowerClass/FlowerCorvette_RN.data:
	  Missing correct smoke entries

2006-08-17 22:28  simsoueu

	* data/objects/ships/corvettes/FlowerClass/: FlowerCorvette_RN.cs,
	  FlowerCorvette_RN.data, FlowerCorvette_RN.ddxml,
	  FlowerCorvette_RN_1942_WA_bump.jpg,
	  FlowerCorvette_RN_1942_WA_color.jpg,
	  FlowerCorvette_RN_1942_WA_spec.jpg: Flower class corvette, Royal
	  Navy, 1942 variant, Western Approaches camouflage, internal
	  rev.1.1. Check stressed normals on balcony.

2006-08-12 15:52  thjordan

	* src/convoy.cpp: fixed custom mission generation with new data
	  format

2006-08-12 15:32  thjordan

	* src/sonar_operator.cpp: fixed compilation bug with optimization
	  levels below -O2

2006-08-12 11:46  thjordan

	* data/images/compass_outer_masked.png,
	  data/images/daylight_controlscreen_pointers.png,
	  data/images/daylight_typevii_controlscreen_background.jpg,
	  data/images/redlight_controlscreen_pointers.png,
	  data/images/redlight_typevii_controlscreen_background.jpg,
	  data/texts/common.csv, src/keys.cpp, src/keys.h, src/parser.cpp,
	  src/ship.cpp, src/ship.h, src/sub_gauges_display.cpp,
	  src/sub_gauges_display.h, src/sub_torpsetup_display.cpp,
	  src/submarine.cpp, src/submarine_interface.cpp, src/subsim.cpp,
	  src/tokencodes.h: new throttle steps and keys; new controlscreen

2006-07-27 20:32  simsoueu

	* CREDITS: Updated credits for Dangerdeep Manual+translations.

2006-07-27 20:29  simsoueu

	* manual/Dangerdeep_Manual_-_Polish.pdf: Dangerdeep manual, Polish
	  translation, by Nemessica and Marc Roisé.

2006-07-20 08:44  thjordan

	* SConstruct: remove silly double defines

2006-07-19 20:31  thjordan

	* src/: ocean_wave_generator.h, oceantest.cpp: did some tests with
	  ocean generator, no changes for the game itself

2006-07-18 22:11  thjordan

	* data/: missions/aegeanconvoy.xml, missions/convoybattle.xml,
	  missions/singleship.xml,
	  objects/airplanes/heinkel115b1/heinkel115b1.data,
	  objects/ships/battleships/malaya/battleship_malaya.data,
	  objects/ships/carriers/bogue/carrier_bogue.data,
	  objects/ships/corvettes/british/corvette.data,
	  objects/ships/destroyers/oclass/destroyer_oclass.data,
	  objects/ships/destroyers/tribal/destroyer_tribal.data,
	  objects/ships/freighters/fortship/can1941/fortship1941.data,
	  objects/ships/freighters/fortship/can1943/fortship1943.data,
	  objects/ships/freighters/fortship/nolisciv/fortshipciv.data,
	  objects/ships/freighters/large/freighter_large.data,
	  objects/ships/freighters/liberty/1941/libertyship1941.data,
	  objects/ships/freighters/liberty/1942/libertyship1942.data,
	  objects/ships/freighters/liberty/1943/libertyship1943.data,
	  objects/ships/freighters/medium/freighter_medium.data,
	  objects/ships/freighters/northsands/northsands_camship.data,
	  objects/ships/merchants/large/merchant_large.data,
	  objects/ships/merchants/medium/merchant_medium.data,
	  objects/ships/merchants/small/merchant_small.data,
	  objects/ships/tankers/kennebac/tanker_kennebak.data,
	  objects/ships/tankers/small/tanker_small.data,
	  objects/ships/troopships/british/troopship_medium.data,
	  objects/submarines/IXc40/submarine_IXc40.data,
	  objects/submarines/VIIc/submarine_VIIc.data,
	  objects/submarines/XXI/submarine_XXI.data: added italian
	  translations to data files and missions

2006-07-17 19:20  thjordan

	* data/ships/: battleship_malaya.xml, carrier_bogue.xml,
	  corvette.xml, destroyer_oclass.xml, destroyer_tribal.xml,
	  fortship_can1941_data.xml, fortship_can1943_data.xml,
	  fortship_nolisciv_data.xml, freighter_large.xml,
	  freighter_medium.xml, libertyship_1941_data.xml,
	  libertyship_1942_data.xml, libertyship_1943_data.xml,
	  merchant_large.xml, merchant_medium.xml, merchant_small.xml,
	  northsands_camship_data.xml, tanker_medium.xml, tanker_small.xml,
	  troopship_medium.xml: removed old data files

2006-07-16 15:40  thjordan

	* src/: datadirs.cpp, model.cpp: bugfixes to make the code work
	  again with the new data file structure

2006-07-16 15:26  thjordan

	* data/models/battleship_malaya.3ds,
	  data/models/battleship_malaya.cs, data/models/carrier_bogue.3ds,
	  data/models/carrier_bogue.cs, data/models/corvette.3ds,
	  data/models/corvette.cs, data/models/destroyer_oclass.3ds,
	  data/models/destroyer_oclass.cs, data/models/destroyer_tribal.cs,
	  data/models/destroyer_tribal.xml,
	  data/models/fortship_can1941_model.cs,
	  data/models/fortship_can1941_model.xml,
	  data/models/fortship_can1943_model.cs,
	  data/models/fortship_can1943_model.xml,
	  data/models/fortship_nolisciv_model.cs,
	  data/models/fortship_nolisciv_model.xml,
	  data/models/heinkel115b1_model.cs,
	  data/models/heinkel115b1_model.xml,
	  data/models/large_freighter.3ds, data/models/large_freighter.cs,
	  data/models/large_merchant.3ds, data/models/large_merchant.cs,
	  data/models/libertyship_1941_model.cs,
	  data/models/libertyship_1941_model.xml,
	  data/models/libertyship_1942_model.cs,
	  data/models/libertyship_1942_model.xml,
	  data/models/libertyship_1943_model.cs,
	  data/models/libertyship_1943_model.xml,
	  data/models/medium_freighter.cs,
	  data/models/medium_freighter.xml,
	  data/models/medium_merchant.3ds, data/models/medium_merchant.cs,
	  data/models/medium_tanker.cs, data/models/medium_tanker.xml,
	  data/models/medium_troopship.3ds,
	  data/models/medium_troopship.cs,
	  data/models/northsands_camship_model.cs,
	  data/models/northsands_camship_model.xml,
	  data/models/small_merchant.3ds, data/models/small_merchant.cs,
	  data/models/small_tanker.3ds, data/models/small_tanker.cs,
	  data/models/submarine_IXc40.3ds, data/models/submarine_IXc40.cs,
	  data/models/submarine_VIIc.cs, data/models/submarine_XXI.3ds,
	  data/models/submarine_XXI.cs, data/models/uboat_VIIc.cs,
	  data/models/uboat_VIIc.xml,
	  data/objects/airplanes/heinkel115b1/heinkel115b1.data,
	  data/objects/ships/destroyers/tribal/destroyer_tribal.data,
	  data/objects/ships/freighters/fortship/can1941/fortship1941.data,
	  data/objects/ships/freighters/fortship/can1943/fortship1943.data,
	  data/objects/ships/freighters/fortship/nolisciv/fortshipciv.data,
	  data/objects/ships/freighters/liberty/1941/libertyship1941.data,
	  data/objects/ships/freighters/liberty/1942/libertyship1942.data,
	  data/objects/ships/freighters/liberty/1943/libertyship1943.data,
	  data/objects/ships/freighters/medium/freighter_medium.data,
	  data/objects/ships/freighters/northsands/northsands_camship.data,
	  data/objects/ships/tankers/kennebac/tanker_kennebak.data,
	  data/objects/submarines/VIIc/submarine_VIIc.data,
	  data/textures/bogue.png, data/textures/cam1940b.jpg,
	  data/textures/cam1940c.jpg, data/textures/cam1940s.jpg,
	  data/textures/corvette.png,
	  data/textures/fortship_can1941_bump.jpg,
	  data/textures/fortship_can1941_color.jpg,
	  data/textures/fortship_can1941_spec.jpg,
	  data/textures/fortship_can1943_bump.jpg,
	  data/textures/fortship_can1943_diffuse.jpg,
	  data/textures/fortship_can1943_spec.jpg,
	  data/textures/fortship_nolisciv_bump.jpg,
	  data/textures/fortship_nolisciv_color.jpg,
	  data/textures/fortship_nolisciv_spec.jpg,
	  data/textures/heinkel115b1_bump.jpg,
	  data/textures/heinkel115b1_diffuse.jpg,
	  data/textures/heinkel115b1_spec.jpg, data/textures/lgfreigh.png,
	  data/textures/lgmercha.png, data/textures/lship_1941_bump.jpg,
	  data/textures/lship_1941_diffuse.jpg,
	  data/textures/lship_1941_spec.jpg,
	  data/textures/lship_1942_bump.jpg,
	  data/textures/lship_1942_diffuse.jpg,
	  data/textures/lship_1942_spec.jpg,
	  data/textures/lship_1943_bump.jpg,
	  data/textures/lship_1943_diffuse.jpg,
	  data/textures/lship_1943_spec.jpg, data/textures/malaya.png,
	  data/textures/mdfreigh.png, data/textures/mdmercha.png,
	  data/textures/mdtroops.png, data/textures/medrei_b.jpg,
	  data/textures/medrei_f.jpg, data/textures/medrei_r.jpg,
	  data/textures/mtanker_bump.png, data/textures/mtanker_c2.png,
	  data/textures/mtanker_camo2.png, data/textures/mtanker_spec.png,
	  data/textures/northsands_camship_bump.jpg,
	  data/textures/northsands_camship_color.jpg,
	  data/textures/northsands_camship_spec.jpg,
	  data/textures/smmercha.png, data/textures/smtanker.png,
	  data/textures/sub21.png, data/textures/sub9c40.png,
	  data/textures/tribal_bump.png, data/textures/tribal_color.jpg,
	  data/textures/tribal_specular.jpg, data/torpedoes/Fido.txt,
	  data/torpedoes/Fido.xml, data/torpedoes/TI.xml,
	  data/torpedoes/TII.xml, data/torpedoes/TIII.xml,
	  data/torpedoes/TIII_FaTII.xml, data/torpedoes/TIII_FaTII_de.txt,
	  data/torpedoes/TIII_FaTII_en.txt, data/torpedoes/TIII_de.txt,
	  data/torpedoes/TIII_en.txt, data/torpedoes/TIIIa_FaTII.xml,
	  data/torpedoes/TIIIa_FaTII_de.txt,
	  data/torpedoes/TIIIa_FaTII_en.txt, data/torpedoes/TIIIa_LuTI.xml,
	  data/torpedoes/TIIIa_LuTII.xml,
	  data/torpedoes/TIIIa_LuTII_de.txt,
	  data/torpedoes/TIIIa_LuTII_en.txt,
	  data/torpedoes/TIIIa_LuTI_de.txt,
	  data/torpedoes/TIIIa_LuTI_en.txt, data/torpedoes/TII_de.txt,
	  data/torpedoes/TII_en.txt, data/torpedoes/TIV.xml,
	  data/torpedoes/TIV_de.txt, data/torpedoes/TIV_en.txt,
	  data/torpedoes/TI_FaTI.xml, data/torpedoes/TI_FaTI_de.txt,
	  data/torpedoes/TI_FaTI_en.txt, data/torpedoes/TI_LuTI.xml,
	  data/torpedoes/TI_LuTII.xml, data/torpedoes/TI_LuTII_de.txt,
	  data/torpedoes/TI_LuTII_en.txt, data/torpedoes/TI_LuTI_de.txt,
	  data/torpedoes/TI_LuTI_en.txt, data/torpedoes/TI_de.txt,
	  data/torpedoes/TI_en.txt, data/torpedoes/TV.xml,
	  data/torpedoes/TVI_LuTI.xml, data/torpedoes/TVI_LuTI_de.txt,
	  data/torpedoes/TVI_LuTI_en.txt, data/torpedoes/TV_de.txt,
	  data/torpedoes/TV_en.txt, data/torpedoes/TVb.xml,
	  data/torpedoes/TVb_de.txt, data/torpedoes/TVb_en.txt,
	  data/torpedoes/TXI.xml, data/torpedoes/TXI_de.txt,
	  data/torpedoes/TXI_en.txt, src/datadirs.cpp, src/datadirs.h,
	  src/global_data.cpp, src/model.cpp, src/model.h,
	  src/sea_object.cpp, src/sub_torpedo_display.cpp,
	  src/submarine.cpp, src/subsim.cpp, src/texture.h,
	  src/viewmodel.cpp: adapt code to new data file structure (part
	  2); removed old data files

2006-07-16 12:24  thjordan

	* src/: convoy.cpp, datadirs.h, game.cpp, game_editor.cpp,
	  map_display.cpp, sub_torpedo_display.cpp, submarine.cpp,
	  subsim.cpp, viewmodel.cpp: adapt code to new data file structure
	  (part 1)

2006-07-16 12:05  thjordan

	* src/datadirs.cpp: bugfix, ignore some directories and files

2006-07-16 11:59  thjordan

	* src/: SConscript, datadirs.cpp, datadirs.h, subsim.cpp: new
	  helper class for new data file structure

2006-07-16 11:38  thjordan

	* data/objects/: airplanes/heinkel115b1/heinkel115b1_bump.jpg,
	  airplanes/heinkel115b1/heinkel115b1_diffuse.jpg,
	  airplanes/heinkel115b1/heinkel115b1_spec.jpg,
	  ships/battleships/malaya/malaya.png,
	  ships/carriers/bogue/bogue.png,
	  ships/corvettes/british/corvette.png,
	  ships/destroyers/tribal/tribal_bump.png,
	  ships/destroyers/tribal/tribal_color.jpg,
	  ships/destroyers/tribal/tribal_specular.jpg,
	  ships/freighters/fortship/can1941/fortship_can1941_bump.jpg,
	  ships/freighters/fortship/can1941/fortship_can1941_color.jpg,
	  ships/freighters/fortship/can1941/fortship_can1941_spec.jpg,
	  ships/freighters/fortship/can1943/fortship_can1943_bump.jpg,
	  ships/freighters/fortship/can1943/fortship_can1943_diffuse.jpg,
	  ships/freighters/fortship/can1943/fortship_can1943_spec.jpg,
	  ships/freighters/fortship/nolisciv/fortship_nolisciv_bump.jpg,
	  ships/freighters/fortship/nolisciv/fortship_nolisciv_color.jpg,
	  ships/freighters/fortship/nolisciv/fortship_nolisciv_spec.jpg,
	  ships/freighters/large/lgfreigh.png,
	  ships/freighters/liberty/1941/lship_1941_bump.jpg,
	  ships/freighters/liberty/1941/lship_1941_diffuse.jpg,
	  ships/freighters/liberty/1941/lship_1941_spec.jpg,
	  ships/freighters/liberty/1942/lship_1942_bump.jpg,
	  ships/freighters/liberty/1942/lship_1942_bump_g1.jpg,
	  ships/freighters/liberty/1942/lship_1942_diffuse.jpg,
	  ships/freighters/liberty/1942/lship_1942_diffuse_g4.jpg,
	  ships/freighters/liberty/1942/lship_1942_spec.jpg,
	  ships/freighters/liberty/1943/lship_1943_bump.jpg,
	  ships/freighters/liberty/1943/lship_1943_diffuse.jpg,
	  ships/freighters/liberty/1943/lship_1943_spec.jpg,
	  ships/freighters/medium/medrei_b.jpg,
	  ships/freighters/medium/medrei_f.jpg,
	  ships/freighters/medium/medrei_r.jpg,
	  ships/freighters/northsands/northsands_camship_bump.jpg,
	  ships/freighters/northsands/northsands_camship_color.jpg,
	  ships/freighters/northsands/northsands_camship_spec.jpg,
	  ships/merchants/large/lgmercha.png,
	  ships/merchants/medium/mdmercha.png,
	  ships/merchants/small/smmercha.png,
	  ships/tankers/kennebac/mtanker_bump.png,
	  ships/tankers/kennebac/mtanker_c1.png,
	  ships/tankers/kennebac/mtanker_c2.png,
	  ships/tankers/kennebac/mtanker_camo2.png,
	  ships/tankers/kennebac/mtanker_spec.png,
	  ships/tankers/small/smtanker.png,
	  ships/troopships/british/mdtroops.png,
	  submarines/IXc40/sub9c40.png, submarines/VIIc/cam1940b.jpg,
	  submarines/VIIc/cam1940c.jpg, submarines/VIIc/cam1940s.jpg,
	  submarines/XXI/sub21.png: added textures

2006-07-16 00:50  thjordan

	* data/objects/ships/:
	  freighters/fortship/can1941/fortship1941.data,
	  freighters/fortship/can1941/fortship_can1941.data,
	  freighters/fortship/can1943/fortship1943.data,
	  freighters/fortship/can1943/fortship_can1943.data,
	  freighters/fortship/nolisciv/fortship_nolisciv.data,
	  freighters/fortship/nolisciv/fortshipciv.data,
	  freighters/liberty/1941/libertyship1941.data,
	  freighters/liberty/1941/libertyship_1941.data,
	  freighters/liberty/1942/libertyship1942.data,
	  freighters/liberty/1942/libertyship_1942.data,
	  freighters/liberty/1943/libertyship1943.data,
	  freighters/liberty/1943/libertyship_1943.data,
	  tankers/kennebac/tanker_kennebak.data,
	  tankers/kennebac/tanker_medium.data: added new data

2006-07-16 00:45  thjordan

	* data/objects/: airplanes/heinkel115b1/heinkel115b1.cs,
	  airplanes/heinkel115b1/heinkel115b1.data,
	  airplanes/heinkel115b1/heinkel115b1.ddxml,
	  ships/battleships/malaya/battleship_malaya.3ds,
	  ships/battleships/malaya/battleship_malaya.cs,
	  ships/carriers/bogue/carrier_bogue.3ds,
	  ships/carriers/bogue/carrier_bogue.cs,
	  ships/corvettes/british/corvette.3ds,
	  ships/corvettes/british/corvette.cs,
	  ships/destroyers/oclass/destroyer_oclass.3ds,
	  ships/destroyers/oclass/destroyer_oclass.cs,
	  ships/destroyers/tribal/destroyer_tribal.cs,
	  ships/destroyers/tribal/destroyer_tribal.ddxml,
	  ships/freighters/fortship/can1941/fortship1941.cs,
	  ships/freighters/fortship/can1941/fortship1941.ddxml,
	  ships/freighters/fortship/can1943/fortship1943.cs,
	  ships/freighters/fortship/can1943/fortship1943.ddxml,
	  ships/freighters/fortship/nolisciv/fortshipciv.cs,
	  ships/freighters/fortship/nolisciv/fortshipciv.ddxml,
	  ships/freighters/large/large_freighter.3ds,
	  ships/freighters/large/large_freighter.cs,
	  ships/freighters/liberty/1941/libertyship1941.cs,
	  ships/freighters/liberty/1941/libertyship1941.ddxml,
	  ships/freighters/liberty/1942/libertyship1942.cs,
	  ships/freighters/liberty/1942/libertyship1942.ddxml,
	  ships/freighters/liberty/1943/libertyship1943.cs,
	  ships/freighters/liberty/1943/libertyship1943.ddxml,
	  ships/freighters/medium/medium_freighter.cs,
	  ships/freighters/medium/medium_freighter.ddxml,
	  ships/freighters/northsands/northsands_camship.cs,
	  ships/freighters/northsands/northsands_camship.ddxml,
	  ships/merchants/large/large_merchant.3ds,
	  ships/merchants/large/large_merchant.cs,
	  ships/merchants/medium/medium_merchant.3ds,
	  ships/merchants/medium/medium_merchant.cs,
	  ships/merchants/small/small_merchant.3ds,
	  ships/merchants/small/small_merchant.cs,
	  ships/tankers/kennebac/tanker_kennebak.cs,
	  ships/tankers/kennebac/tanker_kennebak.ddxml,
	  ships/tankers/small/small_tanker.3ds,
	  ships/tankers/small/small_tanker.cs,
	  ships/troopships/british/medium_troopship.3ds,
	  ships/troopships/british/medium_troopship.cs,
	  submarines/IXc40/submarine_IXc40.3ds,
	  submarines/IXc40/submarine_IXc40.cs,
	  submarines/VIIc/uboat_VIIc.cs, submarines/VIIc/uboat_VIIc.ddxml,
	  submarines/XXI/submarine_XXI.3ds,
	  submarines/XXI/submarine_XXI.cs, torpedoes/Fido/Fido.data,
	  torpedoes/TVI/LuTI/TVI_LuTI.data,
	  torpedoes/TVI/LuTI/TVI_LuTI_de.txt,
	  torpedoes/TVI/LuTI/TVI_LuTI_en.txt: add new data files

2006-07-16 00:21  thjordan

	* data/objects/: airplanes/heinkel115b1/heinkel115b1.data,
	  ships/battleships/malaya/battleship_malaya.data,
	  ships/carriers/bogue/carrier_bogue.data,
	  ships/corvettes/british/corvette.data,
	  ships/destroyers/oclass/destroyer_oclass.data,
	  ships/destroyers/tribal/destroyer_tribal.data,
	  ships/freighters/fortship/can1941/fortship_can1941.data,
	  ships/freighters/fortship/can1943/fortship_can1943.data,
	  ships/freighters/fortship/nolisciv/fortship_nolisciv.data,
	  ships/freighters/large/freighter_large.data,
	  ships/freighters/liberty/1941/libertyship_1941.data,
	  ships/freighters/liberty/1942/libertyship_1942.data,
	  ships/freighters/liberty/1943/libertyship_1943.data,
	  ships/freighters/medium/freighter_medium.data,
	  ships/freighters/northsands/northsands_camship.data,
	  ships/merchants/large/merchant_large.data,
	  ships/merchants/medium/merchant_medium.data,
	  ships/merchants/small/merchant_small.data,
	  ships/tankers/kennebac/tanker_medium.data,
	  ships/tankers/small/tanker_small.data,
	  ships/troopships/british/troopship_medium.data,
	  submarines/IXc40/submarine_IXc40.data,
	  submarines/VIIc/submarine_VIIc.data,
	  submarines/XXI/submarine_XXI.data, torpedoes/Fido/Fido.data,
	  torpedoes/Fido/Fido.txt, torpedoes/TI/FaTI/TI_FaTI.data,
	  torpedoes/TI/FaTI/TI_FaTI_de.txt,
	  torpedoes/TI/FaTI/TI_FaTI_en.txt, torpedoes/TI/LuTI/TI_LuTI.data,
	  torpedoes/TI/LuTI/TI_LuTI_de.txt,
	  torpedoes/TI/LuTI/TI_LuTI_en.txt,
	  torpedoes/TI/LuTII/TI_LuTII.data,
	  torpedoes/TI/LuTII/TI_LuTII_de.txt,
	  torpedoes/TI/LuTII/TI_LuTII_en.txt,
	  torpedoes/TI/standard/TI.data, torpedoes/TI/standard/TI_de.txt,
	  torpedoes/TI/standard/TI_en.txt, torpedoes/TII/TII.data,
	  torpedoes/TII/TII_de.txt, torpedoes/TII/TII_en.txt,
	  torpedoes/TIII/FaTII/TIII_FaTII.data,
	  torpedoes/TIII/FaTII/TIII_FaTII_de.txt,
	  torpedoes/TIII/FaTII/TIII_FaTII_en.txt,
	  torpedoes/TIII/a_FaTII/TIIIa_FaTII.data,
	  torpedoes/TIII/a_FaTII/TIIIa_FaTII_de.txt,
	  torpedoes/TIII/a_FaTII/TIIIa_FaTII_en.txt,
	  torpedoes/TIII/a_LuTI/TIIIa_LuTI.data,
	  torpedoes/TIII/a_LuTI/TIIIa_LuTI_de.txt,
	  torpedoes/TIII/a_LuTI/TIIIa_LuTI_en.txt,
	  torpedoes/TIII/a_LuTII/TIIIa_LuTII.data,
	  torpedoes/TIII/a_LuTII/TIIIa_LuTII_de.txt,
	  torpedoes/TIII/a_LuTII/TIIIa_LuTII_en.txt,
	  torpedoes/TIII/standard/TIII.data,
	  torpedoes/TIII/standard/TIII_de.txt,
	  torpedoes/TIII/standard/TIII_en.txt, torpedoes/TIV/TIV.data,
	  torpedoes/TIV/TIV_de.txt, torpedoes/TIV/TIV_en.txt,
	  torpedoes/TV/b/TVb.data, torpedoes/TV/b/TVb_de.txt,
	  torpedoes/TV/b/TVb_en.txt, torpedoes/TV/standard/TV.data,
	  torpedoes/TV/standard/TV_de.txt, torpedoes/TV/standard/TV_en.txt,
	  torpedoes/TXI/TXI.data, torpedoes/TXI/TXI_de.txt,
	  torpedoes/TXI/TXI_en.txt: added new data files

2006-07-12 11:34  thjordan

	* src/: bspline.h, user_interface.cpp: removed assert() calls
	  (please do not use assert\!); splitted bspline class in uniform
	  and non-uniform bspline classes to make non-uniform-bsplines
	  available

2006-07-09 10:35  thjordan

	* doc/: translation.pdf, translation.tex: added documentation about
	  translations.

2006-07-02 11:26  thjordan

	* src/sonar_operator.cpp: some bugfixes and improvements of sonar
	  operator simulation

2006-07-02 10:17  thjordan

	* src/: angle.h, sonar_operator.cpp, sonar_operator.h: another try
	  to localize signals better when turning

2006-07-02 00:05  thjordan

	* src/sonar_operator.cpp: some more sonar operator tests

2006-07-01 23:42  thjordan

	* files.txt: update

2006-07-01 23:36  thjordan

	* data/missions/singleship.xml: added test mission with just a
	  single ship

2006-07-01 21:20  thjordan

	* src/: SConscript, sonar.cpp, sonar.h, sonar_operator.cpp,
	  sonar_operator.h, submarine.cpp, submarine.h: tried to improve
	  sonar operator simulation

2006-06-28 23:25  thjordan

	* src/sonar.cpp: bugfix to make it compileable with gcc 4.0.3
	  (ubuntu)

2006-06-28 08:37  thjordan

	* src/: map_display.cpp, sonar.cpp, sonar.h, submarine.cpp: let the
	  sonar operator report absolute angles; added sonar operator
	  load/save interface (no code yet)

2006-06-27 23:40  thjordan

	* files.txt: update

2006-06-27 23:39  thjordan

	* src/: map_display.cpp, map_display.h, sonar.cpp, sonar.h,
	  submarine.h: use new sonar simulation to draw sound contacts on
	  map; improved sonar operator simulation

2006-06-26 23:25  thjordan

	* src/: sonar.cpp, sonar.h, sub_kdb_display.cpp, sub_kdb_display.h,
	  submarine.cpp, submarine.h: moved sonar operator instance to
	  class submarine

2006-06-21 08:19  thjordan

	* doc/sonar.tex: added comment about sonar man

2006-06-18 14:05  thjordan

	* src/game.cpp: added importent note about receiver noise, to be
	  fixed later

2006-06-18 12:13  thjordan

	* src/: game.cpp, sonar.cpp: more about sonar

2006-06-18 10:55  thjordan

	* doc/sonar.tex, src/game.cpp, src/game.h, src/map_display.cpp,
	  src/ship.cpp, src/sonar.cpp, src/sonar.h,
	  src/sub_kdb_display.cpp: new noise class, better flow of data,
	  improved noise/sonar simulation

2006-06-17 12:15  thjordan

	* doc/: sonar.pdf, sonar.tex: added section about sonar man
	  simulation

2006-06-17 11:57  thjordan

	* doc/sonar.pdf, doc/sonar.tex, src/game.cpp, src/map_display.cpp,
	  src/sonar.cpp, src/sonar.h: some more changes on sonar

2006-06-13 21:16  apaes

	* src/viewmodel.cpp: Fixed a small bug causing segfault on the
	  --gui flag.

2006-06-13 20:54  thjordan

	* doc/: sonar.pdf, sonar.tex: updated sonar formulas

2006-06-13 19:10  thjordan

	* doc/: sonar.pdf, sonar.tex: some updates

2006-06-13 16:11  apaes

	* src/widget.cpp: Fixed small display misbehavior when scrolling on
	  widget_list objects.

2006-06-13 12:47  apaes

	* src/: SConscript, viewmodel.cpp: Added viewmodel --gui flag for
	  GUI with model browsing. Options for moving / saving smoke origin
	  if originally available.

2006-06-13 12:16  apaes

	* src/map_display.cpp: Smoother mouse wheel zoom in/ou in map
	  display.cpp

2006-06-13 04:00  apaes

	* files.txt, src/credits.h: updated files.txt due to North Sand CAM
	  ship. updated credits.h

2006-06-13 00:58  simsoueu

	* data/textures/: northsands_camship_bump.jpg,
	  northsands_camship_color.jpg, northsands_camship_spec.jpg:
	  Texture maps for North Sands based CAM ship + Hawker Hurricane,
	  RN white ensign, camouflage scheme version 1.

2006-06-13 00:57  simsoueu

	* data/models/: northsands_camship_model.cs,
	  northsands_camship_model.xml: North Sands class based CAM ship,
	  with Hawker Hurricane Mk.I model, internal rev.1.1.

2006-06-13 00:55  simsoueu

	* data/ships/northsands_camship_data.xml: Data file for North Sands
	  class based CAM ship, fixed country entry.

2006-06-13 00:54  simsoueu

	* src/convoy.cpp: Added entry to North Sands class based CAM ship
	  (with Hawker Hurricane).

2006-06-13 00:37  apaes

	* data/ships/merchant_large.xml: fixed typo in ship data for smoke
	  position.

2006-06-13 00:17  apaes

	* data/ships/: battleship_malaya.xml, corvette.xml,
	  merchant_large.xml, merchant_medium.xml, merchant_small.xml,
	  tanker_small.xml, troopship_medium.xml: Smoke origin fixed for
	  the older models.

2006-06-11 12:56  thjordan

	* doc/: sonar.pdf, sonar.tex: added a document describing sonar,
	  its problems and implementation details.

2006-06-10 19:38  simsoueu

	* data/textures/: fortship_nolisciv_bump.jpg,
	  fortship_nolisciv_color.jpg, fortship_nolisciv_spec.jpg: Added
	  maps for 3rd fort ship version, colors based on nolisement.

2006-06-10 19:37  simsoueu

	* data/models/: fortship_nolisciv_model.cs,
	  fortship_nolisciv_model.xml: 3rd version of fort ship, lowest
	  deck, etc... colors based on nolisement, internal rev.1.1.

2006-06-10 19:36  simsoueu

	* data/ships/: fortship_can1941_data.xml,
	  fortship_can1943_data.xml, fortship_nolisciv_data.xml: Added data
	  file for latest fort ship model, and fixed tonnage entries in
	  data, for the other fort ship data files.

2006-06-10 19:35  simsoueu

	* src/convoy.cpp: Added entries for latest fort ship model, in
	  convoy.cpp.

2006-06-09 07:16  reilithion

	* src/: torpedo.cpp, torpedo.h: Fixed fuse code and implemented
	  random fuse choice (poorly).

2006-06-09 00:06  simsoueu

	* src/convoy.cpp: Updated convoy.cpp, in order to include 2nd
	  variant of North Sands class merchant (armed, 1943 version).

2006-06-09 00:05  simsoueu

	* data/ships/fortship_can1943_data.xml: North Sands class merchant
	  (Fort Ships), data file, smoke origins fixed/aligned - tonnage
	  data, and specs (speed, etc..) needs confirmation. Note: check
	  dimensions specs again.

2006-06-09 00:03  simsoueu

	* data/models/: fortship_can1943_model.cs,
	  fortship_can1943_model.xml: North Sands class merchants (Fort
	  Ships), armed version, 1943, internal rev.1.1 (note, vents
	  triangle count cut by half).

2006-06-09 00:02  simsoueu

	* data/textures/: fortship_can1943_bump.jpg,
	  fortship_can1943_diffuse.jpg, fortship_can1943_spec.jpg: North
	  Sands class merchant (Fort Ships), armed version, 1943, textures,
	  internal rev 1.1.

2006-06-08 03:39  apaes

	* src/: map_display.cpp, sub_periscope_display.cpp,
	  sub_uzo_display.cpp: Added mouse wheel scroll up/down (zoom
	  in/zoom out) support in periscope/uzo/map screens.

2006-06-08 02:51  apaes

	* files.txt: updated files.txt with bombardier moon phases
	  additioned files.

2006-06-07 22:38  bombardier

	* data/environment/moon_data.xml, data/textures/moon_00.png,
	  data/textures/moon_01.png, data/textures/moon_02.png,
	  data/textures/moon_03.png, data/textures/moon_04.png,
	  data/textures/moon_05.png, data/textures/moon_06.png,
	  data/textures/moon_07.png, data/textures/moon_08.png,
	  data/textures/moon_09.png, data/textures/moon_10.png,
	  data/textures/moon_11.png, data/textures/moon_12.png,
	  data/textures/moon_13.png, data/textures/moon_14.png,
	  data/textures/moon_15.png, data/textures/moon_16.png,
	  data/textures/moon_17.png, data/textures/moon_18.png,
	  data/textures/moon_19.png, data/textures/moon_20.png,
	  data/textures/moon_21.png, data/textures/moon_22.png,
	  data/textures/moon_23.png, src/SConscript, src/moon.cpp,
	  src/moon.h, src/sky.cpp, src/sky.h: Added moon phases simulation
	  for years 1939-1945.

2006-06-07 01:54  bombardier

	* src/tone_reproductor.cpp: Missing pow10 function.

2006-06-06 17:45  apaes

	* data/texts/common.csv: Changed Convoy battle menu option tittles
	  to removing text cluttering in english language.

2006-06-05 21:18  simsoueu

	* data/ships/: destroyer_tribal.xml, fortship_can1941_data.xml,
	  freighter_medium.xml, libertyship_1941_data.xml,
	  libertyship_1942_data.xml, libertyship_1943_data.xml,
	  tanker_medium.xml: Updated data files, smoke origin now fixed
	  (thanks jadawin ;)), so any smoke problem, can't be related to
	  origin specified in the data files.

2006-06-05 20:52  apaes

	* src/viewmodel.cpp: small bugfix.

2006-06-05 20:31  apaes

	* src/viewmodel.cpp: Added smoke origin locator and wireframe model
	  to viewmodel.

2006-06-05 15:54  apaes

	* files.txt: updated files.txt with fortship file entries.

2006-06-05 15:48  apaes

	* data/: models/fortship_can1941_model.cs,
	  models/fortship_can1941_model.xml,
	  ships/fortship_can1941_data.xml,
	  textures/fortship_can1941_bump.jpg,
	  textures/fortship_can1941_color.jpg,
	  textures/fortship_can1941_spec.jpg: Fort ship (North Sands class
	  merchant), Canadian version, 1941 + data + textures, internal
	  rev.1.1.

2006-06-05 11:16  thjordan

	* src/map_display.cpp: use simpler falloff function than real GHG
	  simulation because of the jitter and ghost image problems

2006-06-05 11:10  thjordan

	* src/: game.cpp, sonar.cpp: use simpler falloff function than real
	  GHG simulation because of the jitter and ghost image problems

2006-06-04 22:27  thjordan

	* src/convoy.cpp: use more ships

2006-06-04 21:08  apaes

	* files.txt: updated files.txt to include missing files for
	  installation (noted by JLP).

2006-06-04 13:35  apaes

	* files.txt: foam.png entry added to files.txt and now gets
	  installed as it should (noted by JLP)

2006-06-03 17:29  thjordan

	* src/: game.cpp, ghg.py, sonar.cpp: some more tests, fixed nr of
	  hydrophones

2006-06-02 08:45  thjordan

	* src/: game.cpp, ghg.py, map_display.cpp, sonar.cpp: did some more
	  tests and added results as comment

2006-06-02 00:01  thjordan

	* src/sonar.cpp: quick test of sudden idea

2006-06-01 23:43  thjordan

	* src/: game.cpp, map_display.cpp, sonar.cpp: more testing, more
	  output, bugfix

2006-06-01 23:39  thjordan

	* src/ghg.py: more testing, more output, small fix

2006-06-01 08:51  thjordan

	* src/sonar.cpp: found absorption formula

2006-05-31 23:34  thjordan

	* src/sonar.cpp: add a comment about pressure/dB, have to recheck
	  harpoon3 docs

2006-05-31 22:35  thjordan

	* src/: game.cpp, sonar.cpp, sonar.h: do computations in flat,
	  absolute noise strengths, not in dB scale; disabled some test
	  code

2006-05-31 21:13  thjordan

	* src/: game.cpp, map_display.cpp, sonar.cpp: added some tests and
	  comments

2006-05-31 08:58  thjordan

	* src/: game.cpp, sonar.cpp, sonar.h: did some testing with code,
	  minor bugfix, testcode added, beware

2006-05-30 11:26  thjordan

	* src/: sonar.cpp, sub_kdb_display.cpp: added comments

2006-05-30 09:11  thjordan

	* src/map_display.cpp: graphical debugging of sonar signal
	  strength, color bugfix

2006-05-30 09:06  thjordan

	* src/map_display.cpp: graphical debugging of sonar signal strength

2006-05-29 23:33  thjordan

	* src/: sonar.cpp, sonar.h, sub_kdb_display.cpp, sub_kdb_display.h:
	  new sonarman simulation (incomplete)

2006-05-29 22:54  thjordan

	* src/sea_object.cpp: added important comment about integration
	  algorithm

2006-05-26 18:53  thjordan

	* src/: SConscript, game.cpp, game.h, ghg.py, sea_object.h,
	  sensors.cpp, sensors.h, ship.cpp, ship.h, sonar.cpp, sonar.h,
	  sub_kdb_display.cpp: improved passive sonar (GHG) simulation

2006-05-25 14:40  thjordan

	* src/ghg.py: now the result can be computed in constant time

2006-05-25 14:08  thjordan

	* src/ghg.py: some tries in simulating the results in constant time

2006-05-24 22:31  thjordan

	* src/ghg.py: added python based GHG simulator script

2006-05-23 22:35  thjordan

	* src/: game.cpp, sensors.cpp: use sharper falloff function, added
	  more comments with new research results about GHG

2006-05-21 12:37  thjordan

	* src/sensors.cpp: added comment about idea with hydrophones

2006-05-18 23:41  thjordan

	* src/: game.cpp, sub_kdb_display.cpp: added more comments,
	  quantized signal outputs to integer dB values

2006-05-18 20:54  thjordan

	* doc/debian/copyright: changed cvs server address

2006-05-18 20:54  thjordan

	* src/misc_types.h: removed obsolete file

2006-05-18 20:45  thjordan

	* src/font.cpp: added UTF-8 input coding support and enabled it

2006-05-18 20:45  thjordan

	* data/texts/: common.csv, languages.csv: transformed to UTF-8
	  format

2006-05-18 00:24  thjordan

	* src/: game.cpp, sensors.cpp, sensors.h, ship.cpp,
	  sub_kdb_display.cpp: more parts of sonar simulation

2006-05-17 08:14  thjordan

	* data/texts/common.csv: change in italian translation

2006-05-16 18:52  simsoueu

	* data/models/: medium_tanker.cs, medium_tanker.xml: Revised
	  Kennebak tanker, with deeper hull.

2006-05-15 22:52  thjordan

	* src/: game.cpp, sensors.cpp, sensors.h, sub_kdb_display.cpp:
	  first bits of sonar operator simulation

2006-05-15 22:28  thjordan

	* data/texts/common.csv: added missing tag for empty text field

2006-05-15 22:10  thjordan

	* data/texts/common.csv: integrated new translations from Giuseppe

2006-05-15 18:38  thjordan

	* src/: sensors.cpp, sub_ghg_display.cpp, sub_kdb_display.cpp:
	  added comments about sonarman simulation

2006-05-12 23:46  thjordan

	* src/: freeview_display.cpp, game.cpp, game.h, sensors.cpp,
	  sensors.h, ship.cpp, ship.h, sub_kdb_display.cpp: first bits of
	  sonar simulation

2006-05-06 21:26  simsoueu

	* data/models/: heinkel115b1_model.cs, heinkel115b1_model.xml:
	  Heinkel He115 updated, fixed positioning + scale problem.

2006-05-06 20:24  simsoueu

	* data/textures/: heinkel115b1_bump.jpg, heinkel115b1_diffuse.jpg,
	  heinkel115b1_spec.jpg: Heinkel He115B-1 seaplane texture maps,
	  diff, spec, bump, KuFlgr.406 camouflage, winter.

2006-05-06 20:22  simsoueu

	* data/models/: heinkel115b1_model.cs, heinkel115b1_model.xml:
	  Model file and cross section, of Heinkel He115B-1 seaplane,
	  KuFlgr.406, internal rev.1.1.

2006-05-06 18:29  thjordan

	* src/sensors.cpp: added plan howto realize ghg sonar

2006-05-06 10:09  thjordan

	* src/: game.h, sea_object.h, sensors.h: removed the ugly
	  misc_types.h file, now moved that code to sensors.h; added some
	  notes there

2006-05-03 02:15  simsoueu

	* data/textures/: lship_1943_bump.jpg, lship_1943_diffuse.jpg,
	  lship_1943_spec.jpg: Liberty ship, armed, 1943(-45?) model,
	  texture maps, diffuse, spec, bump, internal rev.1.1. Skins to
	  follow later, for 1941/42/43-45 versions.

2006-05-03 02:12  simsoueu

	* data/ships/libertyship_1943_data.xml: Liberty ship (armed),
	  1943(-45?) model, data xml file.

2006-05-03 02:09  simsoueu

	* data/models/: libertyship_1943_model.cs,
	  libertyship_1943_model.xml: Liberty ship, armed, deck gun at
	  back, 1943(-45?), with crosssection, internal rev.1.1.

2006-05-02 00:36  simsoueu

	* data/ships/: libertyship_1941_data.xml,
	  libertyship_1942_data.xml: Data files for liberty ship 1941+1942
	  models, ddxml models have _model suffix, data files have _data.
	  Particles origins set, as well as general ship data.

2006-05-02 00:34  simsoueu

	* data/textures/: lship_1942_bump.jpg, lship_1942_diffuse.jpg,
	  lship_1942_spec.jpg: Liberty ship 1942 version texture maps,
	  diffuse, bump, specular, already compressed, internal rev.1.1.

2006-05-02 00:29  simsoueu

	* data/textures/: lship_1941_bump.jpg, lship_1941_diffuse.jpg,
	  lship_1941_spec.jpg: Liberty ship 1941 model textures, diffuse,
	  bump, specular, internal rev.1.1, already compressed.

2006-05-02 00:25  simsoueu

	* data/models/: libertyship_1942_model.cs,
	  libertyship_1942_model.xml: Liberty ship, 1942 model, armed, with
	  more cargo, with crossection, internal rev.1.1.

2006-05-02 00:23  simsoueu

	* data/models/: libertyship_1941_model.cs,
	  libertyship_1941_model.xml: Liberty ship model, 1941 and earlier
	  version, with crossection file, internal rev.1.1.

2006-04-27 22:55  thjordan

	* src/sonar.txt: added some comments and thoughts taken from the
	  harpoon3 docs

2006-04-26 22:28  thjordan

	* suse/dangerdeep.spec: added rpm .spec file for SuSE by oc2pus

2006-04-26 22:20  thjordan

	* src/sonar.txt: added some developer thoughts about sonar

2006-04-22 12:18  thjordan

	* src/: submarine.cpp, submarine.h, submarine_interface.cpp:
	  hearing device type now determined by date

2006-04-22 11:58  thjordan

	* src/: SConscript, sub_bg_display.cpp, sub_bg_display.h,
	  sub_ghg_display.h, sub_kdb_display.cpp, sub_kdb_display.h,
	  submarine_interface.cpp: new BG screen is ready (replacing damage
	  screen as test)

2006-04-20 23:52  thjordan

	* src/: SConscript, sub_ghg_display.cpp, sub_ghg_display.h,
	  sub_kdb_display.cpp, sub_kdb_display.h, submarine_interface.cpp,
	  user_display.h: added KDB and BG displays

2006-04-19 23:35  thjordan

	* data/images/: BG_daylight_background.jpg,
	  BG_daylight_knob_pos1.png, BG_daylight_knob_pos2.png,
	  BG_daylight_knob_pos3.png, BG_daylight_knob_pos4.png,
	  BG_daylight_knob_pos5.png, BG_daylight_knob_pos6.png,
	  BG_daylight_pointer.png, BG_redlight_background.jpg,
	  BG_redlight_knob_pos1.png, BG_redlight_knob_pos2.png,
	  BG_redlight_knob_pos3.png, BG_redlight_knob_pos4.png,
	  BG_redlight_knob_pos5.png, BG_redlight_knob_pos6.png,
	  BG_redlight_pointer.png, KDB_daylight_background.jpg,
	  KDB_daylight_gauge1.png, KDB_daylight_gauge2.png,
	  KDB_daylight_gauge3.png, KDB_daylight_gauge4.png,
	  KDB_daylight_gauge5.png, KDB_daylight_gauge6.png,
	  KDB_daylight_knob1.png, KDB_daylight_knob2.png,
	  KDB_daylight_knob3.png, KDB_daylight_knob4.png,
	  KDB_daylight_knob5.png, KDB_daylight_knob6.png,
	  KDB_daylight_pointer.png, KDB_redlight_background.jpg,
	  KDB_redlight_gauge1.png, KDB_redlight_gauge2.png,
	  KDB_redlight_gauge3.png, KDB_redlight_gauge4.png,
	  KDB_redlight_gauge5.png, KDB_redlight_gauge6.png,
	  KDB_redlight_knob1.png, KDB_redlight_knob2.png,
	  KDB_redlight_knob3.png, KDB_redlight_knob4.png,
	  KDB_redlight_knob5.png, KDB_redlight_knob6.png,
	  KDB_redlight_pointer.png: added KDB and BG graphics.

2006-04-19 22:54  thjordan

	* SConstruct, data/images/GHG_daylight_background.jpg,
	  data/images/GHG_daylight_background.png,
	  data/images/GHG_daylight_knob.png,
	  data/images/GHG_daylight_pointer.png,
	  data/images/GHG_daylight_volume_dial.png,
	  data/images/GHG_daylight_volumeknob.png,
	  data/images/GHG_redlight_background.jpg,
	  data/images/GHG_redlight_background.png,
	  data/images/GHG_redlight_knob.png,
	  data/images/GHG_redlight_pointer.png,
	  data/images/GHG_redlight_volume_dial.png,
	  data/images/GHG_redlight_volumeknob.png, src/SConscript,
	  src/sub_ghg_display.cpp, src/sub_ghg_display.h,
	  src/submarine_interface.cpp: first parts of new GHG screen.

2006-04-17 17:45  thjordan

	* data/textures/foam.png, src/water.cpp: use better foam texture

2006-04-17 15:53  thjordan

	* data/shaders/: water_fp.shader, water_vp.shader: added a quick
	  and rather cheap test that gives foam to wave crests.

2006-04-16 21:21  simsoueu

	* data/fonts/: font_damagedtypewriter.metric,
	  font_damagedtypewriter.pgm, font_damagedtypewriter.png: Fixed
	  damaged typewriter fonts, size was too big in tmanage screen, new
	  size is 12pts, more than enough for readability in 15'' screen.

2006-04-16 12:11  thjordan

	* src/: SConscript, daysky.cpp, daysky.h, tone_reproductor.cpp,
	  tone_reproductor.h: added xyY -> RGB conversion from Stellarium.
	  But the colors are way too dark. Either we need to add the
	  additional sky brightness simulation of Stellarium
	  (skybright.cpp) as well and/or our angle computations are wrong
	  (sun elevation/azimuth). Stellarium uses angles against
	  zenithe... to be checked

2006-04-15 17:09  thjordan

	* SConstruct: changes for BSD compatibility

2006-04-15 17:01  thjordan

	* src/todo.txt: added some ideas about foam

2006-04-15 00:12  thjordan

	* makewinpack: updated files for 0.1.1 release

2006-04-14 21:51  simsoueu

	* data/xcf/BG_layers_and_coords/: BG_coords.txt,
	  BG_daylight_background.png, BG_daylight_knob_pos1.png,
	  BG_daylight_knob_pos2.png, BG_daylight_knob_pos3.png,
	  BG_daylight_knob_pos4.png, BG_daylight_knob_pos5.png,
	  BG_daylight_knob_pos6.png, BG_daylight_pointer.png,
	  BG_redlight_background.png, BG_redlight_knob_pos1.png,
	  BG_redlight_knob_pos2.png, BG_redlight_knob_pos3.png,
	  BG_redlight_knob_pos4.png, BG_redlight_knob_pos5.png,
	  BG_redlight_knob_pos6.png, BG_redlight_pointer.png: BG screen,
	  redlight version commited, daylight version updated, with
	  isolated layers and coords files, internal rev.1.4.

2006-04-14 13:20  thjordan

	* ChangeLog, SConstruct, makewinpack, debian/DEBIAN/control:
	  updated files for 0.1.1 release

2006-04-14 12:06  thjordan

	* src/water_sse.cpp: little more optimization for sse intrinsic
	  code

2006-04-14 12:05  thjordan

	* files.txt: update

2006-04-14 11:56  thjordan

	* data/xcf/: 9FUKOLYM.ttf,
	  ControlPopup_periscope_daylight_rev.1.1.xcf,
	  ControlPopup_periscope_redlight_rev.1.1.xcf,
	  NewTDC_screen1_daylight_rev1.1.xcfbz2,
	  NewTDC_screen1_redlight_rev.1.1.xcfbz2,
	  NewTDC_screen1_redlight_rev.1.2.xcfbz2,
	  NewTDC_screen2_daylight_rev.1.2.xcfbz2,
	  NewTDC_screen2_daylight_rev.1.3.xcfbz2,
	  NewTDC_screen2_redlight_rev.1.3.xcfbz2,
	  TDC_daylight_rev.1.3c_maskedcomps.xcf,
	  TDC_daylight_rev.1.4b_maskedcomps.xcf,
	  TDC_popup_daylight_rev.1.4b.xcf, TDC_popup_redlight_rev.1.2a.xcf,
	  TDC_redlight_rev.1.3_maskedcomps.xcf,
	  TDC_redlight_rev.1.4a_maskedcomps.xcf, Tmanage_README,
	  bg_daylight_rev.1.2.xcfbz2, bridge_test.tar.bz2,
	  bump_and_specular_maps4med_freighter.tar.bz2,
	  ddxml_bridge_and_uboat.tar.bz2, ecard_daylight_rev.1.2.png,
	  ecard_redlight_rev.1.2.png, forluis.tar.bz2,
	  highres_torpedos.tar.bz2, indtsettings_daylight_rev.1.3.xcfbz2,
	  indtsettings_daylight_torpspeed_rev1.6.xcfbz2,
	  indtsettings_dials_rev1.5.xcfbz2,
	  indtsettings_fixeddials_red_rev1.5.xcfbz2,
	  indtsettings_redlight_rev.1.4.xcfbz2,
	  indtsettings_redlight_torpspeed_rev1.6.xcfbz2,
	  kdb_daylight_rev.1.3.xcfbz2, kdb_redlight_rev.1.3.xcfbz2,
	  medium_freighter_rev2.tar.bz2, moonoverlay_test.xcfbz2,
	  new_medium_freighter.tar.bz2, new_shader_models_textures.tar.bz2,
	  new_tribal_destroyer.tar.bz2,
	  periscope_daylight_rev.1.0_maskedfinal_and_clock.xcf,
	  periscope_daylight_rev.1.2a_maskedcomps.xcf,
	  periscope_redlight_rev.1.2a_maskedcomps.xcf, shots.tar.bz2,
	  tmanage_daylight_rev.1.6c.xcf.bz2,
	  tmanage_redlight_rev.1.6c.xcf.bz2, torpedo_tags_new.tar.bz2,
	  tribal_color_camouflages.tar.bz2, tribal_specular.png.bz2,
	  typeVII_north_atlantic_1941.tar.bz2, typeVIIc.tar.bz2,
	  uboat_type7_northatlantic_1940_u552.png,
	  uboat_type7_northsea_u161.png: REMOVED DEVELOPMENT DATA

2006-04-14 11:50  thjordan

	* SConstruct: simplifications

2006-04-13 19:06  thjordan

	* src/daysky.cpp: made sky a bit brighter

2006-04-12 21:51  thjordan

	* files.txt: update

2006-04-12 20:37  thjordan

	* src/water_sse.cpp: added some more comments about optimization.

2006-04-12 20:24  thjordan

	* src/: water.cpp, water_sse.cpp, water_sse.h: new intrinsic based
	  sse code operational.

2006-04-12 20:18  thjordan

	* SConstruct: bugfixes; added flags to enable sse intrinsics

2006-04-11 00:00  thjordan

	* src/water_sse.cpp: first finished version with sse intrinsics.
	  Not tested for correctness yet

2006-04-10 18:04  thjordan

	* files.txt: update

2006-04-10 18:03  thjordan

	* src/misc_types.h: added common include file for various types and
	  enums

2006-04-09 23:48  thjordan

	* src/: daysky.cpp, sky.cpp, water.cpp, water_sse.cpp: new
	  intrinsic code, first bits

2006-04-04 23:42  thjordan

	* src/todo.txt: added note

2006-04-04 23:39  thjordan

	* data/fonts/: font_damagedtypewriter.pgm,
	  font_damagedtypewriter.png: changed file type to binary

2006-04-04 23:32  thjordan

	* src/: ai.cpp, convoy.cpp, game.cpp, game.h, map_display.cpp,
	  sea_object.cpp, sea_object.h, sensors.h, ship.cpp, ship.h,
	  sub_torpedo_display.cpp, submarine.cpp, texts.h, todo.txt:
	  changed sensor information usage for sonar objects, compile fixes
	  for gcc 4.1

2006-03-29 23:40  thjordan

	* src/sea_object.cpp: added/changed an important comment

2006-03-29 23:36  thjordan

	* src/: freeview_display.cpp, freeview_display.h, game.cpp, game.h,
	  map_display.cpp, sea_object.cpp, sea_object.h: do not call
	  visible_* per frame, but call it once per second and per object
	  and store the results. display uses the results. added some more
	  functions to manage lists of objects

2006-03-28 22:17  thjordan

	* src/: ai.h, todo.txt: added todo.txt file, added comment

2006-03-25 10:42  thjordan

	* SConstruct: added FreeBSD port

2006-03-14 18:48  simsoueu

	* data/xcf/bg_daylight_rev.1.2.xcfbz2: Balkongerat layered file,
	  with guides, as reference for isolated layers and coords file.
	  Daylight version, masked, internal rev.1.2.

2006-03-14 18:41  simsoueu

	* data/xcf/BG_layers_and_coords/: BG_coords.txt,
	  bg_daylight_background.png, bg_daylight_knob_pos1.png,
	  bg_daylight_knob_pos2.png, bg_daylight_knob_pos3.png,
	  bg_daylight_knob_pos4.png, bg_daylight_knob_pos5.png,
	  bg_daylight_knob_pos6.png, bg_daylight_pointer.png: Balkongerat
	  screen, daylight version, isolated layers, masked, and coords
	  file. Internal rev.1.2.

2006-03-03 22:42  simsoueu

	* src/: global_data.cpp, global_data.h, sub_torpedo_display.cpp:
	  Files edited for new font, global_data.h and .cpp,
	  sub_torpedo_display.cpp, colors changed as well.

2006-03-03 22:41  simsoueu

	* data/fonts/: font_damagedtypewriter.metric,
	  font_damagedtypewriter.pgm, font_damagedtypewriter.png: New font
	  files, with proper glyphs, and dimensions for f6 screen, with
	  metrics file.

2006-03-02 00:00  thjordan

	* src/SConscript: added alllibs to link arguments of oceantest for
	  fftw lib

2006-02-28 00:05  bombardier

	* src/: map_display.cpp, sky.cpp: Fixed moon size.  Changed
	  #include "font.cpp" to #include "font.h" inside map_display.cpp.

2006-02-25 10:40  thjordan

	* src/: daysky.cpp, sky.cpp: made daysky a bit brighter

2006-02-24 22:14  thjordan

	* src/: make_mesh.cpp, sky.cpp: bugfix: nautical angle !=
	  mathematical angle

2006-02-24 21:57  thjordan

	* src/: freeview_display.cpp, sky.cpp, sky.h: bugfixes

2006-02-23 23:41  thjordan

	* src/: freeview_display.cpp, matrix4.h, user_interface.cpp:
	  removed the matrix_pusher crap

2006-02-23 23:07  bombardier

	* src/: bspline.h, make_mesh.cpp, mymain.cpp,
	  ocean_wave_generator.h, oceantest.cpp, water.cpp: Fixed some
	  missing MSVC stuff. It finally compiles without errors.

2006-02-23 23:01  thjordan

	* data/textures/sunglow.png: added files needed for sky rendering

2006-02-23 22:16  bombardier

	* src/: daysky.cpp, mymain.cpp, subsim.cpp: Fixed some MSVC include
	  directives.

2006-02-23 22:03  thjordan

	* src/daysky.cpp: removed accidentally left line

2006-02-23 21:17  thjordan

	* src/: SConscript, color.h, daysky.cpp, daysky.h, sky.cpp, sky.h:
	  new sky color generation code from Alexandre and Matija

2006-02-22 23:55  thjordan

	* src/sub_torpedo_display.cpp: made font color darker

2006-02-22 23:31  thjordan

	* data/torpedoes/TIV_en.txt, src/sub_torpedo_display.cpp,
	  src/sub_torpedo_display.h, src/texts.h, src/water.cpp: display
	  per torpedo info, multilingual

2006-02-18 18:23  thjordan

	* src/portal.cpp: improved collision detection, removed obsolete
	  test

2006-02-18 11:26  thjordan

	* src/portal.cpp: fixed rendering bug, improved collision handling.

2006-02-17 23:58  thjordan

	* src/portal.cpp: nicer movement with portals

2006-02-17 19:09  thjordan

	* src/portal.cpp: bugfixes

2006-02-17 17:46  thjordan

	* src/: crosssection.cpp, portal.cpp: fixed two critical bugs with
	  portals

2006-02-17 15:52  thjordan

	* files.txt: file list update

2006-02-17 13:31  thjordan

	* src/portal.cpp: some more 3d portal tests

2006-02-17 12:10  thjordan

	* src/: SConscript, ai.cpp, ai.h, airplane.cpp, airplane.h,
	  coastmap.cpp, color.h, convoy.cpp, convoy.h, crosssection.cpp,
	  damagemodel.cpp, datadirs.cpp, datadirs.h, font.cpp,
	  global_data.cpp, global_data.h, map_display.cpp, model.cpp,
	  particle.cpp, portal.cpp, sensors.cpp, ship.cpp, ship.h, sky.cpp,
	  sub_control_popup.cpp, sub_ecard_popup.cpp,
	  sub_periscope_display.cpp, sub_tdc_display.cpp,
	  sub_tdc_popup.cpp, sub_torpedo_display.cpp,
	  sub_torpsetup_display.cpp, submarine.cpp,
	  submarine_interface.cpp, submarine_interface.h, subsim.cpp,
	  texts.cpp, user_display.h, user_interface.cpp, user_interface.h,
	  viewmodel.cpp, water.cpp, widget.cpp: moved data directory
	  definition to new file to lessen dependencies; improved portal
	  rendering now with 3d level

2006-02-16 22:56  thjordan

	* src/portal.cpp: bigger level

2006-02-16 22:44  thjordan

	* src/portal.cpp: improved rendering and movement

2006-02-16 19:09  thjordan

	* src/: SConscript, portal.cpp: added experimental portal engine

2006-02-16 16:21  thjordan

	* src/: convoy.cpp, date.cpp, faulthandler.h, game.cpp, model.cpp,
	  submarine.cpp, system.cpp: compile bugfixes for x86-64 platform

2006-02-16 11:27  thjordan

	* src/convoy.cpp: bugfix: avoid endless loop

2006-02-16 11:24  thjordan

	* src/: convoy.cpp, convoy.h, game.cpp, sea_object.h, ship.h:
	  convoy simulation improved (now convoys move again)

2006-02-15 21:46  thjordan

	* src/: convoy.cpp, crosssection.cpp: improved cross section tool;
	  add Kennebac tanker to convoy creation

2006-02-15 21:45  thjordan

	* data/models/medium_tanker.cs: added missing file

2006-02-15 21:08  thjordan

	* data/missions/: aegeanconvoy.xml, attackbogue.xml,
	  battleships.xml, convoybattle.xml, duell.xml: removed not longer
	  working old missions; added new mission

2006-02-15 18:28  thjordan

	* src/: convoy.cpp, convoy.h, image.h, map_display.cpp,
	  map_display.h, vector2.h, vector3.h, vector4.h: more on editor:
	  other convoy symbol; one can add convoys now; replaced (void) by
	  () in c++ code

2006-02-15 14:44  thjordan

	* src/: convoy.cpp, convoy.h, game_editor.h, map_display.cpp,
	  map_display.h, submarine_interface.cpp: new editor parts (convoy
	  menu)

2006-02-15 14:43  thjordan

	* data/texts/common.csv: new editor texts

2006-02-15 13:25  thjordan

	* src/widget.cpp: fixed focus bug

2006-02-14 21:04  thjordan

	* src/SConscript: removed accidentally added test scons file

2006-02-14 21:02  thjordan

	* src/: SConscript, global_data.cpp: reordered startup messages

2006-02-14 10:26  thjordan

	* src/: tinyxml/tinystr.cpp, tinyxml/tinystr.h,
	  tinyxml/tinyxml.cpp, tinyxml/tinyxml.h, tinyxml/tinyxmlerror.cpp,
	  tinyxml/tinyxmlparser.cpp, SConscript: replaced tinyxml files
	  with newer version (2.4.3)

2006-02-12 12:42  thjordan

	* src/countrycodes.h: simple bugfix

2006-02-12 12:37  thjordan

	* data/ships/battleship_malaya.xml, data/ships/carrier_bogue.xml,
	  data/ships/corvette.xml, data/ships/destroyer_oclass.xml,
	  data/ships/destroyer_tribal.xml, data/ships/freighter_large.xml,
	  data/ships/freighter_medium.xml, data/ships/merchant_large.xml,
	  data/ships/merchant_medium.xml, data/ships/merchant_small.xml,
	  data/ships/tanker_medium.xml, data/ships/tanker_small.xml,
	  data/ships/troopship_medium.xml, data/torpedoes/Fido.xml,
	  data/torpedoes/TI.xml, data/torpedoes/TII.xml,
	  data/torpedoes/TIII.xml, data/torpedoes/TIII_FaTII.xml,
	  data/torpedoes/TIIIa_FaTII.xml, data/torpedoes/TIIIa_LuTI.xml,
	  data/torpedoes/TIIIa_LuTII.xml, data/torpedoes/TIV.xml,
	  data/torpedoes/TI_FaTI.xml, data/torpedoes/TI_LuTI.xml,
	  data/torpedoes/TI_LuTII.xml, data/torpedoes/TV.xml,
	  data/torpedoes/TVI_LuTI.xml, data/torpedoes/TVb.xml,
	  data/torpedoes/TXI.xml, src/SConscript, src/countrycodes.cpp,
	  src/countrycodes.h, src/game.h, src/game_editor.cpp,
	  src/map_display.cpp, src/sea_object.cpp, src/sea_object.h,
	  src/ship.cpp: added country-code and party management; store
	  country and party per object; invulnerability flag for each
	  object (only for editor/debugging); set country codes in
	  description xml files.

2006-02-11 12:01  thjordan

	* src/model.cpp: correct bounding box computation

2006-02-11 11:44  thjordan

	* data/models/destroyer_tribal.xml: centered tribal destroyer

2006-02-11 11:17  thjordan

	* src/: map_display.cpp, sea_object.h: added some comments

2006-02-08 02:20  thjordan

	* data/texts/common.csv, src/date.cpp, src/date.h,
	  src/game_editor.cpp, src/game_editor.h, src/map_display.cpp,
	  src/map_display.h: clone attributes speed,heading,throttle in
	  editor when cloning objects; new time menu with time settings;
	  get month length or year length now global functions

2006-02-06 23:35  thjordan

	* src/: map_display.cpp, map_display.h: disable buttons if their
	  functions are not available; placed editor panel at screen's top

2006-02-05 17:51  thjordan

	* data/missions/aegeanconvoy.xml, data/missions/airplanetest.mis,
	  data/missions/attackbogue.mis, data/missions/battleships.mis,
	  data/missions/largeconvoy.mis, data/missions/testconvoy.mis,
	  data/missions/testconvoy2.mis, data/missions/testship.mis,
	  data/missions/twoconvoys.mis, src/game_editor.cpp,
	  src/game_editor.h, src/map_display.cpp, src/map_display.h,
	  src/sea_object.cpp, src/sea_object.h, src/ship.cpp, src/ship.h,
	  src/submarine_interface.cpp, src/subsim.cpp,
	  src/user_interface.cpp, src/user_interface.h, src/widget.cpp,
	  src/widget.h: removed obsolete old missions; rewritten one
	  example mission; editor can set heading, speed and throttle now

2006-02-05 15:04  thjordan

	* data/texts/common.csv, src/game_editor.cpp, src/map_display.cpp,
	  src/map_display.h, src/subsim.cpp: mission file loading with new
	  xml functions; added some comments; more on mission editor

2006-02-05 12:16  thjordan

	* src/widget.cpp: bugfix for bugfix, stupid typo

2006-02-05 12:14  thjordan

	* src/widget.cpp: slider widget input bugfix

2006-02-05 12:10  thjordan

	* data/texts/common.csv, src/game_editor.cpp, src/map_display.cpp,
	  src/widget.cpp, src/widget.h: new slider widget ready, some more
	  bits about the editor.

2006-02-04 15:56  thjordan

	* data/images/metalbackground.jpg, data/images/panelbackground.jpg,
	  data/textures/background.png, data/textures/psbackgr.png,
	  src/color.h, src/global_data.cpp, src/global_data.h,
	  src/map_display.cpp, src/subsim.cpp, src/user_interface.cpp,
	  src/widget.cpp, src/widget.h: new slider widget; removed obsolete
	  graphics

2006-02-03 21:47  thjordan

	* src/dftdmodel-spec.txt: explained translation constraints a bit
	  more

2006-02-03 09:11  thjordan

	* src/: map_display.cpp, widget.cpp, widget.h: new widget basics

2006-02-03 08:31  thjordan

	* src/map_display.cpp: a bit more editor works

2006-02-02 08:54  thjordan

	* src/: map_display.cpp, map_display.h: implemented SHIFT/CTRL
	  input in editor

2006-02-01 23:51  thjordan

	* data/texts/common.csv, src/map_display.cpp, src/map_display.h,
	  src/subsim.cpp, src/user_interface.h: more on mission editor:
	  deleting, selecting, moving works now; new editor help

2006-02-01 05:28  thjordan

	* data/texts/common.csv, src/map_display.cpp, src/map_display.h,
	  src/sea_object.h, src/widget.h: more on mission editor: adding
	  ships works now

2006-01-31 22:20  thjordan

	* data/texts/common.csv, src/map_display.cpp, src/map_display.h,
	  src/user_interface.cpp, src/widget.cpp, src/widget.h: new panel
	  handling, new editor panel

2006-01-31 08:27  thjordan

	* src/binstream.h: fixed reading and writing of double/float with
	  C99 compatible method. APPENDIX: removed debug call

2006-01-31 08:26  thjordan

	* src/binstream.h: fixed reading and writing of double/float with
	  C99 compatible method.

2006-01-30 23:52  thjordan

	* src/binstream.h: cleanup

2006-01-30 23:52  thjordan

	* src/color.h: removed unused binstream related code

2006-01-30 23:52  thjordan

	* src/model.cpp: include binstream directly for 3ds reading

2006-01-29 22:00  simsoueu

	* data/xcf/KDB/KDB_coords_file.txt: KDB daylight+redlight
	  coordinates reference file, for isolated layers positioning +
	  rotation (where appliable), for rev.1.3.

2006-01-29 21:56  simsoueu

	* data/xcf/KDB/: kdb_daylight_baseimage.png,
	  kdb_daylight_gauge1.png, kdb_daylight_gauge2.png,
	  kdb_daylight_gauge3.png, kdb_daylight_gauge4.png,
	  kdb_daylight_gauge5.png, kdb_daylight_gauge6.png,
	  kdb_daylight_knob1.png, kdb_daylight_knob2.png,
	  kdb_daylight_knob3.png, kdb_daylight_knob4.png,
	  kdb_daylight_knob5.png, kdb_daylight_knob6.png,
	  kdb_daylight_pointer.png, kdb_redlight_baseimage.png,
	  kdb_redlight_gauge1.png, kdb_redlight_gauge2.png,
	  kdb_redlight_gauge3.png, kdb_redlight_gauge4.png,
	  kdb_redlight_gauge5.png, kdb_redlight_gauge6.png,
	  kdb_redlight_knob1.png, kdb_redlight_knob2.png,
	  kdb_redlight_knob3.png, kdb_redlight_knob4.png,
	  kdb_redlight_knob5.png, kdb_redlight_knob6.png,
	  kdb_redlight_pointer.png: KDB hydrophones screen,
	  daylight+redlight versions, rev.1.3, isolated layers, with alpha,
	  and coords file.

2006-01-29 21:51  simsoueu

	* data/xcf/: kdb_daylight_rev.1.3.xcfbz2,
	  kdb_redlight_rev.1.3.xcfbz2: KDB hydrophone gimp comp, layered,
	  masked, +isolated layers+alpha, with coordinates file, daylight &
	  redlight versions, rev.1.3.

2006-01-29 19:44  thjordan

	* data/texts/common.csv: new texts for editor

2006-01-29 17:01  thjordan

	* src/user_interface.cpp: no real change

2006-01-29 16:36  thjordan

	* src/: font.cpp, font.h, global_data.cpp, global_data.h,
	  highscorelist.cpp, user_interface.cpp, widget.cpp, widget.h: new
	  panel, now it works

2006-01-29 14:24  thjordan

	* src/: font.cpp, game_editor.cpp, game_editor.h,
	  user_interface.cpp, user_interface.h: new panel and message style

2006-01-29 11:31  thjordan

	* src/: SConscript, game.cpp, game.h, game_editor.cpp,
	  game_editor.h, subsim.cpp: added first bits of game editor;
	  removed unused main menu entries

2006-01-24 23:33  thjordan

	* src/user_interface.cpp: switch to none popup when switching
	  screen and current popup is not allowed on new screen

2006-01-24 23:05  thjordan

	* data/images/recognition_card_popup_daylight.jpg,
	  data/images/recognition_card_popup_daylight.png,
	  data/images/recognition_card_popup_redlight.jpg,
	  data/images/recognition_card_popup_redlight.png, src/SConscript,
	  src/objcache.h, src/sub_ecard_popup.cpp, src/sub_ecard_popup.h,
	  src/sub_periscope_display.cpp, src/sub_periscope_display.h,
	  src/sub_uzo_display.cpp, src/sub_uzo_display.h,
	  src/submarine_interface.cpp, src/submarine_interface.h,
	  src/user_display.h: implemented the Erkennungskarte (ecard,
	  recognition card) popup

2006-01-21 13:48  simsoueu

	* data/xcf/ecard_redlight_rev.1.2.png: Rangefinder card, popup, tab
	  cyclable, daylight version, rev.1.2, with alpha, for periscope
	  and UZO screen.

2006-01-21 13:43  simsoueu

	* data/xcf/ecard_daylight_rev.1.2.png: Rangefinder card for
	  periscope and UZO screen, popup, tab cyclable, daylight, rev.1.2,
	  with alpha.

2006-01-11 22:26  thjordan

	* src/: faulthandler.h, particle.cpp: bugfixes to allow compilation
	  with MSVC2005

2006-01-10 08:47  thjordan

	* src/coastmap.cpp: changed line to make it work with VC++2005

2006-01-09 21:47  thjordan

	* src/: subsim.cpp, widget.cpp: bugfix in vessel preview, redraws
	  now on model change

2006-01-09 21:44  thjordan

	* data/shaders/modelrender_mirrorclip_fp.shader: quick bugfix for
	  gf6600 cards

2006-01-09 21:05  thjordan

	* src/: angle.h, freeview_display.cpp, subsim.cpp, vector3.h,
	  widget.cpp, widget.h: vessel preview with light source

2006-01-09 00:15  simsoueu

	* data/images/threesubs.jpg: New modelsview background screen.
	  Light source for 3d models display has to be tweaked to match
	  background light source.

2006-01-08 18:10  thjordan

	* src/: system.h, widget.cpp, widget.h: some bugfixes for vessel
	  view

2006-01-08 17:31  simsoueu

	* data/xcf/GHG_layers_and_coords/: GHG_daylight_base.png,
	  GHG_daylight_knob.png, GHG_daylight_pointer.png,
	  GHG_daylight_volume_dial.png, GHG_daylight_volumeknob.png,
	  GHG_redlight_base.png, GHG_redlight_knob.png,
	  GHG_redlight_pointer.png, GHG_redlight_volume_dial.png,
	  GHG_redlight_volumeknob.png: 1st hydrophones screen, GHG device,
	  daylight+redlight, isolated layers, with alpha, and coordinates
	  file.

2006-01-08 17:27  simsoueu

	* data/xcf/GHG_layers_and_coords/coords_file.txt: GHG layers
	  coordinates files

2006-01-08 17:22  thjordan

	* files.txt: updated filelist

2006-01-08 16:07  thjordan

	* src/: airplane_interface.h, filehelper.cpp, filehelper.h,
	  ship_interface.h, sub_gauges_display.h, submarine_interface.h,
	  subsim.cpp, user_display.h, user_interface.h, widget.cpp,
	  widget.h: new 3dview widget and vessel preview enabled again

2006-01-07 22:13  thjordan

	* data/models/test.xml: test translations

2006-01-07 22:13  thjordan

	* src/: model.cpp, viewmodel.cpp: bugfix

2006-01-07 21:37  thjordan

	* src/: dftdmodel-spec.txt, model.cpp, model.h: translation for
	  model-objects can be read now

2006-01-07 20:52  thjordan

	* data/models/test.xml: fixed indentation

2006-01-07 18:23  thjordan

	* src/: ai.h, airplane.h, airplane_interface.h, angle.h, bspline.h,
	  cfg.h, coastmap.h, color.h, convoy.h, date.h, depth_charge.h,
	  error.h, fixed.h, font.h, freeview_display.h, game.h,
	  gun_shell.h, highscorelist.h, image.h, logbook.h, matrix4.h,
	  model.h, music.h, objcache.h, ocean_wave_generator.h, particle.h,
	  perlinnoise.h, quaternion.h, sea_object.h, sensors.h, ship.h,
	  sky.h, sound.h, submarine.h, system.h, tdc.h, texts.h, texture.h,
	  torpedo.h, triangulate.h, user_display.h, vector2.h, vector3.h,
	  vector4.h, water.h, water_sse.h, xml.h: added even more doxygen
	  comments

2006-01-07 17:39  thjordan

	* src/: depth_charge.h, sea_object.h: added some more doxygen
	  comments

2006-01-07 17:26  thjordan

	* src/: Doxyfile, airplane.h, angle.h, cfg.h, depth_charge.h,
	  error.h, gun_shell.h, matrix4.h, quaternion.h, xml.h: added some
	  doxygen comments

2006-01-07 14:58  thjordan

	* src/: Doxyfile, sea_object.h, ship.h, submarine.h, torpedo.h,
	  vector2.h: added some doxygen descriptions

2006-01-07 14:41  thjordan

	* src/: ai.cpp, ai.h, airplane.cpp, airplane.h,
	  airplane_interface.cpp, airplane_interface.h, angle.h,
	  binstream.h, bspline.h, cfg.cpp, cfg.h, coastmap.cpp, coastmap.h,
	  color.h, convoy.cpp, convoy.h, credits.h, crosssection.cpp,
	  damagemodel.cpp, date.cpp, date.h, depth_charge.cpp,
	  depth_charge.h, error.cpp, error.h, faulthandler.h,
	  filehelper.cpp, filehelper.h, fixed.h, font.cpp, font.h,
	  freeview_display.cpp, freeview_display.h, game.cpp, game.h,
	  gldebug.h, global_data.cpp, global_data.h, gun_shell.cpp,
	  gun_shell.h, highscorelist.cpp, highscorelist.h, image.cpp,
	  image.h, keys.cpp, keys.h, logbook.cpp, logbook.h,
	  logbook_display.cpp, logbook_display.h, make_mesh.cpp,
	  make_mesh.h, map_display.cpp, map_display.h, matrix4.h,
	  model.cpp, model.h, music.cpp, music.h, mymain.cpp, network.cpp,
	  network.h, objcache.h, ocean_wave_generator.h, oceantest.cpp,
	  parser.cpp, parser.h, particle.cpp, particle.h, perlinnoise.cpp,
	  perlinnoise.h, ptrset.h, quaternion.h, sea_object.cpp,
	  sea_object.h, sensors.cpp, sensors.h, ship.cpp, ship.h,
	  ship_interface.cpp, ship_interface.h, ships_sunk_display.cpp,
	  ships_sunk_display.h, sky.cpp, sky.h, sound.cpp, sound.h,
	  sub_bridge_display.cpp, sub_bridge_display.h,
	  sub_control_popup.cpp, sub_control_popup.h,
	  sub_damage_display.cpp, sub_damage_display.h,
	  sub_gauges_display.cpp, sub_gauges_display.h,
	  sub_periscope_display.cpp, sub_periscope_display.h,
	  sub_tdc_display.cpp, sub_tdc_display.h, sub_tdc_popup.cpp,
	  sub_tdc_popup.h, sub_torpedo_display.cpp, sub_torpedo_display.h,
	  sub_torpsetup_display.cpp, sub_torpsetup_display.h,
	  sub_uzo_display.cpp, sub_uzo_display.h, submarine.cpp,
	  submarine.h, submarine_interface.cpp, submarine_interface.h,
	  subsim.cpp, system.cpp, system.h, tdc.cpp, tdc.h, texts.cpp,
	  texts.h, texture.cpp, texture.h, token.h, tokencodes.h,
	  tokenizer.cpp, tokenizer.h, torpedo.cpp, torpedo.h,
	  triangulate.cpp, triangulate.h, user_display.h,
	  user_interface.cpp, user_interface.h, user_popup.h, vector2.h,
	  vector3.h, vector4.h, viewmodel.cpp, water.cpp, water.h,
	  water_sse.cpp, water_sse.h, widget.cpp, widget.h, xml.cpp, xml.h:
	  added GPL copyright header

2005-12-28 14:29  thjordan

	* data/models/test.xml, src/dftdmodel-spec.txt, src/model.cpp,
	  src/model.h, src/viewmodel.cpp, src/xml.cpp: implemented
	  relationship reading for dftd xml model file format. first
	  release with basic features, no writing of the data yet

2005-12-28 12:29  thjordan

	* data/models/conning_tower_typeVIIc.xml: added missing tag

2005-12-28 12:11  thjordan

	* src/: SConscript, dftdmodel-spec.txt, model.cpp, model.h,
	  xml.cpp, xml.h: preparations for relationship reading in model
	  class: use new xml functions in class model anywhere; more error
	  checks; new xml functions

2005-12-28 12:01  thjordan

	* src/system.cpp: bugfix to make it work with new nvidia driver and
	  opengl 2.0

2005-12-27 11:28  thjordan

	* data/shaders/modelrender_mirrorclip_fp.shader,
	  data/shaders/modelrender_mirrorclip_vp.shader,
	  data/shaders/modelrender_vp.shader, data/shaders/water_fp.shader,
	  data/shaders/water_vp.shader, src/water.cpp: bugfixes in the
	  mirror shader, optimizations of the shaders

2005-12-26 16:40  thjordan

	* data/shaders/modelrender_mirrorclip_vp.shader: added comment

2005-12-26 16:31  thjordan

	* data/shaders/water_vp.shader, src/particle.h: lowered mirror
	  distorsion scale

2005-12-26 15:49  thjordan

	* data/shaders/water_vp.shader: mirror distorsion added to shader

2005-12-26 15:30  thjordan

	* data/shaders/modelrender_mirrorclip_fp.shader,
	  data/shaders/modelrender_mirrorclip_vp.shader,
	  src/faulthandler.h, src/freeview_display.cpp,
	  src/freeview_display.h, src/matrix4.h, src/model.cpp,
	  src/model.h, src/sea_object.cpp, src/sea_object.h,
	  src/viewmodel.cpp: draw mirror images of objects as a test

2005-12-17 18:19  thjordan

	* src/: sub_tdc_display.cpp, submarine.cpp, tdc.cpp, tdc.h: can
	  switch tdc auto mode now

2005-12-17 13:22  thjordan

	* src/sub_tdc_display.cpp: parallax angle input also with mouse
	  drag

2005-12-17 12:42  thjordan

	* src/: sub_tdc_display.cpp, submarine.cpp, tdc.cpp, tdc.h: tdc
	  save bugfixes; user can change parallax angle

2005-12-17 12:13  thjordan

	* src/game.cpp: bugfix for loading of savegames

2005-12-17 11:55  thjordan

	* src/: game.cpp, sub_tdc_display.cpp, sub_tdc_display.h,
	  user_display.h: fire button and tube selection works again

2005-12-13 22:08  thjordan

	* src/: tdc.cpp, tdc.h: parallax angle computation now also
	  possible for stern tube launched torpedoes

2005-12-13 19:19  thjordan

	* src/: submarine.cpp, tdc.cpp: simplified parallax angle
	  computation; use parallax angle for torpedo launching, not just
	  only display it

2005-12-13 09:11  thjordan

	* src/: sub_tdc_display.cpp, tdc.cpp, tdc.h: implemented parallax
	  angle computation for bow shots

2005-12-12 00:06  thjordan

	* src/sub_tdc_display.cpp: range dial turns after new formula

2005-12-11 22:57  thjordan

	* src/sub_tdc_display.cpp: adll new TDC dials are drawn right,
	  except the range dial

2005-12-11 20:31  thjordan

	* files.txt, src/sub_tdc_display.cpp, src/sub_tdc_display.h,
	  src/submarine.cpp, src/submarine.h, src/submarine_interface.cpp,
	  src/torpedo.cpp, src/torpedo.h: new TDC screen with new dials

2005-12-11 18:29  thjordan

	* data/images/: TDCScreen1_Daylight_Base_image.png,
	  TDCScreen1_Daylight_Facherwinkel_pointer_rotating.png,
	  TDCScreen1_Daylight_Facherwinkel_pointer_rotation.png,
	  TDCScreen1_Daylight_TorpedoLaufzeit_pointer_minutes.png,
	  TDCScreen1_Daylight_TorpedoLaufzeit_pointer_minutes_rotating.png,
	  TDCScreen1_Redlight_Base_image.png,
	  TDC_daylight_autoswitchoff.png, TDC_daylight_autoswitchon.png,
	  TDC_daylight_base.jpg, TDC_daylight_base.png,
	  TDC_daylight_clockbigptr.png, TDC_daylight_clocksmlptr.png,
	  TDC_daylight_firebutton.png,
	  TDC_daylight_firesolutionquality.png, TDC_daylight_gyro10.png,
	  TDC_daylight_gyro360.png, TDC_daylight_spreadangle.png,
	  TDC_daylight_switchtube1.png, TDC_daylight_switchtube2.png,
	  TDC_daylight_switchtube3.png, TDC_daylight_switchtube4.png,
	  TDC_daylight_switchtube5.png, TDC_daylight_switchtube6.png,
	  TDC_daylight_targetcourse.png, TDC_daylight_targetposition.png,
	  TDC_daylight_targetrange.png, TDC_daylight_targetspeed.png,
	  TDC_daylight_torpspeed.png, TDC_daylight_tube1.png,
	  TDC_daylight_tube2.png, TDC_daylight_tube3.png,
	  TDC_daylight_tube4.png, TDC_daylight_tube5.png,
	  TDC_daylight_tube6.png, TDC_redlight_autoswitchoff.png,
	  TDC_redlight_autoswitchon.png, TDC_redlight_base.jpg,
	  TDC_redlight_base.png, TDC_redlight_clockbigptr.png,
	  TDC_redlight_clocksmlptr.png, TDC_redlight_firebutton.png,
	  TDC_redlight_firesolutionquality.png, TDC_redlight_gyro10.png,
	  TDC_redlight_gyro360.png, TDC_redlight_spreadangle.png,
	  TDC_redlight_switchtube1.png, TDC_redlight_switchtube2.png,
	  TDC_redlight_switchtube3.png, TDC_redlight_switchtube4.png,
	  TDC_redlight_switchtube5.png, TDC_redlight_switchtube6.png,
	  TDC_redlight_targetcourse.png, TDC_redlight_targetposition.png,
	  TDC_redlight_targetrange.png, TDC_redlight_targetspeed.png,
	  TDC_redlight_torpspeed.png, TDC_redlight_tube1.png,
	  TDC_redlight_tube2.png, TDC_redlight_tube3.png,
	  TDC_redlight_tube4.png, TDC_redlight_tube5.png,
	  TDC_redlight_tube6.png: removed old graphics, renamed some new
	  files

2005-12-11 16:50  thjordan

	* data/images/: TDCScreen2_Daylight_base_image.png,
	  TDCScreen2_Redlight_base_image.png: removed accidentally added
	  images

2005-12-11 16:33  thjordan

	* data/images/:
	  TDCScreen1_Daylight_AngleOnBow_innerdial_rotating.png,
	  TDCScreen1_Daylight_Base_image.jpg,
	  TDCScreen1_Daylight_Base_image.png,
	  TDCScreen1_Daylight_Facherwinkel_pointer_rotation.png,
	  TDCScreen1_Daylight_Facherwinkel_usermarker_rotating.png,
	  TDCScreen1_Daylight_Lagenwinkel_pointer_rotating.png,
	  TDCScreen1_Daylight_TorpGeschwindigkeit_innerdial_rotating.png,
	  TDCScreen1_Daylight_TorpedoLaufzeit_pointer_minutes.png,
	  TDCScreen1_Daylight_TorpedoLaufzeit_pointer_seconds_rotating.png,
	  TDCScreen1_Daylight_ZielTorpGeschwindigkeit_pointer_rotating.png,
	  TDCScreen1_Daylight_Zielposition_pointer_rotating.png,
	  TDCScreen1_Daylight_firesolution_slidingscale_pointer.png,
	  TDCScreen1_Daylight_parallaxwinkel_pointer_rotating.png,
	  TDCScreen1_Daylight_parallaxwinkel_usermarker_rotating.png,
	  TDCScreen1_Redlight_AngleOnBow_innerdial_rotating.png,
	  TDCScreen1_Redlight_Base_image.jpg,
	  TDCScreen1_Redlight_Base_image.png,
	  TDCScreen1_Redlight_Facherwinkel_pointer_rotating.png,
	  TDCScreen1_Redlight_Facherwinkel_usermarker_rotating.png,
	  TDCScreen1_Redlight_Lagenwinkel_pointer_rotating.png,
	  TDCScreen1_Redlight_TorpGeschwindigkeit_innerdial_rotating.png,
	  TDCScreen1_Redlight_TorpedoLaufzeit_pointer_minutes_rotating.png,
	  TDCScreen1_Redlight_TorpedoLaufzeit_pointer_seconds_rotating.png,
	  TDCScreen1_Redlight_ZielTorpGeschwindigkeit_pointer_rotating.png,
	  TDCScreen1_Redlight_Zielposition_pointer_rotating.png,
	  TDCScreen1_Redlight_firesolution_slidingscale_pointer.png,
	  TDCScreen1_Redlight_parallaxwinkel_pointer_rotating.png,
	  TDCScreen1_Redlight_parallaxwinkel_usermarker_rotating.png,
	  TDCScreen2_Daylight_AutoManualKnob_automode.png,
	  TDCScreen2_Daylight_AutoManualKnob_manualmode.png,
	  TDCScreen2_Daylight_Brightness_dial_pointer_rotating.png,
	  TDCScreen2_Daylight_FireButton_ON.png,
	  TDCScreen2_Daylight_HGyro_pointer_main_rotating.png,
	  TDCScreen2_Daylight_HGyro_pointer_refinement_rotating.png,
	  TDCScreen2_Daylight_VGyro_main_user_marker_rotating.png,
	  TDCScreen2_Daylight_VGyro_pointer_main_rotating.png,
	  TDCScreen2_Daylight_VGyro_pointer_refinement_rotating.png,
	  TDCScreen2_Daylight_VGyro_refinement_user_marker_rotating.png,
	  TDCScreen2_Daylight_Zielentfernung_pointer_rotating.png,
	  TDCScreen2_Daylight_Zielentfernung_user_marker_rotating.png,
	  TDCScreen2_Daylight_base_image.jpg,
	  TDCScreen2_Daylight_base_image.png,
	  TDCScreen2_Daylight_tube1_on.png,
	  TDCScreen2_Daylight_tube2_on.png,
	  TDCScreen2_Daylight_tube3_on.png,
	  TDCScreen2_Daylight_tube4_on.png,
	  TDCScreen2_Daylight_tube5_on.png,
	  TDCScreen2_Daylight_tube6_on.png,
	  TDCScreen2_Redlight_AutoManualKnob_automode.png,
	  TDCScreen2_Redlight_AutoManualKnob_manualmode.png,
	  TDCScreen2_Redlight_Brightness_dial_pointer_rotating.png,
	  TDCScreen2_Redlight_FireButton_ON.png,
	  TDCScreen2_Redlight_HGyro_pointer_main_rotating.png,
	  TDCScreen2_Redlight_HGyro_pointer_refinement_rotating.png,
	  TDCScreen2_Redlight_VGyro_main_user_marker_rotating.png,
	  TDCScreen2_Redlight_VGyro_pointer_main_rotating.png,
	  TDCScreen2_Redlight_VGyro_pointer_refinement_rotating.png,
	  TDCScreen2_Redlight_VGyro_refinement_user_marker_rotating.png,
	  TDCScreen2_Redlight_Zielentfernung_pointer_rotating.png,
	  TDCScreen2_Redlight_Zielentfernung_user_marker_rotating.png,
	  TDCScreen2_Redlight_base_image.jpg,
	  TDCScreen2_Redlight_base_image.png,
	  TDCScreen2_Redlight_tube1_on.png,
	  TDCScreen2_Redlight_tube2_on.png,
	  TDCScreen2_Redlight_tube3_on.png,
	  TDCScreen2_Redlight_tube4_on.png,
	  TDCScreen2_Redlight_tube5_on.png,
	  TDCScreen2_Redlight_tube6_on.png: added new graphics

2005-12-10 12:10  thjordan

	* SConstruct, src/faulthandler.h: faulthandler improved, added
	  needed linker option

2005-12-08 22:50  thjordan

	* src/: faulthandler.h, mymain.cpp, subsim.cpp: added code that
	  prints stack trace on SIGSEGV or globally uncaught exceptions

2005-12-03 17:25  thjordan

	* data/missions/duell.xml, src/missioneditor-readme.txt: mission
	  editor readme added

2005-12-03 12:11  thjordan

	* src/: music.cpp, subsim.cpp: fixed randomization

2005-12-03 12:07  thjordan

	* src/: convoy.cpp, convoy.h, map_display.cpp, sea_object.cpp,
	  ship.cpp, ship.h, submarine.cpp: fixed torpedo heading and ship
	  heading in convoys

2005-12-01 23:42  thjordan

	* src/submarine.cpp: segfault bugfix

2005-12-01 23:25  thjordan

	* src/: ai.cpp, quaternion.h, sea_object.cpp, sea_object.h,
	  ship.cpp, ship.h, submarine.cpp, torpedo.cpp: torpedo firing and
	  steering fixes, still not perfect

2005-11-29 09:15  thjordan

	* src/submarine.cpp: some more fixes on torpedo firing

2005-11-29 00:13  thjordan

	* src/: date.cpp, date.h, game.cpp, game.h, torpedo.cpp, torpedo.h,
	  xml.h: implemented more parts of torpedo spec parsing, torpedoes
	  can be fired again (but run in wrong direction...)

2005-11-28 23:41  thjordan

	* data/torpedoes/: TI.xml, TII.xml, TIII.xml, TIII_FaTII.xml,
	  TIIIa_FaTII.xml, TIIIa_LuTI.xml, TIIIa_LuTII.xml, TIV.xml,
	  TI_FaTI.xml, TI_LuTI.xml, TI_LuTII.xml, TV.xml, TVI_LuTI.xml,
	  TVb.xml, TXI.xml: changed date format in availability tag for all
	  torpedoes

2005-11-27 19:22  thjordan

	* src/ship.h: cleanup

2005-11-27 18:33  thjordan

	* src/: submarine.cpp, torpedo.cpp, torpedo.h: torpedo simulation
	  bugfixes (partly)

2005-11-27 17:50  thjordan

	* src/: map_display.cpp, sub_torpedo_display.cpp,
	  sub_torpsetup_display.cpp, submarine.cpp, submarine.h,
	  torpedo.cpp, torpedo.h: torpedo launch bugfixes

2005-11-27 15:56  thjordan

	* src/: game.cpp, ptrset.h, submarine.cpp, submarine.h: simplified
	  ptrset handling, bugfixes

2005-11-27 12:48  thjordan

	* src/game.cpp: more xml reading/writing bugfixes

2005-11-27 12:33  thjordan

	* src/convoy.cpp: more xml reading/writing bugfixes

2005-11-27 12:30  thjordan

	* src/: SConscript, error.cpp, error.h, game.cpp, sea_object.cpp,
	  ship.cpp, ship.h, torpedo.cpp, xml.cpp: xml reading/writing
	  bugfixes

2005-11-27 11:27  thjordan

	* data/torpedoes/: Fido.xml, TI.xml, TII.xml, TIII.xml,
	  TIII_FaTII.xml, TIIIa_FaTII.xml, TIIIa_LuTI.xml, TIIIa_LuTII.xml,
	  TIV.xml, TI_FaTI.xml, TI_LuTI.xml, TI_LuTII.xml, TV.xml,
	  TVI_LuTI.xml, TVb.xml, TXI.xml: added "type" attribute because
	  all ships have it

2005-11-27 11:03  thjordan

	* data/torpedoes/: TI.xml, TII.xml, TIII.xml, TIII_FaTII.xml,
	  TIIIa_FaTII.xml, TIIIa_LuTI.xml, TIIIa_LuTII.xml, TIV.xml,
	  TI_FaTI.xml, TI_LuTI.xml, TI_LuTII.xml, TV.xml, TVI_LuTI.xml,
	  TVb.xml, TXI.xml: updated identifier tags, reloaded/resaved files
	  with mlv to fix tinyxml loading problems

2005-11-27 01:04  thjordan

	* src/: submarine.cpp, submarine.h, torpedo.cpp: tdc can be
	  loaded/saved, more fixes, part 2

2005-11-27 01:02  simsoueu

	* data/torpedoes/: Fido.txt, TIII_FaTII_de.txt, TIII_FaTII_en.txt,
	  TIII_de.txt, TIII_en.txt, TIIIa_FaTII_de.txt, TIIIa_FaTII_en.txt,
	  TIIIa_LuTII_de.txt, TIIIa_LuTII_en.txt, TIIIa_LuTI_de.txt,
	  TIIIa_LuTI_en.txt, TII_de.txt, TII_en.txt, TIV_de.txt,
	  TIV_en.txt, TI_FaTI_de.txt, TI_FaTI_en.txt, TI_LuTII_de.txt,
	  TI_LuTII_en.txt, TI_LuTI_de.txt, TI_LuTI_en.txt, TVI_LuTI_de.txt,
	  TVI_LuTI_en.txt, TV_de.txt, TV_en.txt, TVb_de.txt, TVb_en.txt,
	  TXI_de.txt, TXI_en.txt: torpedo data files description text.

2005-11-27 01:01  simsoueu

	* data/torpedoes/TI_de.txt: text file for torpedo data

2005-11-27 01:00  simsoueu

	* data/torpedoes/: TI.xml, TII.xml, TIII.xml, TIII_FaTII.xml,
	  TIIIa_FaTII.xml, TIIIa_LuTI.xml, TIIIa_LuTII.xml, TIV.xml,
	  TI_FaTI.xml, TI_LuTI.xml, TI_LuTII.xml, TI_en.txt, TV.xml,
	  TVI_LuTI.xml, TVb.xml, TXI.xml: updated torpedo data files.

2005-11-27 00:48  thjordan

	* src/: highscorelist.cpp, highscorelist.h, submarine.cpp, tdc.cpp,
	  tdc.h, water_sse.cpp: tdc can be loaded/saved, more fixes

2005-11-27 00:07  thjordan

	* src/: ai.cpp, sea_object.cpp, sub_torpedo_display.cpp,
	  sub_torpedo_display.h, submarine.cpp, submarine.h,
	  submarine_interface.cpp, torpedo.cpp, torpedo.h, xml.cpp: code
	  compiles again, but many fixes remain; torpedo data file loading,
	  torpedo firing, loading and saving of some parts (logbook...)

2005-11-26 19:16  thjordan

	* src/: ai.cpp, ai.h, airplane.cpp, airplane.h, convoy.cpp,
	  convoy.h, date.cpp, game.cpp, game.h, global_data.h,
	  sea_object.cpp, sea_object.h, ship.cpp, ship.h, submarine.cpp,
	  submarine.h, torpedo.h, xml.cpp, xml.h: more changes on the path
	  to xml savegames. some bugfixes and simplifications, part 4

2005-11-26 18:53  simsoueu

	* data/ships/: carrier_bogue.xml, corvette.xml,
	  destroyer_oclass.xml, destroyer_tribal.xml, freighter_large.xml,
	  freighter_medium.xml, merchant_large.xml, merchant_medium.xml,
	  merchant_small.xml, tanker_medium.xml, tanker_small.xml,
	  troopship_medium.xml: updated smoke tags on data xmls.

2005-11-26 18:19  thjordan

	* data/ships/battleship_malaya.xml: new smoke format

2005-11-26 12:36  thjordan

	* src/: date.cpp, date.h, depth_charge.cpp, game.cpp, game.h,
	  sea_object.cpp, submarine.cpp, subsim.cpp, xml.cpp, xml.h: more
	  changes on the path to xml savegames. some bugfixes and
	  simplifications

2005-11-25 08:49  thjordan

	* src/: convoy.cpp, convoy.h, sea_object.h: changed load/save
	  format from binary to xml, changed object construction, changed
	  torpedo loading.  WORK IN PROGRESS! CODE WILL NOT COMPILE part 2

2005-11-25 00:08  thjordan

	* src/: ai.cpp, airplane.cpp, airplane.h, convoy.cpp, convoy.h,
	  depth_charge.cpp, depth_charge.h, game.cpp, game.h,
	  gun_shell.cpp, gun_shell.h, sea_object.cpp, sea_object.h,
	  ship.cpp, submarine.h, torpedo.cpp, torpedo.fixme.cpp,
	  torpedo.fixme.h, torpedo.h, xml.cpp, xml.h: changed load/save
	  format from binary to xml, changed object construction, changed
	  torpedo loading.  WORK IN PROGRESS! CODE WILL NOT COMPILE

2005-11-23 23:08  thjordan

	* src/angle.h: changed (void) to ()

2005-11-22 08:54  thjordan

	* data/texts/common.csv, data/texts/languages.csv, src/subsim.cpp:
	  spanish language added, translations in mission files still
	  missing, also bug in reading mission files with missing language
	  tags exists

2005-11-21 05:15  simsoueu

	* data/xcf/NewTDC_screen2_daylight_rev.1.3.xcfbz2: Earlier revision
	  when flattened, had a 1px halo in some areas around tubes lights.
	  Fixed in this revision, by opaque alpha+slight painting around
	  tube areas.

2005-11-21 05:10  simsoueu

	* data/images/hedgehog.jpg: Hedgehog image element used in
	  composition had unknown copyright status. Replaced it by public
	  domain image from usnavy online library.

2005-11-21 05:08  simsoueu

	* data/images/scopewatcher.jpg: Scope watcher element used in
	  composition had unknown copyright status. Replaced it by a public
	  domain image, from usnavy online library.

2005-11-20 11:47  thjordan

	* src/water.cpp: added some test and comments

2005-11-19 20:45  thjordan

	* src/: perlinnoise.cpp, perlinnoise.h, water.cpp: added some
	  tests, wave displacement bugfix

2005-11-18 18:00  simsoueu

	* data/xcf/NewTDC_screen2_redlight_rev.1.3.xcfbz2: New TDC, 2nd
	  screen, redlight version, rev.1.3, earlier revisions weren't
	  commited, overall consistency with remaining screens.

2005-11-18 17:57  simsoueu

	* data/xcf/NewTDC_screen2_daylight_rev.1.2.xcfbz2: New TDC, 2nd
	  screen, daylight version, rev.1.2, tweaked for overall
	  consistency, earlier revisions weren't commited.

2005-11-18 17:52  simsoueu

	* data/xcf/NewTDC_screen1_redlight_rev.1.2.xcfbz2: New revision of
	  redlight version of TDC screen1, tweaked to be consistent with
	  screen2.

2005-11-16 20:26  thjordan

	* files.txt: compile fix

2005-11-16 20:21  thjordan

	* files.txt, src/credits.h: compile fix

2005-11-15 23:16  thjordan

	* data/shaders/water_fp.shader, src/perlinnoise.cpp, src/water.cpp:
	  some more water tests

2005-11-15 01:16  simsoueu

	* src/credits.h: updated credits

2005-11-15 01:13  simsoueu

	* CREDITS: updated credits file.

2005-11-14 21:27  thjordan

	* data/shaders/water_fp.shader: added comment about fog, part2

2005-11-14 21:22  thjordan

	* data/shaders/water_fp.shader: added comment about fog

2005-11-14 21:10  thjordan

	* src/water.cpp: height scale change

2005-11-14 21:03  thjordan

	* src/: ocean_wave_generator.h, oceantest.cpp: further tests

2005-11-13 20:07  thjordan

	* src/: SConscript, ocean_wave_generator.h, oceantest.cpp,
	  subsim.cpp, water.cpp: added ocean generator test

2005-11-13 16:00  thjordan

	* src/water.cpp: removed debug code

2005-11-13 15:59  thjordan

	* src/: ocean_wave_generator.h, water.cpp: some tests

2005-11-13 14:34  thjordan

	* src/xml.h: compile bugfix for gcc3.4

2005-11-12 19:03  thjordan

	* files.txt: update

2005-11-11 08:43  thjordan

	* src/: cfg.cpp, torpedo.fixme.cpp, xml.cpp, xml.h: made xml code
	  easier, added functions, moved tinyxml use from header to cpp, so
	  more decoupling of dependencies

2005-11-11 00:53  thjordan

	* src/: SConscript, cfg.cpp, torpedo.fixme.cpp, xml.cpp, xml.h: new
	  xml interface code, now usage of xml is much easier

2005-11-10 19:54  simsoueu

	* data/xcf/NewTDC_screen1_redlight_rev.1.1.xcfbz2: New TDC, screen1
	  (tab cycle), redlight version, rev.1.1, with alignement grid.

2005-11-10 19:52  simsoueu

	* data/xcf/NewTDC_screen1_daylight_rev1.1.xcfbz2: New TDC,
	  screen1(tab cycle), daylight version, rev.1.1, with alignement
	  grids.

2005-11-09 09:01  thjordan

	* files.txt: added missing files

2005-11-08 08:38  thjordan

	* src/: sea_object.cpp, water.cpp: tried less saturated color for
	  water

2005-11-08 04:04  apaes

	* src/: music.cpp, subsim.cpp: fixed bug that crashed the game when
	  entering pause if no music was being used

2005-11-08 00:16  apaes

	* src/: ship.cpp, ship.h, sub_gauges_display.cpp,
	  sub_gauges_display.h, submarine.cpp: Throttle functions moved to
	  sub_gauges_display

2005-11-07 18:20  apaes

	* src/: ship.cpp, ship.h, sub_gauges_display.cpp, submarine.cpp,
	  submarine.h: Added throttle, front/back rudder dials animations
	  in control screen. Depth planes behavior when in switching from
	  ahead to reverse needs fixing.

2005-11-06 18:05  thjordan

	* src/: sea_object.h, torpedo.fixme.cpp, torpedo.fixme.h: checked
	  in wip files

2005-11-06 11:38  thjordan

	* data/torpedoes/: Fido.xml, TI.xml, TII.xml, TIII.xml,
	  TIII_FaTII.xml, TIIIa_FaTII.xml, TIIIa_LuTI.xml, TIIIa_LuTII.xml,
	  TIV.xml, TI_FaTI.xml, TI_LuTI.xml, TI_LuTII.xml, TV.xml,
	  TVI_LuTI.xml, TVb.xml, TXI.xml, fido.xml,
	  new_torpedo_data_files_xml.tar.bz2, t1.xml, t11.xml, t1fat.xml,
	  t1lut.xml, t2.xml, t3.xml, t3a.xml, t3afat.xml, t3alut.xml,
	  t3fat.xml, t4.xml, t5.xml, t6lut.xml: replaced torpedo files by
	  newer ones

2005-11-05 23:00  thjordan

	* data/models/uboat_VIIc.cs: added missing file

2005-11-05 20:09  thjordan

	* src/sub_tdc_display.cpp: bugfix

2005-11-04 22:21  simsoueu

	* ARTWORK_LICENSE: Artwork license. Artwork use is restricted to
	  Danger From The Deep.

2005-11-02 03:04  simsoueu

	* data/sounds/sonarping_mono_id1.ogg: Sonar ping sound, xml tag
	  id=1, for us destroyers, 22050Hz, 16bits, mono.

2005-11-02 03:04  simsoueu

	* data/sounds/ping.ogg: New sonar ping sound, xml tag id=0, for uk
	  destroyers, 22050Hz, 16bits, mono.

2005-11-02 03:02  simsoueu

	* data/sounds/liquidblast.ogg: New torpedo firing sound, 22050Hz,
	  16bits, stereo, ogg, 0.5., rev.1.1.

2005-11-01 22:37  apaes

	* src/sub_uzo_display.cpp: fixed graphical issue in UZO screen

2005-11-01 19:03  apaes

	* src/subsim.cpp: fixed small readability issue in some ui screens

2005-11-01 07:06  simsoueu

	* data/textures/uzo.png: New uzo screen, with stepped grid.

2005-11-01 05:48  simsoueu

	* data/images/sunderland.jpg: New sunderland image.

2005-11-01 05:19  apaes

	* data/textures/uzo.png: Fixed UZO screen base, with mask, rev.1.1

2005-11-01 04:41  apaes

	* data/textures/uzo_compass_redlight.png: UZO sliding compass bar,
	  redlight version, rev.1.0

2005-11-01 04:39  apaes

	* data/textures/uzo_compass_daylight.png: UZO sliding compass bar,
	  daylight version, rev.1.0

2005-11-01 04:34  apaes

	* src/: sub_uzo_display.cpp, sub_uzo_display.h: New Uzo screen

2005-11-01 04:32  apaes

	* data/textures/uzo.png: UZO screen base, with mask, rev.1.0

2005-11-01 02:26  simsoueu

	* data/images/: hedgehog.jpg, swordfish.jpg: New swordfish
	  screen/message.

2005-11-01 01:41  apaes

	* data/textures/glasses.png, src/sub_bridge_display.cpp,
	  src/sub_bridge_display.h: New binoculars img and screen

2005-11-01 01:39  apaes

	* src/widget.cpp: Minor ui selection list tweak

2005-10-31 19:42  thjordan

	* files.txt: update

2005-10-31 13:59  apaes

	* src/: music.h, music.cpp: Main menu music now repeats

2005-10-31 00:42  apaes

	* src/: SConscript, music.h, subsim.cpp, music.cpp: Added main menu
	  music feature

2005-10-31 00:22  apaes

	* data/sounds/Betty_Roche-Trouble_Trouble.ogg: Added main menu's
	  music file Betty_Roche-Trouble_Trouble.ogg

2005-10-31 00:18  apaes

	* data/sounds/ImInTheMood.ogg: Added main menu's music file
	  ImInTheMood.ogg

2005-10-30 22:32  simsoueu

	* LICENSE_README: IMPORTANT notes regarding one CreativeCommons
	  audio track, one public domain, and public domain images used in
	  some 2D main GUI screens.

2005-10-30 22:31  simsoueu

	* data/LICENSE_README: IMPORTANT notes regarding one
	  CreativeCommons track, one public domain, and public domain
	  images, used in some 2D artwork.

2005-10-30 22:30  simsoueu

	* data/VeraLynn_-_ImInTheMood_-_LICENSE.htm: CreativeCommons
	  license for VeraLynn_-_ImInTheMood track, from archive.org, in
	  .htm format.

2005-10-30 22:29  simsoueu

	* data/VeraLynn_-_ImInTheMood_-_LICENSE.txt: CreativeCommons
	  License for audio track VeryLynn_-_ImInTheMood, from archive.org.
	  Complete license information.

2005-10-30 22:28  simsoueu

	* data/Archive_TERMS.htm: Archive.org Terms for OpenSouce Audio
	  files.

2005-10-30 22:28  simsoueu

	* data/Archive_FAQ.htm: Archive.org FAQ/Terms for OpenSource Audio
	  files usage.

2005-10-30 22:26  simsoueu

	* data/WW2Incolor_Policy.htm: WW2InColor policy for public domain
	  images used.

2005-10-30 22:26  simsoueu

	* data/NavalHistoricCenterPolicy.htm: Policy for NHC images used in
	  new introduction GUI.

2005-10-30 19:49  simsoueu

	* data/images/killed.jpg: New killed image.

2005-10-30 19:39  thjordan

	* src/: map_display.cpp, sea_object.cpp, sub_tdc_display.cpp,
	  submarine.cpp, submarine.h, submarine_interface.cpp, tdc.cpp,
	  tdc.h: TDC values are set after crew reporting from submarine,
	  for now in a simple way

2005-10-30 18:25  simsoueu

	* data/textures/widgetelements_menu.png: New widget elements image.

2005-10-30 18:24  simsoueu

	* data/images/scopewatcher.jpg: Scope watcher new image.

2005-10-30 18:22  simsoueu

	* data/images/depthcharge.jpg: New depth charge image.

2005-10-30 18:21  simsoueu

	* data/images/sunken_destroyer.jpg: New sunken destroyer image.

2005-10-30 18:20  simsoueu

	* data/images/krupp_docks.jpg: New krupps dock image.

2005-10-30 18:19  simsoueu

	* data/images/titlebackgr.jpg: New title.image.

2005-10-30 14:47  thjordan

	* src/: SConscript, sea_object.cpp, sea_object.h,
	  sub_tdc_display.cpp, submarine.cpp, submarine.h,
	  submarine_interface.cpp, tdc.cpp, tdc.h, user_interface.h: new
	  tdc class; target is stored in sea_object, so every object
	  manages at most one target with automatic check for is_alive
	  condition

2005-10-26 22:58  thjordan

	* src/: sub_torpsetup_display.cpp, submarine.h: show run depth,
	  added comment

2005-10-26 19:24  simsoueu

	* data/torpedoes/new_torpedo_data_files_xml.tar.bz2: New torpedo
	  data files. Notes included, as well as mock tags for possible
	  problems/solutions. Extra torpedo types, reflecting torpedos
	  available in torp.management screen.

2005-10-26 19:22  simsoueu

	* data/textures/mtanker_camo2.png: 1941/1942 camouflage for
	  Kennebak class medium tanker. Alternative diffuse map (to be
	  specified in ship data xml, not ddxml model). Rev.1.0.

2005-10-25 19:31  thjordan

	* debian/DEBIAN/control, src/sub_tdc_display.cpp: added braces for
	  compatibility

2005-10-23 19:13  thjordan

	* src/viewmodel.cpp: viewmodel with scale printing

2005-10-23 18:24  simsoueu

	* data/textures/mtanker_c2.png: Medium tanker color map, 1k res,
	  lossless, for kennebak class medium tanker ddxml model. Rev.1.0.

2005-10-23 18:22  simsoueu

	* data/textures/mtanker_spec.png: Medium tanker specular map. 1k
	  res, lossless, for kennebak class ddxml model, rev.1.0.

2005-10-23 18:21  simsoueu

	* data/textures/mtanker_bump.png: Medium tanker bump map, 1k res,
	  lossless. For kennebak class medium tanker model. rev.1.0.

2005-10-23 18:20  simsoueu

	* data/models/medium_tanker.xml: Medium tanker ddxml model,
	  kennebak class. XML in ships, was description file for model,
	  smoke non-aligned. Comments in side description xml under ships.

2005-10-23 18:18  simsoueu

	* data/ships/tanker_medium.xml: Medium tanker ddxml model -
	  kennebak class, us, rev.1.0.

2005-10-23 10:23  thjordan

	* src/sub_tdc_display.cpp: tubes are selected by tube lights and
	  fired by the big red button now

2005-10-17 21:07  thjordan

	* SConstruct, files.txt, makewinpack: changes for win32 release

2005-10-17 21:06  thjordan

	* data/torpedoes/t1.xml: added some comments

2005-10-17 20:52  thjordan

	* src/subsim.cpp: changes for win32 release

2005-10-16 17:42  thjordan

	* ChangeLog: updated changelog

2005-10-16 13:17  thjordan

	* SConstruct, debian/DEBIAN/control: prepared for v0.1.0 release

2005-10-16 13:10  thjordan

	* files.txt: update

2005-10-16 13:08  thjordan

	* src/water.cpp: removed silly check that lead to failures in
	  trapezoid computation

2005-10-16 12:12  thjordan

	* src/: freeview_display.cpp, sea_object.cpp, torpedo.h,
	  user_interface.cpp, user_interface.h: new simulation of rolling /
	  ship's orientation for display

2005-10-15 23:36  thjordan

	* files.txt: update

2005-10-15 23:35  thjordan

	* data/: textures/tribal_bump.png, textures/tribal_color.jpg,
	  textures/tribal_color.png, textures/tribal_specular.jpg,
	  textures/tribal_specular.png, models/destroyer_tribal.xml:
	  compressed textures

2005-10-15 22:51  thjordan

	* files.txt: update

2005-10-15 22:27  thjordan

	* data/textures/: tribal.png, tribal_bump.png, tribal_color.png,
	  tribal_specular.png: added new tribal class destroyer

2005-10-15 22:23  thjordan

	* data/: models/destroyer_tribal.xml, models/destroyer_tribal.3ds,
	  ships/destroyer_tribal.xml: added new tribal class destroyer

2005-10-15 21:19  thjordan

	* src/: dftdmodel-spec.txt, sub_periscope_display.cpp,
	  sub_tdc_display.cpp, sub_tdc_display.h,
	  sub_torpsetup_display.cpp, submarine.cpp, submarine.h,
	  submarine_interface.cpp, submarine_interface.h, torpedo.cpp,
	  torpedo.h: torpedo settings are now stored per tube. LUT
	  simulation uses the angle now

2005-10-12 18:23  simsoueu

	* data/xcf/tribal_specular.png.bz2: Revision 1.1 of tribal
	  destroyer specular map.

2005-10-12 18:21  simsoueu

	* data/xcf/tribal_color_camouflages.tar.bz2: Tribal destroyer
	  retouched camouflage for royal navy, and another color map, for
	  canadian navy (north atlantic escorts).

2005-10-12 18:18  simsoueu

	* data/xcf/torpedo_tags_new.tar.bz2: Torpedo data xml files -
	  proposal for torpedo data tags for simulation use.

2005-10-12 04:04  simsoueu

	* data/xcf/new_tribal_destroyer.tar.bz2: New tribal destroyer, in
	  ddxml format, textures (diffuse, color, specular), and xml
	  description for ship class (smoke origin changed) - rev.1.0.

2005-10-10 22:27  thjordan

	* data/images/: torpsetup_daylight_tempscale.png,
	  torpsetup_daylight_torpspeed.png,
	  torpsetup_redlight_tempscale.png,
	  torpsetup_redlight_torpspeed.png: made graphics brighter

2005-10-09 17:24  thjordan

	* src/model.cpp: fixed bug reading floats from xml

2005-10-09 16:57  simsoueu

	* data/xcf/shots.tar.bz2: test.

2005-10-09 16:56  simsoueu

	* data/xcf/indtsettings_redlight_torpspeed_rev1.6.xcfbz2: Fixed
	  brightness for torpedo speed dial rev.1.6 - night time version.

2005-10-09 16:55  simsoueu

	* data/xcf/indtsettings_daylight_torpspeed_rev1.6.xcfbz2: Fixed
	  brightness from torpedo speed dial, rev.1.6. - daylight version.

2005-10-09 15:37  thjordan

	* src/: sub_torpsetup_display.cpp, sub_torpsetup_display.h,
	  submarine.cpp, submarine.h: preheating and torpspeed knobs are
	  switchable

2005-10-09 15:34  thjordan

	* data/xcf/forluis.tar.bz2: for luis

2005-10-09 10:49  thjordan

	* data/images/torpsetup_daylight_primaryrunlength.png,
	  data/images/torpsetup_daylight_turnangle.png,
	  data/images/torpsetup_redlight_primaryrunlength.png,
	  data/images/torpsetup_redlight_turnangle.png,
	  src/sub_torpsetup_display.cpp: new turning dials for torpedo
	  setup screen

2005-10-08 19:43  thjordan

	* data/models/small_tanker.3ds: reverted to revision 1.1

2005-10-08 18:39  simsoueu

	* data/xcf/moonoverlay_test.xcfbz2: moon overlay modes test,
	  reference for opengl blend mode (replace GL_SRC_ALPHA
	  GL_ONE_MINUS_SRC_ALPHA)

2005-10-08 18:34  simsoueu

	* data/xcf/indtsettings_fixeddials_red_rev1.5.xcfbz2: fixed dials
	  color range for individual torp settings - night time version,
	  revision 1.5

2005-10-08 18:31  simsoueu

	* data/xcf/indtsettings_dials_rev1.5.xcfbz2: fixed color range for
	  individual torp settings dials, rev.1.5 - daylight version

2005-10-08 17:13  thjordan

	* src/sub_torpsetup_display.cpp: loaded wrong file for preheat
	  button

2005-10-08 13:42  thjordan

	* data/textures/turnswitch.png, data/textures/turnswitchbackgr.png,
	  src/global_data.cpp, src/global_data.h,
	  src/sub_torpedo_display.cpp, src/sub_torpedo_display.h,
	  src/sub_torpsetup_display.cpp, src/sub_torpsetup_display.h,
	  files.txt: removed old torpedo setup, using now new setup screen
	  with new knobs etc.

2005-10-07 21:30  thjordan

	* files.txt: removed obsolete files

2005-10-07 21:27  thjordan

	* data/:
	  images/red_controlscreen_rev.0.99_b21_FuseLightsMasked.png,
	  textures/compass1.png, textures/ctwr7.jpg, textures/metal.png,
	  textures/mt_indicator.png, textures/sub7.png,
	  textures/uboatcm2.png, textures/ufinal2.png: removed obsolete
	  files

2005-10-07 21:01  thjordan

	* data/models/gear.3ds: removed obsolete files

2005-10-07 20:50  thjordan

	* data/models/: conning_tower_typeVIIc.3ds, submarine_VIIc.3ds:
	  removed obsolete files

2005-10-05 23:31  thjordan

	* data/: textures/cam1940b.jpg, textures/cam1940c.jpg,
	  textures/cam1940s.jpg, textures/medrei_b.jpg,
	  textures/medrei_f.jpg, textures/medrei_r.jpg,
	  ships/freighter_medium.xml, models/medium_freighter.xml: update
	  to current versions from xcf

2005-10-05 19:40  thjordan

	* src/: game.cpp, game.h, ptrset.h, ptrvector.h, sea_object.h,
	  ship.cpp: fixed segfault and memory management finally

2005-10-05 09:21  thjordan

	* src/: game.cpp, ptrvector.h, subsim.cpp: bugfixes in ptrvector
	  and handling, some segfaults still remain

2005-10-05 00:29  thjordan

	* src/: game.cpp, game.h, ptrvector.h: much better particle storage
	  data type, some other segfault bugs remain

2005-10-05 00:03  simsoueu

	* data/xcf/medium_freighter_rev2.tar.bz2: Rev2.0 medium freighter.
	  New textures, less bump, more controlled specularity, model scale
	  is now correct, smoke origin tweaked to match chimney, in xml
	  description file. Baked color texture now lighter.

2005-10-04 22:22  thjordan

	* src/: game.cpp, game.h, particle.h, ptrvector.h: bugfix with
	  memory management fix maximum number of particles

2005-10-03 21:00  thjordan

	* SConstruct: bugfix

2005-10-03 20:53  thjordan

	* SConstruct, data/shaders/modelrender_fp.shader,
	  data/shaders/modelrender_vp.shader, src/model.cpp: added
	  debugging comments, added efence support in scontruct

2005-10-03 17:59  thjordan

	* data/shaders/modelrender_fp.shader: new ambient computation

2005-10-03 17:14  thjordan

	* SConstruct, data/models/conning_tower_typeVIIc.xml,
	  data/models/uboat_VIIc.xml, data/textures/bridge_b.jpg,
	  src/convoy.cpp, src/sea_object.cpp, src/sea_object.h: new
	  graphics, minor fixes

2005-10-02 19:43  simsoueu

	* data/xcf/new_shader_models_textures.tar.bz2: new models, bridge
	  UV problem fixed, shader test, using diffuse instead of ambient
	  scaling in stage 3.1, new diffuse, specular, bump textures.

2005-10-02 17:38  thjordan

	* src/water.cpp: removed debug output

2005-10-02 17:37  thjordan

	* files.txt, makedeb, data/shaders/water_fp.shader,
	  data/shaders/water_vp.shader, src/game.cpp, src/water.cpp: fixed
	  water upwelling color in shader

2005-10-01 16:06  thjordan

	* data/models/conning_tower_typeVIIc.xml,
	  data/models/uboat_VIIc.xml, data/shaders/modelrender_fp.shader,
	  data/textures/bridge_b.jpg, data/textures/bridge_c.jpg,
	  data/textures/bridge_s.jpg, src/freeview_display.cpp,
	  src/global_data.cpp, src/model.h, src/texture.cpp: new bridge and
	  conning tower

2005-09-30 18:47  simsoueu

	* data/xcf/ddxml_bridge_and_uboat.tar.bz2: new bridge+uboat model
	  in ddxml format+textures+changed files (xml+global_data.cpp).

2005-09-26 21:06  thjordan

	* src/: water.cpp, water.h, water_sse.cpp, water_sse.h: simplified
	  calculation leading to more performance in C++ and SSE version,
	  optimized rounding in SSE version

2005-09-25 12:12  thjordan

	* src/: model.cpp, water.cpp: better, but slower normal
	  computation. doesnt decrease total fps though

2005-09-25 11:45  thjordan

	* src/: subsim.cpp, water.cpp, water.h, water_sse.cpp, water_sse.h:
	  made x86 sse switchable by config file, sse detected per cpuid

2005-09-25 11:09  thjordan

	* src/water.cpp: removed debug code

2005-09-25 10:49  thjordan

	* src/water_sse.cpp: removed debug code that causes segfaults

2005-09-25 10:46  thjordan

	* src/water_sse.cpp: made some rounding tests, but kept code

2005-09-24 19:49  thjordan

	* src/water_sse.cpp: added comment

2005-09-24 19:18  thjordan

	* src/: water.cpp, water_sse.cpp: sse code seems to work now

2005-09-24 13:34  thjordan

	* src/user_interface.cpp: accidentally committed test code, now
	  reverting that

2005-09-24 13:27  thjordan

	* src/: freeview_display.cpp, user_interface.cpp, water.cpp,
	  water_sse.cpp: sse code now nearly works

2005-09-23 21:17  thjordan

	* SConstruct, src/water_sse.h: now compileable with sse on x86

2005-09-22 12:05  thjordan

	* src/: water.cpp, water_sse.cpp: some bugfixes, but still bugs

2005-09-21 22:13  thjordan

	* src/: freeview_display.cpp, water.cpp, water.h, water_sse.cpp:
	  initial sse compute_coord version, not complete

2005-09-19 20:15  thjordan

	* src/: subsim.cpp, water.cpp, water.h: water height values
	  precomputed and stored (again), this time as packed integers,
	  saving 2/3 of memory. Most wave shape values are now
	  configureable.

2005-09-17 20:51  thjordan

	* SConstruct, data/textures/ctwr7.jpg, src/freeview_display.cpp,
	  src/texture.cpp, src/water.cpp: added experimental sse code
	  (disabled), fixed z-near for new conning tower, new conning tower
	  model, new texture loading code, that handles SDL's rgb-mask
	  values (disabled, because its slower and the old memcpy-code
	  works with jpg and png images)

2005-09-17 12:23  thjordan

	* data/: models/conning_tower_typeVIIc.3ds, textures/ct7c.png,
	  textures/ctwr7.jpg: new conning tower model

2005-09-16 09:37  simsoueu

	* data/xcf/bridge_test.tar.bz2: 1st test of new bridge model +
	  texture map.

2005-08-21 19:30  thjordan

	* src/: sub_torpsetup_display.cpp, water.cpp: display primary range
	  and turn angle

2005-08-21 17:55  thjordan

	* src/: sub_tdc_display.cpp, sub_torpsetup_display.cpp: can input
	  firstturn and secrange now

2005-08-21 17:31  thjordan

	* debian/DEBIAN/control, src/sub_control_popup.cpp,
	  src/sub_tdc_popup.cpp, src/sub_torpsetup_display.cpp,
	  src/sub_torpsetup_display.h, src/user_display.h: turnknobs turn
	  now

2005-08-21 15:15  thjordan

	* data/images/: popup_TDC_daylight.jpg, popup_TDC_daylight.png,
	  popup_TDC_redlight.jpg, popup_TDC_redlight.png,
	  popup_control_daylight.jpg, popup_control_daylight.png,
	  popup_control_redlight.jpg, popup_control_redlight.png:
	  functionality to combine jpg/png to RGBA graphics added, replaced
	  graphic data by matching data (saving 75-80% space).

2005-08-21 14:45  thjordan

	* src/sub_periscope_display.cpp: fix: load new grahics

2005-08-21 13:32  thjordan

	* data/textures/: terrain.jpg: made binary

2005-08-21 13:21  thjordan

	* ChangeLog, files.txt: update

2005-08-21 13:14  thjordan

	* data/images/: TDC_daylight_base.jpg, TDC_daylight_base.png,
	  TDC_redlight_base.jpg, TDC_redlight_base.png,
	  controlscreen_daylight.jpg, controlscreen_daylight.png,
	  controlscreen_redlight.jpg, periscope_daylight.jpg,
	  periscope_daylight.png, periscope_daylight_rev.1.1b_final.png,
	  periscope_redlight.jpg, periscope_redlight.png,
	  periscope_redlight_rev.1.1b_final.png,
	  red_controlscreen_rev.0.99_b21_base.png,
	  torpsetup_daylight_background.jpg,
	  torpsetup_daylight_background.png,
	  torpsetup_redlight_background.jpg,
	  torpsetup_redlight_background.png: functionality to combine
	  jpg/png to RGBA graphics added, replaced graphic data by matching
	  data (saving 75-80% space).

2005-08-21 13:03  thjordan

	* src/: error.h, image.cpp, mymain.cpp, parser.cpp,
	  sub_gauges_display.cpp, sub_periscope_display.cpp,
	  sub_tdc_display.cpp, sub_torpsetup_display.cpp, system.h,
	  texts.cpp, texture.cpp, texture.h: functionality to combine
	  jpg/png to RGBA graphics added, replaced graphic data by matching
	  data (saving 75-80% space).

2005-08-19 19:39  thjordan

	* files.txt: updated filelist

2005-08-15 21:55  thjordan

	* files.txt, data/images/torpsetup_daylight_tempscale.png,
	  data/images/torpsetup_redlight_tempscale.png,
	  src/sub_torpsetup_display.cpp: even more bits of torpedo setup
	  screen, graphics rotate now

2005-08-14 18:19  thjordan

	* src/: sub_tdc_display.cpp, sub_tdc_display.h,
	  sub_torpsetup_display.cpp, sub_torpsetup_display.h,
	  user_display.h: use new graphics for torpedo setup screen

2005-08-14 15:28  thjordan

	* data/images/: torpsetup_daylight_background.png,
	  torpsetup_daylight_primaryrangeknobs.png,
	  torpsetup_daylight_primaryrangeptr.png,
	  torpsetup_daylight_primaryrunlength.png,
	  torpsetup_daylight_rundepthknobs.png,
	  torpsetup_daylight_rundepthptr.png,
	  torpsetup_daylight_secondaryrangeptr.png,
	  torpsetup_daylight_tempscale.png,
	  torpsetup_daylight_torpspeed.png,
	  torpsetup_daylight_turnangle.png,
	  torpsetup_daylight_turnangleknobs.png,
	  torpsetup_redlight_background.png,
	  torpsetup_redlight_primaryrangeknobs.png,
	  torpsetup_redlight_primaryrangeptr.png,
	  torpsetup_redlight_primaryrunlength.png,
	  torpsetup_redlight_rundepthknobs.png,
	  torpsetup_redlight_rundepthptr.png,
	  torpsetup_redlight_secondaryrangeptr.png,
	  torpsetup_redlight_tempscale.png,
	  torpsetup_redlight_torpspeed.png,
	  torpsetup_redlight_turnangle.png,
	  torpsetup_redlight_turnangleknobs.png: integrated more graphics
	  for torpedo setup screen

2005-08-08 23:14  thjordan

	* data/images/: torpsetup_daylight_preheatoff.png,
	  torpsetup_daylight_preheaton.png,
	  torpsetup_daylight_secondaryrange_long.png,
	  torpsetup_daylight_secondaryrange_short.png,
	  torpsetup_daylight_turnleft.png,
	  torpsetup_daylight_turnright.png,
	  torpsetup_redlight_preheatoff.png,
	  torpsetup_redlight_preheaton.png,
	  torpsetup_redlight_secondaryrange_long.png,
	  torpsetup_redlight_secondaryrange_short.png,
	  torpsetup_redlight_turnleft.png,
	  torpsetup_redlight_turnright.png: even more bits of torpedo setup
	  screen

2005-08-02 23:49  thjordan

	* data/images/torpsetup_daylight_speedhigh.png,
	  data/images/torpsetup_daylight_speedmedium.png,
	  data/images/torpsetup_daylight_speedslow.png,
	  data/images/torpsetup_redlight_speedhigh.png,
	  data/images/torpsetup_redlight_speedmedium.png,
	  data/images/torpsetup_redlight_speedslow.png,
	  src/sub_torpsetup_display.cpp: more bits of torpedo setup screen

2005-08-02 22:26  thjordan

	* files.txt: update file list

2005-08-02 22:25  thjordan

	* data/images/torpsetup_daylight_background.png,
	  data/images/torpsetup_redlight_background.png,
	  data/texts/common.csv, src/SConscript, src/keys.cpp, src/keys.h,
	  src/sub_torpsetup_display.cpp, src/sub_torpsetup_display.h,
	  src/submarine_interface.cpp, src/submarine_interface.h,
	  src/subsim.cpp: first bits of torpedo setup screen

2005-07-26 01:13  simsoueu

	* data/xcf/indtsettings_redlight_rev.1.4.xcfbz2: Redlight version
	  of individual torpedo settings screen. Rev.1.4 (less saturated).

2005-07-25 13:58  simsoueu

	* data/xcf/indtsettings_daylight_rev.1.3.xcfbz2: Individual torpedo
	  settings screen, daylight, rev.1.3, Redlight will follow. See
	  layer notes in xcf.

2005-07-20 22:34  thjordan

	* src/water.cpp: added comment

2005-07-20 00:00  thjordan

	* data/shaders/water_fp.shader, data/textures/foam.png,
	  src/coastmap.cpp, src/perlinnoise.cpp, src/perlinnoise.h,
	  src/water.cpp: foam now runtime generated

2005-07-15 08:06  thjordan

	* data/: models/submarine_VIIc.3ds, textures/uboatcm2.png: new viic
	  model

2005-07-15 08:01  thjordan

	* src/coastmap.cpp: gcc4.0.1 begin of debugging

2005-07-14 23:05  thjordan

	* data/textures/foam.png, src/coastmap.cpp, src/game.cpp,
	  src/game.h, src/keys.cpp: new foam tex, problems when compiling
	  with gcc4.0.1

2005-07-13 23:12  thjordan

	* data/shaders/water_fp.shader, data/shaders/water_vp.shader,
	  data/textures/foam.png, src/freeview_display.cpp,
	  src/freeview_display.h, src/game.cpp, src/game.h, src/matrix4.h,
	  src/particle.cpp, src/ship.cpp, src/ship.h, src/sky.cpp,
	  src/system.cpp, src/user_interface.cpp, src/water.cpp,
	  src/water.h: more work on foam, some effects work now

2005-07-08 18:53  thjordan

	* files.txt, data/textures/foamamounttrail.png, src/game.cpp,
	  src/map_display.cpp, src/ship.cpp, src/ship.h, src/water.cpp,
	  src/water.h: small foam code changes

2005-07-03 10:42  thjordan

	* src/: bspline.h, water.cpp: some newer foam code parts

2005-07-02 19:21  thjordan

	* data/textures/foamamounttrail.png, src/water.cpp: better
	  amount-of-foam texture

2005-07-01 20:20  thjordan

	* data/textures/foamamounttrail.png, src/freeview_display.cpp,
	  src/texture.cpp, src/texture.h, src/water.cpp, src/water.h: first
	  bits of foam

2005-07-01 01:12  thjordan

	* ChangeLog, src/map_display.cpp, src/ship.h, src/water.cpp: more
	  on foam, new changelog created by cvs2cl

2005-07-01 00:42  thjordan

	* data/shaders/water_fp.shader, data/shaders/water_vp.shader,
	  src/ai.cpp, src/freeview_display.cpp, src/freeview_display.h,
	  src/game.cpp, src/game.h, src/map_display.cpp, src/particle.cpp,
	  src/particle.h, src/sea_object.cpp, src/sea_object.h,
	  src/ship.cpp, src/ship.h, src/water.cpp, src/water.h:
	  preparations for foam drawing, replaced list<> by vector<> for
	  sea_objects stored in class game and for sets of visible/detected
	  objects generated from class game

2005-06-30 18:29  simsoueu

	* data/xcf/uboat_type7_northsea_u161.png: North Sea camouflage
	  scheme, U161 emblem

2005-06-30 14:53  simsoueu

	* data/xcf/uboat_type7_northatlantic_1940_u552.png: North atlantic
	  1940 camouflage, U552 emblem

2005-06-29 00:01  simsoueu

	* data/xcf/typeVII_north_atlantic_1941.tar.bz2: typeVII
	  camouflage2, UVs fixed, texture cleaned

2005-06-28 19:34  simsoueu

	* data/xcf/highres_torpedos.tar.bz2: Highres masked torpedos, for
	  overlays in notebook, data, etc...

2005-06-26 16:10  thjordan

	* data/convoys/lm.xml: added simple convoy route editor

2005-06-26 14:49  thjordan

	* data/convoys/hx.xml, data/convoys/og.xml, data/convoys/sc.xml,
	  src/map_display.cpp: added simple convoy route editor

2005-06-26 14:34  thjordan

	* SConstruct, src/map_display.cpp, src/map_display.h: added simple
	  convoy route editor

2005-06-26 12:44  thjordan

	* data/maps/default.xml, src/coastmap.cpp, src/coastmap.h,
	  src/global_data.cpp, src/global_data.h, src/map_display.cpp,
	  src/sea_object.cpp, src/subsim.cpp: added more cities

2005-06-25 10:58  thjordan

	* src/water.cpp: water is darker in the distance now

2005-06-25 09:53  thjordan

	* data/images/torpmanage_daylight_submodelVIIc.png,
	  data/images/torpmanage_redlight_submodelVIIc.png,
	  data/images/torpmanage_submodelVIIc.png,
	  src/sub_torpedo_display.cpp, src/sub_torpedo_display.h,
	  src/water.cpp: water distant color fix, submodel for torp
	  management screen merged (same model for day and night mode)

2005-06-21 23:07  thjordan

	* ChangeLog, data/texts/common.csv, data/texts/languages.csv,
	  data/textures/torpempty.png, data/textures/torpreload.png,
	  data/textures/torpt1.png, data/textures/torpt11.png,
	  data/textures/torpt1fat.png, data/textures/torpt2.png,
	  data/textures/torpt3.png, data/textures/torpt3a.png,
	  data/textures/torpt3fat.png, data/textures/torpt4.png,
	  data/textures/torpt5.png, data/textures/torpt6lut.png,
	  data/textures/torpunload.png, src/global_data.cpp,
	  src/global_data.h, src/sub_tdc_display.cpp,
	  src/sub_tdc_display.h, src/sub_torpedo_display.cpp,
	  src/sub_torpedo_display.h, src/submarine.h: new torpedo
	  management graphics

2005-06-21 21:12  thjordan

	* data/images/: torpmanage_daylight_background.jpg,
	  torpmanage_daylight_submodelVIIc.png, torpmanage_emptytube.png,
	  torpmanage_redlight_background.jpg,
	  torpmanage_redlight_submodelVIIc.png, torpmanage_torp1.png,
	  torpmanage_torp1fat1.png, torpmanage_torp1lut1.png,
	  torpmanage_torp1lut2.png, torpmanage_torp1practice.png,
	  torpmanage_torp2.png, torpmanage_torp3.png,
	  torpmanage_torp3afat2.png, torpmanage_torp3alut1.png,
	  torpmanage_torp3alut2.png, torpmanage_torp3fat2.png,
	  torpmanage_torp4.png, torpmanage_torp5.png,
	  torpmanage_torp5b.png, torpmanage_torp6lut1.png,
	  torpmanage_tubeload.png, torpmanage_tubeunload.png: added new
	  torpedo management graphics

2005-06-20 09:22  thjordan

	* data/fonts/: font_olympiaworn.metric, font_olympiaworn.png: added
	  worn olympia font

2005-06-19 17:00  thjordan

	* data/texts/: common.csv, texts.csv: splitted texts

2005-06-18 00:19  simsoueu

	* data/xcf/9FUKOLYM.ttf: Temporary font, for notebook use in
	  tmanage_screen, until i create a dangerdeep exclusive font -
	  damaged typewriter style.

2005-06-18 00:18  simsoueu

	* data/xcf/Tmanage_README: important

2005-06-18 00:15  simsoueu

	* data/xcf/tmanage_daylight_rev.1.6c.xcf.bz2: Torpedo management
	  screen (daylight) - check Tmanage_README for _important_ notes -
	  rev.1.6c

2005-06-18 00:13  simsoueu

	* data/xcf/tmanage_redlight_rev.1.6c.xcf.bz2: Torpedo management
	  screen - check Tmanage_README for _important_ notes - rev.1.6c

2005-06-16 23:17  thjordan

	* ChangeLog, src/date.cpp, src/parser.cpp, src/subsim.cpp,
	  src/texts.cpp, src/texts.h: new text storage format

2005-06-16 23:15  thjordan

	* data/texts/: languages.csv, english.text, german.text,
	  italian.text: new text with categories

2005-06-12 23:33  thjordan

	* src/water.cpp: accidentally left debug switch on

2005-06-12 19:10  thjordan

	* data/texts/: german.text, texts.csv: replaced string in german
	  texts

2005-06-12 19:07  thjordan

	* data/texts/texts.csv: added date

2005-06-12 18:47  thjordan

	* data/texts/texts.csv: collected all texts in one file

2005-06-12 18:22  thjordan

	* src/submarine.h: regrouped methods in declaration

2005-06-12 14:48  thjordan

	* data/shaders/water_fp.shader, src/water.cpp: water tremor bugfix

2005-06-12 11:48  thjordan

	* ChangeLog, src/font.cpp, src/subsim.cpp, src/water.cpp: water
	  bugfixes, consider displacement when drawing waves, more detail
	  in the near by projector pos computation changes

2005-06-11 21:09  thjordan

	* SConstruct, src/coastmap.cpp, src/crosssection.cpp,
	  src/damagemodel.cpp, src/font.cpp, src/font.h, src/image.cpp,
	  src/image.h, src/logbook_display.cpp, src/map_display.cpp,
	  src/ocean_wave_generator.h, src/ships_sunk_display.cpp,
	  src/sub_control_popup.cpp, src/sub_control_popup.h,
	  src/sub_damage_display.cpp, src/sub_damage_display.h,
	  src/sub_gauges_display.cpp, src/sub_gauges_display.h,
	  src/sub_periscope_display.cpp, src/sub_periscope_display.h,
	  src/sub_tdc_display.cpp, src/sub_tdc_display.h,
	  src/sub_tdc_popup.cpp, src/sub_tdc_popup.h,
	  src/sub_torpedo_display.cpp, src/system.cpp, src/system.h,
	  src/texture.cpp, src/viewmodel.cpp: font display bugfix, include
	  dependencies decreased

2005-06-11 12:23  thjordan

	* src/: water.cpp, water.h: show more info, removed obsolete code

2005-06-11 11:55  thjordan

	* src/: global_data.h, ocean_wave_generator.h, subsim.cpp,
	  water.cpp, water.h: optimizations, more values configureable

2005-06-10 18:46  thjordan

	* src/model.cpp: bugfix, accidentally use shader commands when no
	  shaders are available

2005-06-09 23:57  thjordan

	* ChangeLog, src/image.cpp, src/perlinnoise.cpp, src/perlinnoise.h,
	  src/texture.cpp, src/water.cpp, src/water.h: wave computation at
	  runtime

2005-06-09 21:45  thjordan

	* data/shaders/water_fp.shader, src/fixed.h, src/particle.cpp,
	  src/perlinnoise.cpp, src/perlinnoise.h, src/water.cpp,
	  src/water.h: dramatically speed up perlin noise with fixed point
	  arithmetic

2005-06-08 20:58  thjordan

	* data/shaders/water_fp.shader, data/shaders/water_vp.shader,
	  src/perlinnoise.cpp, src/perlinnoise.h, src/water.cpp: better
	  noise map generation, water now uses perlin noise normals, but
	  they should rather be used for height computation than shaders,
	  this gives more detail without any cost also for non-shader
	  rendering and avoids precision caused visual bugs with
	  shader-based rendering.

2005-06-07 21:22  thjordan

	* data/shaders/water_fp.shader, data/shaders/water_vp.shader,
	  src/viewmodel.cpp, src/water.cpp: added comment, some tests

2005-06-05 20:21  thjordan

	* src/: water.cpp, water.h: removed wavetilenormals saving memory
	  and init time

2005-06-05 18:25  thjordan

	* src/: sea_object.cpp, water.cpp: bugfix, comment

2005-06-05 16:46  thjordan

	* src/water.cpp: bugfix

2005-06-05 15:36  thjordan

	* data/shaders/water_fp.shader, data/shaders/water_vp.shader,
	  src/water.cpp: use perlin noise for water bump maps

2005-06-05 12:33  thjordan

	* data/shaders/water_fp.shader, data/shaders/water_vp.shader,
	  src/water.cpp: now shader water works with acceptable quality,
	  but still not good. some bugs found, but not fully fixed

2005-06-05 01:55  thjordan

	* src/water.cpp: bugfix, avoid segfault

2005-06-03 20:01  thjordan

	* data/shaders/water_fp.shader, src/water.cpp: changes caused by
	  some experiments

2005-06-02 01:00  thjordan

	* src/water.cpp: better usage of area - beware max debug output

2005-05-30 00:27  thjordan

	* data/shaders/water_fp.shader: closed water shader aspect for now,
	  fix

2005-05-30 00:25  thjordan

	* data/shaders/water_fp.shader, src/water.cpp, src/water.h: closed
	  water shader aspect for now

2005-05-29 19:00  thjordan

	* ChangeLog, files.txt, data/shaders/modelrender_fp.shader,
	  data/shaders/modelrender_vp.shader, data/shaders/water_fp.shader,
	  data/shaders/water_vp.shader, src/model.cpp, src/model.h,
	  src/subsim.cpp, src/texture.cpp, src/viewmodel.cpp,
	  src/water.cpp, src/water.h: water shaders work basically,
	  bugfixes

2005-05-26 20:30  thjordan

	* data/shaders/modelrender_fp.shader,
	  data/shaders/modelrender_vp.shader, data/shaders/water_fp.shader,
	  data/shaders/water_vp.shader, src/water.cpp, src/water.h: water
	  shaders mostly finished, but c++ code must get adapted

2005-05-26 10:54  thjordan

	* SConstruct, files.txt, makedeb: fixed deb building and scons
	  install, allowed command line version definition

2005-05-25 21:39  thjordan

	* data/shaders/: water_fp.shader, water_vp.shader: began work on
	  water shaders, part 3

2005-05-25 21:24  thjordan

	* data/shaders/: modelrender_vp.shader, water_fp.shader,
	  water_vp.shader: began work on water shaders, part 2

2005-05-25 20:32  thjordan

	* data/shaders/water_vp.shader, src/water.cpp: began work on water
	  shaders

2005-05-25 20:04  thjordan

	* data/shaders/water_fp.shader, src/model.cpp, src/model.h,
	  src/water.cpp: fixed model read and write for ddxml 1.1 format

2005-05-25 19:05  thjordan

	* data/shaders/modelrender_fp.shader, data/shaders/water_fp.shader,
	  data/shaders/water_vp.shader, src/dftdmodel-spec.txt: some water
	  shader works

2005-05-24 21:04  thjordan

	* data/models/medium_freighter.xml, src/model.cpp, src/model.h,
	  src/texture.cpp, src/texture.h: shaders with preprocessor
	  conditions work, several shaders possible from one source now,
	  model uses that

2005-05-24 08:22  thjordan

	* data/shaders/modelrender_fp.shader, src/model.cpp,
	  src/texture.cpp, src/texture.h: added ifdef/else/endif commands
	  for shader parsing

2005-05-23 22:17  thjordan

	* data/shaders/modelrender_fp.shader, src/make_mesh.cpp,
	  src/model.cpp, src/model.h, src/subsim.cpp, src/texture.cpp,
	  src/viewmodel.cpp: fix for non-shader models

2005-05-23 00:11  thjordan

	* src/: model.cpp, viewmodel.cpp: fixes

2005-05-22 23:26  thjordan

	* data/models/medium_freighter.3ds: replaced 3ds with xml file

2005-05-22 19:51  thjordan

	* data/models/medium_freighter.xml,
	  data/shaders/modelrender_fp.shader, src/model.cpp, src/model.h:
	  more work on material properties

2005-05-22 17:06  thjordan

	* SConstruct, data/ships/freighter_medium.xml, src/model.cpp: fix

2005-05-22 16:50  thjordan

	* data/shaders/modelrender_fp.shader, src/model.cpp, src/model.h,
	  src/texture.cpp, src/texture.h: more work on specular lighting

2005-05-22 16:36  thjordan

	* data/shaders/modelrender_fp.shader: dos2unix for shaders

2005-05-22 15:15  thjordan

	* data/models/medium_freighter.3ds,
	  data/models/medium_freighter.xml,
	  data/shaders/modelrender_fp.shader,
	  data/shaders/modelrender_vp.shader, data/textures/medrei_b.jpg,
	  data/textures/medrei_f.jpg, data/textures/medrei_f.png,
	  data/textures/medrei_r.jpg, src/matrix4.h, src/model.cpp,
	  src/model.h, src/texture.cpp, src/texture.h, src/viewmodel.cpp,
	  files.txt: now jpg reading for normals works

2005-05-21 13:59  thjordan

	* ChangeLog, files.txt, data/shaders/modelrender_fp.shader,
	  data/shaders/modelrender_vp.shader, src/make_mesh.cpp,
	  src/make_mesh.h, src/model.cpp, src/model.h, src/viewmodel.cpp:
	  fixed per-pixel specular lighting

2005-05-20 19:29  thjordan

	* src/: make_mesh.cpp, make_mesh.h, model.cpp, model.h,
	  viewmodel.cpp: meshes are now stored via pointers in model class

2005-05-20 00:23  thjordan

	* SConstruct, files.txt, makefilelist.py, src/viewmodel.cpp:
	  reverted install functionality to makefilelist.py and files.txt
	  because it works also when no CVS directories are present

2005-05-18 23:46  thjordan

	* ChangeLog, data/shaders/modelrender_fp.shader,
	  data/shaders/modelrender_vp.shader, src/SConscript,
	  src/make_mesh.cpp, src/make_mesh.h, src/model.cpp,
	  src/viewmodel.cpp: shader improvements, better viewmodel

2005-05-17 22:45  thjordan

	* SConstruct: more useful scons options

2005-05-17 21:48  thjordan

	* SConstruct, files.txt, makefilelist.py,
	  data/shaders/modelrender_fp.shader, src/cfg.cpp: run file list
	  generation on the fly

2005-05-16 21:39  thjordan

	* data/shaders/modelrender_vp.shader: added shader

2005-05-16 11:39  thjordan

	* ChangeLog: update

2005-05-15 21:48  thjordan

	* src/: model.cpp, model.h: removed test crap

2005-05-15 21:37  thjordan

	* src/: water.cpp, water.h: adapted to new config

2005-05-15 21:27  thjordan

	* data/textures/ufinal2.png, src/model.cpp, src/model.h: small
	  bugfix that caused 3ds models to disappear

2005-05-15 20:59  thjordan

	* data/shaders/modelrender_fp.shader, src/model.cpp: more bugs
	  fixed. shader work basically now

2005-05-15 19:20  thjordan

	* data/models/submarine_VIIc.3ds,
	  data/shaders/modelrender_fp.shader, src/font.cpp,
	  src/global_data.cpp, src/image.cpp, src/model.cpp, src/model.h,
	  src/particle.cpp, src/sky.cpp, src/sub_bridge_display.cpp,
	  src/sub_gauges_display.cpp, src/sub_periscope_display.cpp,
	  src/subsim.cpp, src/system.cpp, src/texture.cpp, src/texture.h,
	  src/viewmodel.cpp, src/water.cpp: big texturing bugfix, shaders
	  still broken, but nearly ok

2005-05-14 18:56  thjordan

	* SConstruct: improved linking

2005-05-14 17:49  thjordan

	* SConstruct, src/SConscript, src/water.cpp: new check in scons
	  makefile so that DftD will hopefully build on older ATI card
	  systems

2005-05-13 23:54  simsoueu

	* data/xcf/typeVIIc.tar.bz2: New type VIIc model+textures, check
	  included readme

2005-05-13 19:25  thjordan

	* data/shaders/modelrender_fp.shader, src/viewmodel.cpp: small
	  changes

2005-05-13 18:58  thjordan

	* data/shaders/modelrender_fp.shader, src/model.cpp, src/model.h,
	  src/subsim.cpp, src/texture.cpp, src/viewmodel.cpp: a bit work on
	  shaders

2005-05-08 12:44  thjordan

	* src/coastmap.cpp, src/coastmap.h, ChangeLog: now ALL
	  map/coastline creation bugs are fixed

2005-05-08 00:33  thjordan

	* src/coastmap.cpp: another try to fix the last bug, part2

2005-05-08 00:23  thjordan

	* src/coastmap.cpp: another try to fix the last bug

2005-05-07 15:15  thjordan

	* src/coastmap.cpp: some height variations (quick hack)

2005-05-07 15:07  thjordan

	* ChangeLog, src/coastmap.cpp, src/coastmap.h, src/global_data.cpp,
	  src/vector2.h: re-enabled 3d coastline rendering

2005-05-07 15:05  thjordan

	* data/textures/: terrain.jpg, terrain.png, terrain2.jpg: new
	  terrain texture

2005-05-07 13:44  thjordan

	* src/coastmap.cpp: nearly fixed ALL coastmap bugs. Last bug is
	  known, fix written, but not fully working. Only one island of the
	  whole map is broken now.

2005-05-07 12:24  thjordan

	* src/: coastmap.cpp, triangulate.cpp, triangulate.h: more bugfixes

2005-05-07 12:22  thjordan

	* data/maps/: default.png, default.xml: Created street of Messina

2005-05-06 17:46  thjordan

	* src/: coastmap.cpp, coastmap.h, global_data.cpp: 3d terrain
	  rendering is there again, some more fixes

2005-05-06 17:08  thjordan

	* src/: coastmap.cpp, coastmap.h, user_interface.cpp: 3d terrain
	  rendering is there again

2005-05-06 13:32  thjordan

	* data/maps/: default.png, default.xml: removed island in lake

2005-05-06 11:15  thjordan

	* ChangeLog: coastmap fixes

2005-05-06 11:13  thjordan

	* src/: bspline.h, coastmap.cpp, coastmap.h, triangulate.cpp,
	  user_interface.cpp: nearly fixed coastmap generation

2005-05-04 19:41  thjordan

	* src/: bspline.h, coastmap.cpp, coastmap.h: some changes, untested

2005-05-01 23:06  thjordan

	* src/: coastmap.cpp, coastmap.h: more bugfixes, getting closer

2005-05-01 21:35  thjordan

	* src/: coastmap.cpp, coastmap.h: some more map hacks and changes

2005-04-24 19:37  thjordan

	* src/coastmap.cpp: and even more tests. getting a bit closer to a
	  working result

2005-04-24 18:03  thjordan

	* src/coastmap.cpp: more test hacks

2005-04-24 17:48  thjordan

	* src/: coastmap.cpp, coastmap.h: more coastmap hacks. will be
	  fixed hopefully soon

2005-04-24 13:39  thjordan

	* ChangeLog, src/coastmap.cpp, src/coastmap.h, src/system.cpp,
	  src/system.h: some coast test hacks

2005-04-21 23:04  thjordan

	* src/: bspline.h, coastmap.cpp, coastmap.h, game.h,
	  sub_gauges_display.cpp, sub_gauges_display.h, triangulate.cpp,
	  triangulate.h: small changes

2005-04-18 08:45  thjordan

	* ChangeLog, src/ai.cpp, src/airplane.cpp, src/airplane.h,
	  src/convoy.cpp, src/convoy.h, src/depth_charge.cpp,
	  src/depth_charge.h, src/game.cpp, src/gun_shell.cpp,
	  src/gun_shell.h, src/sea_object.cpp, src/sea_object.h,
	  src/ship.cpp, src/ship.h, src/sub_gauges_display.cpp,
	  src/submarine.cpp, src/submarine.h, src/submarine_interface.cpp,
	  src/torpedo.cpp, src/torpedo.h: sea_object has ref to game now

2005-04-17 23:34  thjordan

	* data/shaders/modelrender_fp.shader, src/model.cpp, src/model.h,
	  src/sea_object.h, src/sub_gauges_display.cpp, src/submarine.cpp,
	  src/submarine.h, src/submarine_interface.cpp,
	  src/user_interface.cpp, src/viewmodel.cpp: some changes about
	  object coupling

2005-04-17 18:48  thjordan

	* src/model.cpp, src/model.h, src/water.cpp,
	  data/shaders/modelrender_fp.shader: some shader tests with new
	  model shader

2005-04-17 11:51  thjordan

	* data/shaders/: modelrender_fp.shader, water_fp.shader: added
	  model render pixel shader

2005-04-14 21:59  thjordan

	* src/: dftdmodel-spec.txt, model.cpp, user_interface.cpp,
	  viewmodel.cpp: new spec file

2005-04-13 21:41  thjordan

	* ChangeLog, src/color.h, src/model.cpp: fixed bump mapping and now
	  use dynamic ambient light

2005-04-11 23:03  thjordan

	* src/: model.cpp, model.h: checked in some experimental bump
	  mapping code

2005-04-10 23:26  thjordan

	* src/: gun_shell.h, ship.cpp, ship.h, sound.cpp: compile fixes

2005-04-10 19:52  thjordan

	* ChangeLog: update

2005-04-10 19:49  thjordan

	* src/: freeview_display.cpp, game.cpp, matrix4.h, model.cpp,
	  particle.cpp, vector4.h, water.cpp: introduced 4d homogenous
	  vector and operations

2005-04-10 18:31  thjordan

	* src/: font.cpp, model.cpp, model.h, particle.cpp, sky.cpp,
	  texture.cpp, texture.h, viewmodel.cpp, water.cpp, water.h: many
	  changes and fixes for bump mapping

2005-04-10 17:29  andyrice

	* ChangeLog, data/sounds/screws_fast.ogg,
	  data/sounds/screws_normal.ogg, data/sounds/screws_slow.ogg,
	  data/sounds/screws_veryfast.ogg, src/game.cpp, src/game.h,
	  src/global_data.cpp, src/global_data.h, src/gun_shell.cpp,
	  src/gun_shell.h, src/ship.cpp, src/ship.h, src/sound.cpp,
	  src/sound.h, src/submarine.cpp, src/submarine.h,
	  src/submarine_interface.cpp, src/user_interface.cpp,
	  src/user_interface.h: Added direcitonal/stereo sound and sub
	  engine sound effects

2005-04-10 14:25  thjordan

	* src/: model.cpp, model.h, viewmodel.cpp: reading and writing of
	  dftd model file format works

2005-04-10 12:27  thjordan

	* src/: global_data.cpp, global_data.h, model.cpp, model.h,
	  viewmodel.cpp: bugfixes, mesh reading already works

2005-04-10 11:29  thjordan

	* src/: model.cpp, model.h, viewmodel.cpp: new model file format
	  can be written

2005-04-10 10:11  thjordan

	* src/dftdmodel-spec.txt: added model spec file, small change

2005-04-10 10:09  thjordan

	* src/dftdmodel-spec.txt: added model spec file

2005-04-06 21:43  simsoueu

	* data/xcf/bump_and_specular_maps4med_freighter.tar.bz2: Bump and
	  specular maps for medium freighter (grayscale)

2005-04-03 18:04  thjordan

	* files.txt, src/image.cpp, src/image.h, src/user_interface.cpp,
	  ChangeLog: improved image cache. now popup display is much faster

2005-04-03 13:25  thjordan

	* src/: submarine_interface.cpp, user_interface.cpp,
	  user_interface.h: popup background work

2005-04-03 12:23  thjordan

	* data/images/popup_control_daylight.png,
	  data/images/popup_control_redlight.png, src/SConscript,
	  src/sub_control_popup.cpp, src/sub_control_popup.h,
	  src/sub_periscope_display.cpp, src/sub_periscope_display.h,
	  src/sub_tdc_popup.cpp, src/sub_tdc_popup.h,
	  src/submarine_interface.cpp, src/submarine_interface.h,
	  src/user_display.h, src/user_interface.cpp, src/user_interface.h,
	  src/user_popup.h: more on popups

2005-04-03 11:38  thjordan

	* data/texts/english.text, data/texts/german.text,
	  data/texts/italian.text, src/keys.cpp, src/keys.h,
	  src/subsim.cpp, src/user_display.h, src/user_interface.h,
	  src/user_popup.h: added first bits of popup code

2005-04-03 10:34  thjordan

	* files.txt: update

2005-04-03 10:31  thjordan

	* data/images/popup_TDC_daylight.png,
	  data/images/popup_TDC_redlight.png,
	  data/models/medium_freighter.3ds, data/textures/medrei_f.png,
	  src/image.cpp, src/submarine_interface.h, src/user_interface.h:
	  added popup gfx, new freighter model, added some comments

2005-04-03 04:25  simsoueu

	* data/xcf/TDC_popup_redlight_rev.1.2a.xcf: Night time version of
	  TDC popup

2005-04-02 21:58  simsoueu

	* data/xcf/TDC_popup_daylight_rev.1.4b.xcf: TDC popup, daylight
	  version

2005-04-02 21:55  simsoueu

	* data/xcf/new_medium_freighter.tar.bz2: New medium freighter
	  model, in 3ds, and obj, with texture maps

2005-04-02 19:19  thjordan

	* SConstruct, src/color.h, src/game.cpp, src/image.h,
	  src/logbook_display.cpp, src/matrix4.h, src/quaternion.h,
	  src/submarine_interface.cpp, src/subsim.cpp, src/texture.h,
	  src/vector2.h, src/vector3.h, src/oglext/CHANGELOG: include
	  oglext.h before gl.h in any case

2005-04-02 14:08  thjordan

	* SConstruct, files.txt, src/ocean_wave_generator.h: automatically
	  choose float or double for fftw

2005-03-30 23:52  thjordan

	* src/: sub_tdc_display.cpp, sub_tdc_display.h: use new TDC
	  graphics, day and night

2005-03-30 23:45  thjordan

	* data/images/: TDC_daylight_base.png, TDC_daylight_gyro10.png,
	  TDC_daylight_gyro360.png, TDC_daylight_gyroa.png,
	  TDC_daylight_gyrov.png, TDC_daylight_switchtube1.png,
	  TDC_daylight_switchtube2.png, TDC_daylight_switchtube3.png,
	  TDC_daylight_switchtube4.png, TDC_daylight_switchtube5.png,
	  TDC_daylight_switchtube6.png, TDC_redlight_autoswitchoff.png,
	  TDC_redlight_autoswitchon.png, TDC_redlight_base.png,
	  TDC_redlight_clockbigptr.png, TDC_redlight_clocksmlptr.png,
	  TDC_redlight_firebutton.png,
	  TDC_redlight_firesolutionquality.png, TDC_redlight_gyro10.png,
	  TDC_redlight_gyro360.png, TDC_redlight_spreadangle.png,
	  TDC_redlight_switchtube1.png, TDC_redlight_switchtube2.png,
	  TDC_redlight_switchtube3.png, TDC_redlight_switchtube4.png,
	  TDC_redlight_switchtube5.png, TDC_redlight_switchtube6.png,
	  TDC_redlight_targetcourse.png, TDC_redlight_targetposition.png,
	  TDC_redlight_targetrange.png, TDC_redlight_targetspeed.png,
	  TDC_redlight_torpspeed.png, TDC_redlight_tube1.png,
	  TDC_redlight_tube2.png, TDC_redlight_tube3.png,
	  TDC_redlight_tube4.png, TDC_redlight_tube5.png,
	  TDC_redlight_tube6.png: added redlight TDC data and new gyros for
	  daylight

2005-03-28 19:46  thjordan

	* src/sky.cpp: added comment

2005-03-28 19:37  thjordan

	* src/: sky.cpp, sky.h: small changes

2005-03-28 19:17  thjordan

	* SConstruct: Small correction

2005-03-28 11:07  thjordan

	* src/: global_data.h, sky.cpp: added some comments

2005-03-28 06:06  simsoueu

	* data/xcf/TDC_redlight_rev.1.4a_maskedcomps.xcf: Torpedo tube
	  numbers fixed (tube2/3), and alternative (prefered) new gyroscope
	  dials and pointers (already aligned andn with alignement grid)

2005-03-28 05:59  simsoueu

	* data/xcf/TDC_daylight_rev.1.4b_maskedcomps.xcf: Torpedo tube
	  numbers fixed (tube2/3), and alternative (prefered) new gyroscope
	  dials and pointers (already aligned and with grid)

2005-03-27 19:01  thjordan

	* ChangeLog, files.txt, data/textures/clock12.png,
	  data/textures/clock24.png, data/textures/gauge1.png,
	  data/textures/gauge2.png, data/textures/gauge3.png,
	  data/textures/gauge4.png, data/textures/gauge5.png,
	  src/global_data.cpp, src/global_data.h: update

2005-03-27 18:48  thjordan

	* data/textures/periscope.png, src/global_data.cpp,
	  src/global_data.h: removed obsolete graphics

2005-03-27 18:45  thjordan

	* src/image.cpp: forgot log output of images

2005-03-27 18:42  thjordan

	* src/water.cpp: disabled water bump map experiment code

2005-03-27 18:38  thjordan

	* files.txt, src/image.cpp, src/image.h, src/model.h,
	  src/sub_gauges_display.cpp, src/sub_gauges_display.h,
	  src/sub_periscope_display.cpp, src/sub_periscope_display.h,
	  src/sub_tdc_display.cpp, src/sub_tdc_display.h, src/texture.h,
	  src/user_display.h, src/user_interface.cpp, src/water.cpp: better
	  pointer handling and fix of BIG memory leak

2005-03-27 15:17  thjordan

	* src/: subsim.cpp, texture.cpp, texture.h: more memory checks

2005-03-27 13:55  thjordan

	* src/: global_data.cpp, image.cpp, image.h,
	  sub_gauges_display.cpp, sub_periscope_display.cpp,
	  sub_tdc_display.cpp, sub_tdc_display.h, sub_torpedo_display.cpp,
	  texture.cpp: introduced image drawing cache, reducing video
	  memory usage by roughly 20mb while keeping drawing speed

2005-03-27 12:15  thjordan

	* SConstruct, files.txt, data/models/small_tanker.3ds,
	  data/textures/bumpmapx.png, src/ocean_wave_generator.h,
	  src/texture.cpp, src/texture.h: use float for fftw, added mem
	  usage measurement for gfx memory, use prefix filename for tar
	  archive

2005-03-25 18:04  thjordan

	* src/: texture.cpp, texture.h, water.cpp: texture class can handle
	  normal maps automatically now

2005-03-25 12:44  thjordan

	* src/: image.cpp, image.h, particle.cpp, ship.cpp,
	  sub_periscope_display.cpp, texture.cpp, texture.h, water.cpp:
	  updated texture class

2005-03-24 23:57  thjordan

	* src/texture.cpp: fixed texture drawing functions

2005-03-24 23:36  thjordan

	* data/shaders/water_fp.shader, src/image.cpp,
	  src/sub_tdc_display.cpp, src/submarine_interface.cpp,
	  src/submarine_interface.h, src/texture.cpp, src/texture.h,
	  src/water.cpp: store real texture width and height separately to
	  opengl width and height, more tdc screen input

2005-03-24 18:51  thjordan

	* data/shaders/water_fp.shader, src/water.cpp: some more noise and
	  shader experiments

2005-03-22 20:07  thjordan

	* data/shaders/water_fp.shader: improved noise generator, some more
	  shader tests

2005-03-22 20:03  thjordan

	* src/: game.h, perlinnoise.cpp, perlinnoise.h, water.cpp, water.h:
	  improved noise generator, some more shader tests

2005-03-20 18:30  thjordan

	* src/: perlinnoise.cpp, subsim.cpp, water.cpp: some small shader
	  experiments. removed gear display in credits, because its texture
	  is missing in cvs and it looks bad anyway

2005-03-20 12:30  thjordan

	* src/sub_tdc_display.cpp: included tdc daylight graphics in code

2005-03-20 12:27  thjordan

	* files.txt, src/sub_tdc_display.cpp, src/sub_tdc_display.h:
	  included tdc daylight graphics in code

2005-03-20 11:09  thjordan

	* data/images/: TDC_daylight_autoswitchoff.png,
	  TDC_daylight_autoswitchon.png, TDC_daylight_base.png,
	  TDC_daylight_clockbigptr.png, TDC_daylight_clocksmlptr.png,
	  TDC_daylight_firebutton.png,
	  TDC_daylight_firesolutionquality.png, TDC_daylight_gyroa.png,
	  TDC_daylight_gyrov.png, TDC_daylight_spreadangle.png,
	  TDC_daylight_switchtube1.png, TDC_daylight_switchtube2.png,
	  TDC_daylight_switchtube3.png, TDC_daylight_switchtube4.png,
	  TDC_daylight_switchtube5.png, TDC_daylight_switchtube6.png,
	  TDC_daylight_targetcourse.png, TDC_daylight_targetposition.png,
	  TDC_daylight_targetrange.png, TDC_daylight_targetspeed.png,
	  TDC_daylight_torpspeed.png, TDC_daylight_tube1.png,
	  TDC_daylight_tube2.png, TDC_daylight_tube3.png,
	  TDC_daylight_tube4.png, TDC_daylight_tube5.png,
	  TDC_daylight_tube6.png: added more tdc screen data

2005-03-20 09:57  thjordan

	* src/: model.cpp, sub_tdc_display.cpp: model loader is now more
	  tolerable

2005-03-19 14:58  thjordan

	* src/perlinnoise.cpp, src/perlinnoise.h, src/texture.cpp,
	  src/texture.h, src/water.cpp, files.txt, src/SConscript:
	  introduced general perlin noise generator. other code should use
	  it too

2005-03-19 10:03  thjordan

	* files.txt, src/matrix4.h, src/quaternion.h, src/vector2.h,
	  src/vector3.h: removed obsolete methods

2005-03-19 09:58  thjordan

	* data/xcf/: ControlPopup_periscope_daylight_rev.1.1.xcf,
	  ControlPopup_periscope_redlight_rev.1.1.xcf,
	  TDC_daylight_rev.1.3c_maskedcomps.xcf,
	  TDC_redlight_rev.1.3_maskedcomps.xcf,
	  periscope_daylight_rev.1.0_maskedfinal_and_clock.xcf,
	  periscope_daylight_rev.1.2a_maskedcomps.xcf,
	  periscope_redlight_rev.1.2a_maskedcomps.xcf: moved xcf files to
	  another folder

2005-03-19 09:34  thjordan

	* data/images/: ControlPopup_periscope_daylight_rev.1.0.xcf,
	  ControlPopup_periscope_daylight_rev.1.1.xcf,
	  ControlPopup_periscope_redlight_rev.1.0.xcf,
	  ControlPopup_periscope_redlight_rev.1.1.xcf,
	  TDC_daylight_rev.1.2a_maskedcomps.xcf,
	  TDC_daylight_rev.1.3c_maskedcomps.xcf,
	  TDC_redlightrev.1.2b_maskedcomps.xcf,
	  TDC_redlightrev.1.3_maskedcomps.xcf,
	  periscope_daylight_rev.1.0_maskedfinal_and_clock.xcf,
	  periscope_daylight_rev.1.1b_maskedcomps.xcf,
	  periscope_daylight_rev.1.2a_maskedcomps.xcf,
	  periscope_redlight_rev.1.1b_maskedcomps.xcf,
	  periscope_redlight_rev.1.2a_maskedcomps.xcf: moved xcf files to
	  another folder

2005-03-18 07:56  thjordan

	* src/: mymain.cpp, subsim.cpp, viewmodel.cpp: unified usage of
	  main

2005-03-18 02:08  simsoueu

	* data/images/ControlPopup_periscope_redlight_rev.1.1.xcf: Comp
	  with layered grid on dials

2005-03-18 02:02  simsoueu

	* data/images/ControlPopup_periscope_daylight_rev.1.1.xcf: Comp
	  with layered grid on dials

2005-03-18 01:49  simsoueu

	* data/images/TDC_redlightrev.1.3_maskedcomps.xcf: comp with
	  layered grid, and dyplicated aligned pointers, inner dial, and
	  gyro dials

2005-03-18 01:40  simsoueu

	* data/images/TDC_daylight_rev.1.3c_maskedcomps.xcf: comp with
	  layered grid, and duplicated aligned pointers, inner dial, and
	  gyro dials

2005-03-14 20:04  andyrice

	* ChangeLog, README, data/missions/aegeanconvoy.xml,
	  data/missions/battleships.xml, data/ships/battleship_malaya.xml,
	  data/ships/corvette.xml, data/ships/destroyer_oclass.xml,
	  data/ships/destroyer_tribal.xml, data/texts/english.text,
	  data/texts/german.text, data/texts/italian.text, src/ai.cpp,
	  src/game.cpp, src/game.h, src/global_data.cpp, src/global_data.h,
	  src/map_display.cpp, src/map_display.h, src/sea_object.cpp,
	  src/sensors.cpp, src/sensors.h, src/ship.cpp, src/ship.h,
	  src/submarine.cpp, src/submarine.h, src/submarine_interface.cpp,
	  src/submarine_interface.h, src/user_interface.cpp,
	  src/user_interface.h: Added radar support, variable gun ranges,
	  sound effects use cache

2005-03-13 19:41  thjordan

	* data/shaders/water_fp.shader, src/water.cpp: fixed wrong
	  reflection texcoords in water fragment program

2005-03-13 19:31  thjordan

	* ChangeLog, data/shaders/water_fp.shader, src/water.cpp: more
	  tests

2005-03-13 17:53  thjordan

	* data/shaders/water_fp.shader, src/subsim.cpp, src/water.cpp,
	  src/water.h: shader works basically, reflection texture
	  coordinates somehow broken

2005-03-13 15:38  thjordan

	* data/shaders/water_fp.shader, src/water.cpp: still bugs in
	  shader, but getting closer

2005-03-13 15:17  thjordan

	* data/shaders/water_fp.shader, src/water.cpp: more shader works,
	  still not finished

2005-03-13 12:32  thjordan

	* data/shaders/water_fp.shader, src/water.cpp: tried first bits of
	  shaders

2005-03-13 12:16  thjordan

	* src/texture.cpp: added helper functions for gl programs

2005-03-13 12:06  thjordan

	* src/texture.cpp: tried first bits of shaders, simplified usage of
	  class system

2005-03-13 12:01  thjordan

	* data/shaders/water_fp.shader, src/airplane_interface.cpp,
	  src/cfg.cpp, src/coastmap.cpp, src/crosssection.cpp,
	  src/damagemodel.cpp, src/font.cpp, src/freeview_display.cpp,
	  src/game.cpp, src/global_data.cpp, src/global_data.h,
	  src/gun_shell.cpp, src/image.cpp, src/logbook_display.cpp,
	  src/map_display.cpp, src/model.cpp, src/network.cpp,
	  src/parser.cpp, src/sea_object.cpp, src/ship.cpp,
	  src/ship_interface.cpp, src/ships_sunk_display.cpp,
	  src/sound.cpp, src/sub_bridge_display.cpp,
	  src/sub_damage_display.cpp, src/sub_periscope_display.cpp,
	  src/sub_tdc_display.cpp, src/sub_torpedo_display.cpp,
	  src/sub_uzo_display.cpp, src/submarine.cpp,
	  src/submarine_interface.cpp, src/subsim.cpp, src/system.h,
	  src/texture.cpp, src/texture.h, src/torpedo.cpp,
	  src/viewmodel.cpp, src/water.cpp, src/water.h, src/widget.cpp:
	  tried first bits of shaders, simplified usage of class system

2005-03-13 04:20  simsoueu

	* data/images/ControlPopup_periscope_redlight_rev.1.0.xcf: Control
	  screen dial's popup for periscope screen - night time

2005-03-13 04:14  simsoueu

	* data/images/ControlPopup_periscope_daylight_rev.1.0.xcf: Control
	  dials popup for periscope screen - daylight version

2005-03-13 00:21  thjordan

	* data/images/TDC_daylight_targetposition.png,
	  src/sub_tdc_display.cpp, src/sub_tdc_display.h: added more tdc
	  screen data

2005-03-12 23:53  thjordan

	* data/images/: TDC_daylight_targetcourse.png,
	  TDC_daylight_targetposition.png: added more tdc screen data

2005-03-12 19:16  thjordan

	* data/missions/duell.xml: changed for testing

2005-03-12 19:14  thjordan

	* src/: sub_tdc_display.cpp, subsim.cpp: fixed key and tdc display

2005-03-12 19:06  thjordan

	* src/: subsim.cpp, system.cpp, sub_tdc_display.cpp: fixed a bug

2005-03-12 18:42  thjordan

	* data/texts/english.text, data/texts/german.text,
	  data/texts/italian.text, src/SConscript, src/keys.cpp,
	  src/keys.h, src/sub_periscope_display.cpp,
	  src/sub_tdc_display.cpp, src/sub_tdc_display.h,
	  src/submarine.cpp, src/submarine.h, src/submarine_interface.cpp,
	  src/submarine_interface.h, src/subsim.cpp: first usage of tdc
	  graphics, new keys and strings added

2005-03-12 17:54  thjordan

	* data/images/: TDC_daylight_base.png,
	  TDC_daylight_clockbigptr.png, TDC_daylight_clocksmlptr.png,
	  TDC_daylight_tube1.png, TDC_daylight_tube2.png,
	  TDC_daylight_tube3.png, TDC_daylight_tube4.png,
	  TDC_daylight_tube5.png, TDC_daylight_tube6.png: added first bits
	  of tdc screen data

2005-03-07 18:25  thjordan

	* data/missions/: aegeanconvoy.xml, duell.xml: added test mission

2005-03-06 23:03  thjordan

	* src/subsim.cpp: removed test hack

2005-03-06 23:01  thjordan

	* SConstruct, src/SConscript, src/subsim.cpp: fixed scons build and
	  tarball making

2005-03-06 17:13  thjordan

	* SConstruct, files.txt, src/sub_periscope_display.cpp: removed
	  obsolete data files

2005-03-06 17:12  thjordan

	* data/images/: periscope_compassbar.png,
	  periscope_compassbar2.png,
	  periscope_daylight_rev.1.0_maskedfinal.png, periscope_wip.png:
	  removed obsolete files

2005-03-06 17:01  thjordan

	* SConstruct, files.txt: added comment, updated files list

2005-03-06 12:12  thjordan

	* src/torpedo.cpp: add fixme

2005-03-06 12:11  thjordan

	* src/subsim.cpp: fixed bug in cmd line parsing for unix

2005-03-06 11:51  thjordan

	* src/: torpedo.cpp, torpedo.h: fixed minimum distance

2005-03-06 11:40  thjordan

	* data/torpedoes/: fido.xml, t1.xml, t11.xml, t1fat.xml, t1lut.xml,
	  t2.xml, t3.xml, t3a.xml, t3afat.xml, t3alut.xml, t3fat.xml,
	  t4.xml, t5.xml, t6lut.xml: updated data

2005-03-06 10:04  thjordan

	* src/torpedo.cpp: added link

2005-03-04 23:27  thjordan

	* src/torpedo.cpp: added new idea comment

2005-03-04 23:23  thjordan

	* data/torpedoes/fido.xml, data/torpedoes/t1.xml,
	  data/torpedoes/t2.xml, src/torpedo.cpp, src/torpedo.h: checked in
	  first bits of torpedo xml description files, values are not right
	  yet

2005-03-04 23:05  thjordan

	* src/user_interface.cpp: removed display of test snow / rain

2005-03-04 23:00  thjordan

	* ChangeLog, src/subsim.cpp, src/user_interface.cpp: separated
	  system specific main code

2005-03-03 05:28  simsoueu

	* data/images/TDC_redlightrev.1.2b_maskedcomps.xcf: Night time
	  version of TDC done. Base layer set to pure black to avoid small
	  pixel transparency around gyro dials. Popups for periscope screen
	  will follow.

2005-03-01 01:50  simsoueu

	* data/images/TDC_daylight_rev.1.2a_maskedcomps.xcf: TDC
	  screen+masks in labelled layers. Nighttime version should follow
	  soon.

2005-02-28 17:32  andyrice

	* ChangeLog, data/ships/corvette.xml,
	  data/ships/destroyer_oclass.xml, data/ships/destroyer_tribal.xml,
	  data/sounds/big gun firing.ogg, data/sounds/medium gun
	  firing.ogg, data/texts/english.text, data/texts/german.text,
	  data/texts/italian.text, src/ai.cpp, src/game.cpp, src/game.h,
	  src/global_data.cpp, src/global_data.h, src/gun_shell.cpp,
	  src/gun_shell.h, src/keys.cpp, src/keys.h, src/ship.cpp,
	  src/ship.h, src/sub_torpedo_display.cpp, src/submarine.cpp,
	  src/submarine.h, src/submarine_interface.cpp, src/subsim.cpp,
	  src/user_interface.cpp, src/user_interface.h: More deck gun/ships
	  gun work and more sound effects.

2005-02-24 14:41  andyrice

	* ChangeLog, data/ships/battleship_malaya.xml,
	  data/ships/carrier_bogue.xml, data/sounds/deck gun firing.ogg,
	  data/sounds/depth charge exploding.ogg, data/sounds/depth charge
	  launching.ogg, data/sounds/ping.ogg, data/sounds/shell
	  explosion.ogg, data/sounds/shell splash.ogg,
	  src/crosssection.cpp, src/damagemodel.cpp, src/game.cpp,
	  src/global_data.cpp, src/global_data.h, src/sound.cpp,
	  src/user_interface.cpp, src/user_interface.h, src/viewmodel.cpp:
	  crosssection.exe, damagemodel.exe & viewmodel.exe can compile on
	  Windows and more sound effects added

2005-02-20 16:58  thjordan

	* ChangeLog, data/texts/english.text, data/texts/german.text,
	  data/texts/italian.text, src/cfg.cpp, src/cfg.h,
	  src/freeview_display.cpp, src/freeview_display.h, src/game.cpp,
	  src/keys.cpp, src/keys.h, src/logbook_display.cpp,
	  src/map_display.cpp, src/ships_sunk_display.cpp,
	  src/sub_bridge_display.cpp, src/sub_damage_display.cpp,
	  src/sub_periscope_display.cpp, src/sub_torpedo_display.cpp,
	  src/sub_uzo_display.cpp, src/submarine_interface.cpp,
	  src/submarine_interface.h, src/subsim.cpp,
	  src/user_interface.cpp, src/user_interface.h: made bearing
	  switchable between relative and absolute values

2005-02-19 14:10  thjordan

	* SConstruct: added a help output to the sconstruct file

2005-02-18 11:58  thjordan

	* src/submarine_interface.cpp: fixed periscope target selection

2005-02-16 17:43  andyrice

	* src/Mac/: SDLMain.h, SDLMain.m: Updated scons files so everything
	  builds on Mac OSX

2005-02-16 17:20  andyrice

	* ChangeLog, SConstruct, src/SConscript: Updated scons files so
	  everything builds on Mac OSX

2005-02-15 11:53  efti

	* makedeb: Tidied up and added a new option to 'strip' which should
	  get rid of the warning I get from 'lintian' about the binary
	  having an unneeded .comment section.

2005-02-15 11:24  efti

	* doc/debian/changelog.Debian: Added log entry for 0.0.19 release

2005-02-13 11:10  thjordan

	* ChangeLog: add missing changes

2005-02-13 10:47  thjordan

	* ChangeLog, src/subsim.cpp, src/user_interface.cpp: make water
	  detail configureable by config file

2005-02-13 10:37  thjordan

	* src/SConscript, src/cfg.cpp, src/keys.cpp, src/keys.h, ChangeLog:
	  read keys by name from config file and not by number

2005-02-12 12:11  thjordan

	* ChangeLog: show and simulate clock at periscope screen

2005-02-12 12:06  thjordan

	* data/images/clock_hours_pointer.png,
	  data/images/clock_minutes_pointer.png,
	  src/sub_periscope_display.cpp, src/sub_periscope_display.h: show
	  and simulate clock at periscope screen

2005-02-12 11:41  thjordan

	* data/texts/english.text, data/texts/german.text,
	  data/texts/italian.text, src/keys.h, src/submarine_interface.cpp,
	  src/subsim.cpp: fix keys v, h and F10

2005-02-08 08:33  thjordan

	* src/texture.cpp: bugfix

2005-02-07 21:00  thjordan

	* ChangeLog, src/texture.cpp, src/texture.h: automatic texture
	  resizing of too large textures

2005-02-07 08:20  thjordan

	* ChangeLog: added changes

2005-02-06 22:51  thjordan

	* src/ship.cpp: deck gun simulation by Andrew Rice, bugfix

2005-02-06 22:36  thjordan

	* src/: ai.cpp, ai.h, game.cpp, keys.h, ship.cpp, ship.h,
	  submarine_interface.cpp, subsim.cpp: deck gun simulation by
	  Andrew Rice

2005-02-06 22:30  thjordan

	* data/texts/: english.text, german.text, italian.text: added deck
	  gun related strings

2005-02-05 18:13  simsoueu

	* data/images/periscope_redlight_rev.1.2a_maskedcomps.xcf: small
	  update to clock pointers - fixes valve overlay

2005-02-05 18:11  simsoueu

	* data/images/periscope_daylight_rev.1.2a_maskedcomps.xcf: small
	  update to clock pointers - fixed for valve overlay

2005-02-05 14:16  thjordan

	* src/: freeview_display.cpp, freeview_display.h, sound.cpp,
	  sub_periscope_display.cpp, user_interface.cpp, user_interface.h:
	  store bearing only at one place, sound bugfix

2005-02-05 13:50  thjordan

	* src/: sub_gauges_display.h, sub_periscope_display.h: preparation
	  for clock display

2005-02-05 13:33  thjordan

	* src/: sub_periscope_display.cpp, sub_periscope_display.h: compass
	  bar is drawn

2005-02-05 11:49  thjordan

	* data/images/periscope_compassbar2.png: cut image to needed size

2005-02-05 11:46  thjordan

	* data/images/periscope_compassbar2.png: added new compass bar

2005-02-05 11:34  thjordan

	* src/: font.cpp, sub_periscope_display.cpp,
	  sub_periscope_display.h: first bits of periscope screen changes

2005-02-04 18:43  simsoueu

	* data/images/periscope_redlight_rev.1.1b_maskedcomps.xcf: gimp
	  .xcf - do not anchor compass selection, etc...

2005-02-04 18:40  simsoueu

	* data/images/periscope_daylight_rev.1.1b_maskedcomps.xcf: gimp
	  .xcf comp and masks,positioning references

2005-02-04 18:38  simsoueu

	* data/images/periscope_compassbar.png: scope compass bar - check
	  gimp .xcf for positioning,masking

2005-02-04 18:36  simsoueu

	* data/images/periscope_redlight_rev.1.1b_final.png: night time
	  version - new scope grid - rev.1.0 deprecated

2005-02-04 18:35  simsoueu

	* data/images/periscope_daylight_rev.1.1b_final.png: new scope grid
	  - rev.1.0 deprecated

2005-02-03 20:31  thjordan

	* src/sub_periscope_display.cpp: use new periscope image

2005-02-03 18:48  simsoueu

	* data/images/periscope_daylight_rev.1.0_maskedfinal_and_clock.xcf:
	  Included gimp file of periscope room, masked, with 2 extra
	  layers, corresponding to the minutes and hours pointers in the
	  clock. Both layers already masked and positioned in the gimp
	  comp. Only extraction needed for clock display (and save as png
	  or whatever). Night time version of periscope screen will follow
	  in a couple of days.

2005-02-03 18:45  simsoueu

	* data/images/periscope_daylight_rev.1.0_maskedfinal.png: Final
	  periscope room screen, already masked for opengl area, updated

2005-01-31 10:31  thjordan

	* src/: convoy.cpp, convoy.h: removed obsolete code

2005-01-30 23:49  thjordan

	* src/sea_object.h: added comment

2005-01-30 23:25  thjordan

	* src/: color.h, matrix4.h, model.cpp, model.h, sea_object.h,
	  submarine.cpp, texture.cpp, texture.h: removed silly ifdefs,
	  added bound measurement to meshes

2005-01-30 18:52  thjordan

	* SConstruct, data/images/periscope_wip.png,
	  data/ships/carrier_bogue.xml: new scope screen wip

2005-01-30 17:58  thjordan

	* src/submarine.cpp: some thoughts about damage calculation

2005-01-30 14:51  thjordan

	* src/SConscript, src/ai.cpp, src/command.cpp, src/command.h,
	  files.txt: removed obsolete files

2005-01-30 12:07  thjordan

	* ChangeLog, src/global_data.cpp, src/global_data.h, src/sound.cpp,
	  src/sound.h, src/subsim.cpp: replaced direct sdl sound usage by
	  sdl mixer usage

2005-01-30 11:23  thjordan

	* data/sounds/liquidblast.wav, data/sounds/machine1.wav,
	  data/sounds/screws_fast.wav, data/sounds/screws_normal.wav,
	  data/sounds/screws_slow.wav, data/sounds/screws_veryfast.wav,
	  data/sounds/liquidblast.ogg, data/sounds/machine1.ogg,
	  data/sounds/screws_fast.ogg, data/sounds/screws_normal.ogg,
